JG-2005-07-23-0: CVS        Created V60u6_TAG
---------------------------------------------------------

JG-2005-07-20-0: Enhancem.: Distribution will contain additional Berkeley DB 
                            utilities.
                 Review:    HP

HP-2005-07-20-0: Bugfix:    Nonexpressive error messages for SSL initialisation 
                            errors.
                 Bugfix:    qrsh failed when ARC not set and INHERIT_ENV=false set.
                 Changed:   sge_passwd.c, qlogin_starter.c
                 Bugtraq:   6299351, 6299345
                 Review:    AA

DT-2005-07-19-0: Bugfix:    o Initialized INHERIT_ENV and SET_LIB_PATH to
                              default values
                 Changed:   sge_conf.c
                 Bugtraq:   6298056
                 Issue:     1718
                 Review:    JG

AA-2005-07-19-0: Bugfix:    make compiler happy, obsolete lib removed
                 Changed:   sge_passwd
                 Review:    RD

SG-2005-07-18-0: Bugfix:    no user notification or command hanging if 
                            an immediate job cannot be scheduled
                 Review:    JG, RD
                 Changed:   qmaster
                 Bugtraq:   6298233

MD-2005-07-18-0: Bugfix:    typo in BT number
                 Changed:   Changelog

JG-2005-07-15-1: Bugfix:    Fixed memory leaks.
                 Review:    SG

JG-2005-07-15-0: CVS        Created V60u5_TAG
---------------------------------------------------------

SG-2005-07-11-0: Bugfix:    Array jobs sometimes get out of sync when 
                            grid master daemons is started/stopped
                 Changed:   qmaster, scheduler
                 Bugtraq:   6295165
                 Issue:     1705
                 Review:    EB, AH 

RD-2005-07-11-1: Cleanup:   changed absolut path to relativ path in commlib
                            binaries no longer include full compile path
                 Review:    CR

AS-2005-07-11-0  Cleanup:   formatting changes to conform with rest of file
                 Changed:   dist/util/arch.dist

RD-2005-07-11-0: Bugfix:    aix43 linker error after compiler update
                            sge_qmaster
                 Review:    JG 

RC-2005-07-09-0: Enhancem.: install lx26 binaries without requiring
                            to set SGE_ROOT
                 Changed:   arch.dist

CR-2005-07-07-0: Bugfix:    Merged: Repeated logging of the same message
                            produces giant logging files from maintrunk
                 Issue:     1598
                 Bugtraq:   6267245
                 Changed:   gdi library (all binaries)
                 Review:    AH

RD-2005-07-07-0: Bugfix:    distinst does not set all file permissions
                 Changed:   scripts/distinst
                 Bugtraq:   6294632
                 Issue:     1697
                 Review:    AS

CR-2005-07-07-0: Cleanup:   modified some format specifier of qping man page
                 Bugtraq:   6294979

CR-2005-07-06-0: Enhancm.:  updated qping man page
                 Review:    DT

HP-2005-07-05-0: Bugfix:    Fixed wrong behaviour in installation for Interix 
                            and root system.
                 Changed:   inst_execd.sh
                 Review:    MD

RD-2005-07-05-0: Bugfix:    wrong drmaa jnilib link on MacOS
                 Changed:   scripts/distinst
                 Bugtraq:   6294397 
                 Issue:     1694
                 Review:    AH

CR-2005-07-05-0: Bugfix:    Merged modifications in test_drmaa.c module
                            test from maintrunk
                 Changed:   module test test_drmaa.c

HP-2005-07-04-0: Cleanup:   Removed unused code...
                 Changed:   sge_uidgid, utilbin/msg_utilbin.h
                 Review:    RD

RD-2005-07-04-0: Bugfix:    qrsh returned exit status 1 instead of 0
                 Changed:   shepherd
                 Review:    CR

RC-2005-07-03-0: Bugfix:    bug in RestartService()
                 Changed:   darwin_template
                 Review:    Pending

HP-2005-07-01-0: Bugfix:    Installer always tryed to create Windows admin user,
                            even on root system.
                            On root system, qlogin tried to find Administrators
                            password in sgepasswd file.
                 Changed:   dist/util/install_modules/inst_execd.sh
                            libs/uti/sge_uidgid.c
                 Review:    JG

CR-2005-07-01-0: Cleanup:   - removed unused message macros
                            - removed duplicate message id

RD-2005-07-01-0: Bugfix     distinst ignored sgepasswd
                            and tried to copy libXltree on win32-x86
                 Changed:   distinst
                 Review:    JG

RD-2005-06-30-0: Bugfix:    sgepasswd not covered by setfileperm.sh 
                 Changed:   setfileperm.sh
                 Review:    CR           

HP-2005-06-30-0: Bugfix:    Used static linking for SSL libraries for sge_passwd and
                            Windows sge_sheperd and sge_execd,
                            moved functions from wingridlib to utilib so it can 
                            link now,
                            inserted improved debug, warning and error informations.
                 Changed:   aimk+Makefiles, utilib, wingridlib, sgepasswd
                 Review:    AH

RD-2005-06-29-0: Bugfix:    - no links for SGE startup scripts for shutdown created
                            - installation on Red Hat creates wrong rc*.d script names
                 Changed:   inst_common.sh
                 Bugtraq:   5063313, 6277874
                 Issue:     1084, 1669
                 Review:    MD, CR  

RD-2005-06-24-0: Bugfix:    tight integration: temporary files are not deleted
                            at task exit
                            disabled admin mail if qrsh_exit_code can't be read
                            removed empty lines in shepherd trace file
                 Changed:   shepherd
                 Bugster:   6287867
                 Issue:     1410
                 Review:    JG

SG-2005-06-24-0: Bugfix:    getting many E messages "failed building category string for job N"
                 Issue:     1652
                 Bugtraq:   6287953
                 Changed:   qmaster, scheduler
                 Review:    EB

JG-2005-06-24-0: Bugfix:    qalter -p <negative priority> shows wrong priority.
                 Issue:     403
                 Bugtraq:   2125401, 4769608
                 Changed:   sge_qmaster
                 Review:    RD

AH-2005-06-22-0: Bugfix     no event client known to process acks error 
                            logging
                 Issue:     1675
                 Bugtraq:   6289273
                 Changed:   sge_qmaster
                 Review:    JG, EB

AH-2005-06-21-0: Bugfix:    Jobs submitted with -v PATH do not retain $TMPDIR 
                            prefixed by Grid Engine as required for tight 
                            integration
                 Issue:     1674
                 Bugtraq:   6288588
                 Changed:   sge_execd
                 Review:    RD

RD-2005-06-21-1: Bugfix:   sge_shepherd SEGV's when it tries to fopen the usage file
                 Bugtraq:  6288156
                 Issue:    1673
                 Review:   AH

RD-2005-06-21-0: Bugfix:   suspend not working under Mac OS X
                 Bugtraq:  6287958
                 Issue:    1671
                 Review:   AH

RD-2005-05-20-0: Bugfix:    serveral install/uninstall issues
                 Bugtraq:   6287831, 6287824, 6245812, 6287917 
                 Issue:     1617, 1481, 1108, 1670
                 Review:    MD

AH-2005-06-20-0: Bugfix:    drmaa_exit() and qsub -sync y causes qmaster
                            error logging if host is no admin host
                 Issue:     1659
                 Bugtraq:   6279402
                 Changed:   sge_qmaster
                 Review:    CR

MD-2005-06-20-0: Bugfix:    - removed sgepasswd from distinst and from inst_sge
                              binary check. see MD-2005-06-17-0
                 Changed:   - inst_sge, distinst
                 Review:    HP

MD-2005-06-17-0: Bugfix:    - merged RD-2005-06-07-0 from maintrunk + added missing dir
                            - due to SFU problems, removed sge_passwd from setfileperms.sh
                 Changed:   inst_sge, setfileperms.sh
                 Bugtraq:   6262009
                 Issue:     1591                 
                 Review:    RD, HP

EB-2005-06-17-0: Bugfix:    delivery of queue based signals to execd 
                            repeated endlessly
                 Issue:     1665
                 Bugtraq:   6286510
                 Review:    AH

SG-2005-06-17-1: Bugfix:    made SG-2005-06-15-1 more efficent
                 Changed:   master

RD-2005-06-17-0: Bugfix:    autoinst execd uninstallation disables and suspends
                            whole queues instead of instances only
                            introduced with RD-2005-05-23-0 
                 Review:    MD

AH-2005-06-16-2: Bugfix:    job wallclock monitoring and enforcement
                            considers prolog/epilog runtime part of net
                            job runtime
                            Fixed popular "allready" typo
                 Issue:     1666
                 Bugtraq:   6286533
                 Review:    HP

RD-2005-06-16-0: Bugfix:    qconf -Xattr does not resolve fqdn hostnames
                 Issue:     1667
                 Bugtraq:   6285898
                 Review:    EB

SG-2005-06-15-1: Bugfix:    resource allocation shown by qstat/qhost not consistent 
                            with resource utilization
                 Changed:   qmaster                            
                 Issue:     1658
                 Bugtraq:   6281440
                 Review:    EB

RD-2005-06-15-0: Bugfix:    GEMM doesn't like behavior of checkin RD-2005-05-23-0
                 Review:    MD

AH-2005-06-15-0: Bugfix:    Overhead with job execution could lead to 
                            overoptimistic backfilling and break resource 
                            reservation
                 Changed:   sge_schedd, libsgeobj.a and sched_conf(5)
                 Issue:     1662
                 Bugtraq:   6283308, 6294982
                 Review:    AS, CR

JG-2005-06-13-0: Bugfix:    Fixed missing initialization.
                 Changed:   all
                 Review:    CR

DT-2005-06-08-0: Bugfix:    o Fixed drmaa_control(ALL)
                            - Merged from DT-2005-05-03-0.
                 Changed:   JAPI, cull_parse_util.h
                 Review:    AH
                 Issue:     1595
                 Bugtraq:   6264592

AA-2005-06-08-0: Bugfix:    removal of link dependency to libspoolc.so
                 Issue:     1569
                 Review:    JG
                 Changed:   qmon
                 
MD-2005-06-07-0: Enhancem:  windows enhancement, adde option to
                            telnet command in local conf.
                 Review:    HP
                 Changed:   install_modules

HP-2005-06-07-0: Enhancem.: fopen(), fprintf() and fclose()-error handling
                            improved.
                 Changed:   sgepasswd, libs/uti/sge_stdio.h
                 Review:    MD

JG-2005-06-07-0: Bugfix:    qmaster profiling can only be turned on by 
                            restarting qmaster.
                 Issue:     1601
                 Bugtraq:   6281462
                 Changed:   sge_qmaster
                 Review:    SG

MD-2005-06-06-1: Bugfix:    -typo in variable name
                 Changed:   inst_execd.sh

MD-2005-06-06-0: Bugfix:    - added some echo output to setfileperm.sh
                            - added directories $PATH variable
                 Review:    HP
                 Changed:   setfileperm.sh, inst_execd.sh

AH-2005-06-06-1: Bugfix:    Race condition with qsub -sync yes and drmaa_wait() if
                            job exits directly after being submitted
                 Issue:     1657
                 Bugtraq:   6273217
                 Changed:   qsub, libdrmaa.so
                 Review:    DT, JG

EB-2005-06-06-0: Bugfix:    file "locking" for sgepasswd
                 Changed:   sgepasswd
                 Review:    HP  

AA-2005-06-06-0: Bugfix:    - sgepasswd, static linking of libcrypto
                 Changed:   sgepasswd, aimk
                 Review:    EB
                 
SG-2005-06-06-0: Bugfix:    - Resource filtering with qhost broken
                 Changed:   qmaster, scheduler, qhost
                 Issue:     1531
                 Bugtraq:   6280698
                 Review:    JG, RD

RC-2005-06-02-3: Bugfix:    upgrade from 5.3 -> 6.0 add managers to operators
                 Changed:   install scripts
                 Review:    MD

RD-2005-06-02-2: Bugfix:    qstat -xml -urg output contains badly formatted numbers
                 Changed:   qstat
                 Bugtraq:   6278727
                 Issue:     1656
                 Review:    AH

MD-2005-06-02-0: Cleanup:   removed debug output!
HP-2005-06-02-1: Enhancem.: man page sge_conf now explains execd_paramd
                            ENABLE_WINDOMACC
                 Changed:   sge_conf man page
                 Bugtraq:   6294987
                 Review:    AH

RD-2005-06-02-1: Bugfix:    inst_sge -sm don't install a startup script
                            inst_sge -db error on MacOS
                            merged install MacOSX Startup Item
                 Changed:   install scripts
                 Bugtraq:   6278140, 6278146 
                 Issue:     1646, 1647
                 Review:    MD

SG-2005-06-02-0: Bugfix:    qconf -tsm command never stops writing output
                 Changed:   scheduler
                 Bugtraq:   6279409
                 Issue:     1616
                 Review:    JG

RD-2005-06-02-0: Bugfix:    Close integration cause jobscripts with multiple 
                            mprun commands to be  killed.
                 Changed:   shepherd
                 Bugtraq:   6269411
                 Issue:     1654
                 Review:    AA

AH-2005-06-01-2: Bugfix:    libdrmaa.so crashed if monitoring was enabled
                 Review:    JG

HP-2005-06-01-0: Enhancem.: handling for sgepasswd improved
                 Changed:   execd, shepherd, libraries
                 Review:    MD

AH-2005-06-01-0: Bugfix:    drmaa_job_ps() returns DRMAA_PS_QUEUED_ACTIVE 
                            for finished array job rather than DRMAA_PS_DONE
                 Issue:     1648
                 Bugtraq:   6278147
                 Changed:   libdrmaa.so
                 Review:    DT

AA-2005-06-01-0: Bugfix:    qmon basic test, exechost consumable/fixed 
                            attribute removal on x86 and sol-x86 architecture
                 Changed:   qmon
                 Review:    CR

MD-2005-05-31-1: Bugfix:    used wrong path for win binary
                 Changed:   setfileperm.sh

MD-2005-05-31-0: Bugfix:    added missing win binary to setfileperm.sh
                 Changed:   setfileperm.sh

SG-2005-05-30-0: Bugfix:    qconf -mq coredumps
                 Changed:   qconf
                 Review:    DT, JG, RD
                 Issue:     1642
                 Bugtraq:   6277909 

MD-2005-05-30-0: Bugfix:    - path check for net.exe binary
                            - fixed typo
                 Review:    HP

AH-2005-05-30-0: Bugfix:    Removed outdated and unused DIST_VERSION in  
                            inst_sge
                 Review:    MD

SG-2005-05-27-0: Bugfix:    fix qstat -t again (SG-2005-05-25-0 was not enough)
                 Review:    CR
                 Changed:   qstat
                 Issue:     1420
                 Bugtraq:   6218877

DT-2005-05-25-0: Bugfix:    o Enforced thread safety in DRMAA
                 Review:    SG
                 Changed:   DRMAA
                 Issue:     1632
                 Bugtraq:   6267238

MD-2005-05-25-1: Bugfix:    refix of MD-2005-05-24-1 (review doc follows)
                 Changed:   inst_sge
                 Review:    HP

SG-2005-05-25-0: Bugfix:    fix qstat -t again (SG-2005-01-21-0 was not enough)
                 Review:    EB
                 Changed:   qstat
                 Issue:     1420
                 Bugtraq:   6218877

HP-2005-05-25-0: Enhancem.: handling for sgepasswd in sge_execd and sge_shepherd.
                 Changed:   execd, shepherd, sgepasswd, utilities
                 Review:    EB

MD-2005-05-25-0: Bugfix:    settings file must be sourced for shadow host
                            installation.
                 Changed:   inst_sge
                 Review:    HP
    
MD-2005-05-24-1: Bugfix:    shadow_masters file could not be created on 
                            user root=nobody mounted fs
                 Changed:   inst_sge
                 Review:    HP

AA-2005-05-24-1: Bugfix:    usage output
                 Changed:   qmon

MD-2005-05-24-0: Enhancm.:  - windows support
                            - windows domain user access support
                            - admin_user creation on windows exechosts
                            - Unix Domain to Windows Domain mapping
                 Bugfix:    - autoinstall fails, trying to install 
                              a execd on masterhost
                 Changed:   install_modules
                 Bugtraq:   6263509
                 Issue:     1596
                 Review:    HP
           
RD-2005-05-23-0: Bugfix:    execd auto_install performance bottleneck
                 Changed:   install modules
                 Bugster:   6272451
                 Issue:     1627
                 Review:    MD

SG-2005-05-23-1: Bugfix:    job_load_adjustements is not correctly 
                            working when parallel jobs are submitted.
                 Changed:   scheduler
                 Issue:     1620
                 Bugtraq:   6268707
                 Review:    EB

AA-2005-05-23-1: Bugfix:    Have the Queue Instances tab within Qmon 
                            display queues in alphabetical order 
                            (like 5.3 did with the queue tab)
                 Issue:     1602
                 Changed:   qmon
                 Review:    CR

AA-2005-05-23-0: Bugfix:    qmon kills a system
                 Bugtraq:   6274467
                 Issue:     1446
                 Changed:   qmon
                 Review:    CR

AA-2005-05-20-1: Bugfix:    qmon: complex attributes not removeable
                 Bugtraq:   6252525
                 Issue:     1625
                 Changed:   qmon
                 Review:    RD

AA-2005-05-20-0: Bugfix:    qmon crash (segmentation fault) on Solaris64
                 Bugtraq:   6250603
                 Issue:     1541
                 Changed:   qmon
                 Review:    CR

CR-2005-05-11-0: Bugfix:    merged bugfix from maintrunk 
                            high CPU load of qmaster even on empty cluster
                 Issue:     1612
                 Bugtraq:   6267932
                 Changed:   commlib
                 Review:    JG, AS

SG-2005-05-20-2: Bugfix:    missleading qstat -j messages in case of rr
                 BugTraq:   6252469
                 Issue:     1547
                 Changed:   scheduler
                 Review:    RD

RD-2005-05-20-3: Bugfix:    performace bottleneck with subordinate list
                 BugTraq:   6266450
                 Issue:     1624
                 Changed:   qmaster
                 Review:    SG

SG-2005-05-20-1: Bugfix:    incomplete resource reservation with array jobs
                 Changed:   scheduler
                 Review:    pending
                 BugTraq:   6260656
                 Issue:     1583

EB-2005-05-20-0: Bugfix:    Performance prob. with qconf -mattr exechost global
                 Bugtraq:   6266392
                 Issue:     1623
                 Changed:   sge_qmaster
                 Review:    AH

RD-2005-05-20-1: Bugfix:    qstat -j "" results in a segmentation fault
                 BugTraq:   6273006
                 Issue:     1610
                 Changed:   qstat
                 Review:    AH

RD-2005-05-20-0: Bugfix:    qrsh/qsh/qlogin reject -js option
                 BugTraq:   6269305
                 Issue:     1621
                 Changed:   qsh, qrsh, qlogin
                 Review:    AH

SG-2005-05-20-0: Bugfix:    Wildcards in PE Name Cause Unusual Behavior
                 Changed:   scheduler
                 Review:    AH
                 BugTraq:   6265154
                 Issue:     1597

EB-2005-05-11-0: Bugfix:    renamed sge_passwd man pages to sgepasswd
                            added man page
                 BugTraq:   6294980 

EB-2005-05-10-0: Bugfix:    Domain admin <-> domain user problem (windows)
                 Bugtraq:   6239470
                 Review:    HP

HP-2005-05-09-1: Bugfix:    Excluded qmon, sge_master, sge_shadowd and 
                            sge_scheddd install from distinst for Windows
                 Changed:   scripts/distinst

HP-2005-05-09-0: Bugfix:    Excluded DB and DRMAA install from distinst for 
                            Windows
                 Changed:   scripts/distinst

AS-2005-05-92-0: CVS        Created V60u4win_{TAG,BRANCH}
---------------------------------------------------------

CR-2005-05-02-1: Testsuite: o Fixed bug in testsuite test
                              system_tests/clients/qconf:
                              - message parsing for long host names was wrong
                              - check did not re-add the execd on failure
                              - check did unset the SGE_SINGLE_LINE environment variable
                                which is already set from testsuite main

CR-2005-05-02-0: Testsuite: o Fixed tcl error in throughput test

CR-2005-04-29-0: Testsuite: o Fixed resolve_host(): 
                              - There was no cache for the optional long resolving
                                parameter
                            o Fixed set_cqueue_specific_values():  (for 6.0 GE)
                              - procedure removed "=" from cluster queue instances:
                                e.g.: "fangorn=test2=4" was modified to
                                      "fangorn=test2 4"
                              - procedure saved host specific entries without 
                                resolving the names  

DT-2005-04-29-0: Testsuite: o Added junit test for issue 1595
                            - Note: 1595 hasn't been fixed yet, so the test will
                                    fail

JG-2005-04-29-0: Bugfix:    Fixed broken build.

CR-2005-04-28-1: Testsuite: o create_gnuplot_xy_gif() now uses png terminal when 
                              gnuplot is not supporting gif terminal

CR-2005-04-28-0: Testsuite: o replaced incr with expr, because for tcl 8.4/
                              expect 5.40.0 there is a problem with 
                              [clock -milliseconds] integer value (which is negative)

CR-2005-04-27-5: Testsuite: o performance cleanup
                            o added new test to test testsuite performance
                            o added debug messages

DT-2005-04-27-0: Experim.:  o Added new "gridless" DRMAA Java implementation to
                              experimental packages

CR-2005-04-27-4: Testsuite: added a testsuite test template:
                            checktree/test_template/check.60.exp

CR-2005-04-27-3: Testsuite: Enhancement:
                               speedup in testsuite command execution

CR-2005-04-27-2: Testsuite: modified testsuite menu to support subdirectory
                            names

CR-2005-04-27-1: Testsuite: modified test bugs/issuezilla/1489:
                            - using testsuite standard procedures to
                              delete files
                            - increased file wait timeout because
                              NFS may cause timing problems

RH-2005-04-27-0: Testsuite: added new test system_tests/scheduler/urgency
                 Review:    JG

CR-2005-04-27-0: Testsuite: modified test bugs/issuezilla/1334:
                            - using testsuite standard procedures to
                              delete files and start programs
                            - new optional parameter for delete_file()
                              do_wait_for_file: waiting for file to appear
                              is on (default), but can be switched off

JG-2005-04-26-0: Testsuite: Fixed testsuite startup for SGE(EE) 5.3 clusters.
                            Added scripts to list all / verified tests.
                            Some cleanup, fixed typos.

CR-2005-04-26-0: Testsuite: enhanced functional/consumable_resources test
                            to install 2 load sensors

AS-2005-04-26-0: CVS        Created V60u4_TAG
---------------------------------------------

AA-2005-04-25-0: Bugfix:    Can't select 'slots' in select box when adding 
                            consumables for execution host
                 Changed:   qmon
                 Bugtraq:   6260729
                 Issue:     1586
                 Review:    AH

DT-2005-04-25-0: Bugfix:    o Repaired japi_exit() locking
                 Changed:   JAPI
                 Review:    SG, AH
                 Bugtraq:   6260704

RD-2005-04-25_1: Bugfix     inst_sge backup and restore issues
                            shadow_masters not backuped
                            running qmaster not recognized
                 Bugster:   6259993
                 Issue:     1585
                 Review:    MD


HP-2005-04-25-0: Bugfix:    Fixed MANPATH for Interix
                 Changed:   dist/util/arch
                            dist/util/arch.dist
                 Review:    AS

CR-2005-04-25-1: Testsuite: moved system_tests/geee/sharetree/check.exp
                            to system_tests/scheduler/sharetree/check.exp

CR-2005-04-25-0: Testsuite: fixed backup_restore test for rpc spooling
                 Review:    RD

RH-2005-04-25-0: Testsuite: added new test: system_tests/scheduler/deadline
                 Review:    JG

RD-2005-04-25-0: Bugfix:    dbwriter install failed
                            if clause used undefined variable
                 Changed:   dist/util/inst_qmaster.sh
                 Review:    MD


AS-2005-04-25-0: Bugfix:    changed base directory of Windows man pages
                            to <sge_root>/catman/cat
                 Changed:   scripts/distinst
                            dist/util/arch

MD-2005-04-22-0: Bugfix:    - adminrun didn't switch to adminuser under
                              windows
                            - global execd spooldir was not created
                              during execd-install
                 Changed:   adminrun.c, inst_execd.sh
                 Review:    HP


AA-2005-04-22-0: Bugfix:    qmon cluster queue modify cancel working incorrect
                 Bugtraq:   6260024
                 Issue:     1582
                 Changed:   qmon


CR-2005-04-22-0: Testsuite: fixed test: system_tests/scheduler/tickets
                            - test did not wait till all tickets are calculated
                              from scheduler
                            - new optional parameter for parse_qstat() and 
                              get_extended_job_info():
                              do_replace_NA will show NA for not availabe CPU
                              load instead of 0
                 Review:    pending

RD-2005-04-22-0: Testsuite: - functional/backup_restore enhancement
                            works now with classic, local and rpc spooling
                 Review:    CR

HP-2005-04-22-1: Bugfix:    Added check for network path in execd-rc-script
                 Changed:   dist/util/rctemplates/sgeexecd_template
                 Review:    MD

HP-2005-04-22-0: Bugfix:    Added correct include path
                 Changed:   libs/uti/sge_unistd.h


AS-2005-04-22-0  Bugfix:    fixed common package content
                 Changed:   source/scripts/mk_dist

HP-2005-04-21-0: Bugfix:    Created SGE_STAT Macro for Interix
                 Changed:   libs/uti/sge_unistd.h

RD-2005-04-21-0: Testsuite: - added new test: functional/backup_restore/
                              creates backup, removes cell directory 
                              and restores from backup.
                 Changed:   Testsuite
                 Review:    CR

SG-2005-04-21-0: Bugfix:    potential qmaster sec. fault.
                 Changed:   qmaster
                 Issue:     1579
                 Bugtraq:   6259380
                 Review:    DT, JG

RH-2005-04-21-0: Testsuite: - added new test: system_tests/scheduler/tickets
                              Checks the calculation of overwrite and
                              functional ticket, the start order and the
                              share of jobs
                 Changed:   Testsuite
                 Review:    CR
                              
MD-2005-04-21-0: Bugfix:    - fixed windows execd loadsensor path
                            - README
                 Changed:   arch_variables, inst_common.sh, README-Autoinst

JG-2005-04-21-0: Bugfix:    Fixed memory leak in scheduler.
                 Changed:   sge_schedd
                 Review:    SG

CR-2005-04-21-0: Testsuite: - added new test: functional/consumable_resources
                            - handle_vi_edit():
                                o function did not export env() to 
                                  open_remote_spawn_process()
                                o added TODO comment
                                o fixed some missleading output
                            - set/get_complex():
                                o moved old (unverified) code to
                                  sge_procedures.53.tcl
                                o modified functions for 60 version
                            - get_qstat_j_info():
                                o schedd info string did not contain job
                                  resource schedd message because this message
                                  contains a ":" which evoke a parse error
                 Issue:     1212 (not closed because there are still some
                                  enhancments to implement)

RD-2005-04-20-0: CVS        Created V60u4rc1_TAG
---------------------------------------------------------

MD-2005-04-20-1: Bugfix:    changed README

MD-2005-04-20-0: Bugfix:    - inst_sge -bup with rpc server destroy database
                            - README Autoinst, README Upgrade
                 Bugtraq:   6257389
                 Issue:     1576 
                 Changed:   inst_common.sh
                 Review:    RD

MD-2005-04-19-0: Enhancm.:  - Windows enhancement
                            - testsuite (windows enhancement)
                            - autoinstall error message enhancement 
                            - clean up
                            - autoinstall readme
                 Review:    RD

RD-2005-04-19:1: Bugfix:    qconf -purge segfault on tru64
                 Bugtraq:   6252522
                 Issue:     1548
                 Review:    AH

CR-2005-04-19-1: Testsuite: o fixed cleanup function for issue test 1096 when
                              running in CSP mode (second fix)

RD-2005-04-19-0: Bugfix:    fixed broken manual bdb rpc installation
                 Review:    CR

JG-2005-04-19-0: Testsuite: Fixed testsuite for cluster with hostaliasing.
                            Fixed test bugs/issuezilla/403 (now correctly 
                            detects reopened issue 403).
                            Cleanup qsub test.

CR-2005-04-19-0: Testsuite: o fixed cleanup function for issue test 1096 when
                              running in CSP mode
                            o Enhancem.: Added new function: copy_certificates
                              (copy CSP (SSL) certificates to a host)

CR-2005-04-18-4: Testsuite: fixed test system_tests/commlib_issues when module
                            test binary can't malloc() enough memory

JG-2005-04-18-0: Testsuite: fixed test functional/tight_integration

CR-2005-04-18-3: Testsuite: new menue parameter: "check spool directory content"

AH-2005-04-18-0: Bugfix:    cqueues/all.q trashed after qmaster shutdown 
                            with 1362 hosts
                 Changed:   qmaster
                 Review:    EB, JG
                 Bugtraq:   6256530
                 Issue:     1572

RD-2005-04-18-1: Bugfix:    autoinstall related bugs fixed
                            bdb rpc auto installation and uninstallation,
                            hostname resolving fixes, some cleanups
                 Changed:   install scripts
                 Bugtraq:   6253278, 6253291, 6253192
                 Issue:     1573, 1574, 1575
                 Review:    MD

CR-2005-04-18-2: Cleanup:   removed unused message macro definition

CR-2005-04-18-1: Cleanup:   o qmake cleanup
                 Testsuite: o removed warning messages for unexpected qmake output
                 Review:    JG

CR-2005-04-18-0: Bugfix:    Fixed broken build for commlib issues module test

SG-2005-04-15-3: Bugfix:    fixed SG-2005-04-15-2
                 Changed:   qmaster
                 Review:    pending

CR-2005-04-15-3: Bugfix:    qmake in dynamic allocation mode core dump
                 Changed:   qmake
                 Bugtraq:   6255902
                 Issue:     1568
                 Review:    JG

CR-2005-04-15-2: Testsuite: - thight integration test blocked killing of slave/master task

SG-2005-04-15-2: Bugfix:    the usage in projects is never spooled while the qmaster
                            is alive.
                 Changed:   qmaster
                 Issue:     1567
                 Bugtraw:   6255850
                 Review:    JG

DT-2005-04-15-0: Bugfix:    o Fixed qsub issue with parsing large scripts
                 Changed:   parse_job_cull
                 Review:    CR

SG-2005-04-15-1: Bugfix:    execd does sends empty job report for a pe slave task
                 Changed:   execd
                 Issue:     1563
                 Bugtraq:   6255336
                 Review:    JG

SG-2005-04-15-0: Bugfix:    job in error state breaks qstat -f -xml
                 Changed:   qstat
                 Issue:     1566
                 Bugtraq:   6255804
                 Review:    CR

CR-2005-04-15-1: Enhancem.: - improved commlib error message output for 
                              connection errors. (Now commlib calls strerror()
                              to report system error message)
                 Changed:   commlib (all binaries)
                 Review:    JG

CR-2005-04-15-0: Bugfix:    - fixed memory leak in commlib (SSL Framework)
                            - fixed memory leak in qstat
                 Changed:   commlib (all binaries), qstat
                 Review:    JG

MD-2005-04-14-0: Bugfix:    - inst_sge only deletes common
                            - auto_inst uses ADMIN_HOST_LIST variable only
                              at qmaster installation time
                 Changed:   inst_sge
                 Issue:     1356, 1565
                 Bugtraq:   6239655, 6253138          
                 Review:    RD
 
SG-2005-04-14-0: Bugfix:    qmaster does not store sharetree usage on shutdown
                 Changed:   qmaster
                 Issue:     1562
                 Bugtraq:   6255329
                 Review:    JG

CR-2005-04-14-2: Testsuite: o modified remote_procedures (can block shell)
                              shift login calls/tests into testsuite script
                              files to have always a /bin/sh

DT-2005-04-14-1: Testsuite: o Checked in new test jar for DRMAA-J
              
RD-2005-04-14-1: Cleanup:   minor changes
                 Review:    CR

RD-2005-04-14-0: Bugfix:    auto_install fixes
                            -um now uses configuration file
                            BDB RPC NFS spooling recognized
                 Changed:   install scripts
                 Bugtraq:   6253313, 6253219
                 Issue:     1559, 1560
                 Review:    MD 

DT-2005-04-14-0: Bugfix:    o Updated version string for DRMAA-J
                 Changed:   DRMAA-J

CR-2005-04-14-1: Testsuite: o midified commlib issues module test to be more
                              error tolerant (when some hosts have to less
                              memory (only 256 MB) this test fails, because
                              they're starting to swap.

CR-2005-04-14-0: Testsuite: o modified remote_procedures (can block shell)
                              (increased timeout)

DT-2005-04-13-1: Bugfix:    o Fixed minor DRMAA-J issue
                 Doc:       o Checked in current JavaDocs
                 Changed:   DRMAA, doc

DT-2005-04-13-0: Bugfix:    o Fixed DRMAA-J testsuite issues
                 Testsuite: o Fixed minor DRMAA-J issues
                 Changed:   DRMAA, Testsuite
                 Review:    AH

JG-2005-04-13-1: Doc:       Fixed typo in man page sge_conf.5

CR-2005-04-13-0: Testsuite: o modified remote_procedures (can block shell)
                            o modified timeout setting for submit_job

JG-2005-04-13-0: Testsuite: Check bugs/issuezilla/1473 failed with host 
                            aliasing.
                            Some cleanup in system_tests/clients/qsub.

RC-2005-04-13-1: Enhancem.: Failed to compile on Cray unicos
                 Changed:   - sge_getloadavg.c (iolist instead of iolistr)

RC-2005-04-13-0: Enhancem.: - arch should use uname -p to determine NetBSD
                              platform
                            - identify DragonFly as FreeBSD (Joshua Coombs)
                 Review   : BD, NJ

CR-2005-04-12-2: Testsuite: enhanced usage test error output

SG-2005-04-12-0: Bugfix:    fixed build for lx26-x86

CR-2005-04-12-1: Testsuite: - cleanup function was called, even when test was
                              not running
                            - qsub test: retry to submit with qsub -now yes
                              option due to bugtraq bug 4938859
                              Each retry reports a warning message, test fails
                              for more than 3 retries. 

CR-2005-04-12-0: Testsuite: Modified tight integration test to report only
                            warning when there are messages logged into the
                            execd messages file.

RD-2005-04-12-0: Bugfix:    Fixed broken build

DT-2005-04-11-0: Bugfix:    o Removed static array from option file parsing
                 Issue:     1551
                 BugTraq:   6252465
                 Changed:   parse_job_cull
                 Review:    SG

SG-2005-04-11-0: Bugfix:    failed array tasks are rescheduled only one by one
                 Review:    AH
                 Bugtraq:   6253266 
                 Issue:     1554
                 Changed:   scheduler

JG-2005-04-11-0: Testsuite: Fixed test system_tests/qmaster/size for sol-amd64

AH-2005-04-11-0: Bugfix:    qstat -f -pe make breaks
                 Review:    EB
                 Bugtraq:   6253093
                 Issue:     1552
                 Changed:   qstat

JG-2005-04-11-0: Bugfix:    Missing success message with qconf -Aprj
                 Changed:   qconf
                 Review:    AD
                 Issue:     1549
                 Bugtraq:   6252524

MD-2005-04-11-1: Bugfix:    install_qmaster picks up commented out 
                            service sge_qmaster
                 Changed:   inst_common.sh 
                 Bugtraq:   6251178
                 Issue:     1540
                 Review:    HP

MD-2005-04-11-0: Bugfix:    berkeleydb server shutdown script failes
                 Changed:   sgebdb rc-template
                 Bugtraq:   6251175
                 Issue:     1545
                 Review:    HP

RD-2005-04-11-0: Bugfix:    qconf -purge core dump with last hostlist attribute
                 Changed:   qconf
                 Bugtraq:   6252522
                 Review:    RH

RC-2005-04-11-1: Enhancem.: Fixed some spelling mistakes
                 Changed:   rmon.html

RC-2005-04-11-0: Bugfix:    arch.dist is broken on *BSD
                 Review:    AH
                 Changed:   arch.dist

RD-2005-04-07-0: Bugfix:    commlib deadlock with host aliasing
                 Review:    CR
                 Bugtraq:   6251943
                 Changed:   commlib

CR-2005-04-06-8: Testsuite: fixed testsuite test commlib/issues and commlib
                            test_issues module test

CR-2005-04-06-7: Testsuite: added missing file for qsub tests (-sync)

CR-2005-04-06-6: Testsuite: qdel test: delete all jobs before starting next
                            sub test

CR-2005-04-06-5: Testsuite: test for issue 1096 disabled for CSP systems

CR-2005-04-06-4: Testsuite: fixed job_environment test

AH-2005-04-06-0: Testsuite: fixed module test test_sge_qmaster_timed_event 

SG-2005-04-06-0: Bugfix:    reserved jobs prevent other jobs from starting
                 Review:    AH
                 Issue:     1543
                 Bugtraq:   6251172
                 Changed:   scheduler

CR-2005-04-06-3: Testsuite: fixed testsuite test bugs/issuezilla/1096 for
                            BDB RPC spooling 

CR-2005-04-06-2: Testsuite: fixed testsuite test bugs/issuezilla/1334

CR-2005-04-06-1: Testsuite: rlogin timeout problem in open_remote_spawn_process()

CR-2005-04-06-0: Testsuite: install_core_system test:
                               - splited mask check into two start_remote_prog
                                 calls
                               - add submit only hosts to submit host list at
                                 execd installation
                               - fixed bug in inst_sge version check handling
                 Review:    MD

EB-2005-04-05-0: Enhancem.: added loadsensor script for windows systems
                 Review:    HP

EB-2005-04-03-0: Enhancem.: added functionality to windows loadsensor
                 Review:    HP

HP-2005-04-04-1: Cleanup:   removed double WIN32 block, added TMPDIR for faster
                            compiling with gcc compilers
                 Changed:   aimk.site
                 Review:    EB

HP-2005-04-04-0: Bugfix:    scripts/distinst now copies ASCMAN/man/manX to
                            man/catX for Interix man.
                 Bugtraq:   6239465           
                 Changed:   scripts/distinst
                 Review:    EB

JG-2005-04-04-0: Testsuite: Fixed check bugs/issuezilla/1489

MD-2005-04-01-0: Testsuite: BDB RPC Server installation support
                 Changed:   testsuite
                 Review:    CR

MD-2005-03-31-0: Bugfix:    - upgrade failed at sharetree
                            - inst_sge -x fails with fqdn
                            - autoinst does not fully consider ignore_fqdn
                            - load.sh returns wrong load values, if uptime 
                              higher than 1 hour
                 Issue:     1494, 1478, 1119, 1535
                 Bugtraq:   6233300, 6239640, 5071527, 5086193
                 Changed:   inst_sge, install_modules
                 Review:    CR

CR-2005-03-31-1: Testsuite: increased timeout waiting after qconf -km to
                            shutdown qmaster with kill signal

CR-2005-03-31-0: Cleanup:   o Using SSL_set_quiet_shutdown() to shutdown
                              a broken SSL connection. (GE CSP mode)
                            o Added hostname into SSL accept error messages
                 Review:    MD
                 Changed:   commlib

DT-2005-03-31-0: Bugfix:    o Fixed qsub -sync return codes
                            o Added test suite tests
                 Issue:     1433
                 BugTraq:   6221231
                 Changed:   qsub, man
                 Review:    SG

JG-2005-03-31-0: Bugfix:    Fixed qmaster profiling:
                            - profiling was not activated at qmaster startup
                            - cpu stime and utime are not per thread values
                 Issue:     1486, 1487
                 BugTraq:   6239642, 6239660
                 Changed:   sge_qmaster, man
                 Review:    SG

AH-2005-03-30-0: Doc:       Fixes with man pages:
                            o mismatch of man page for host_aliases
                            o bad example in man page for complex
                            o "qconf -Aconf <file>" error
                            o sge_shadowd(8) man page should be improved
                 Issue:     932, 925, 890, 497
                 BugTraq:   4820420
                 Changed:   man
                 Review:    CR

CR-2005-03-30-0: Bugfix:    o Increased GDI version (new ssl layer)
                            o After shadowd takes over there is a long 
                              delay before execd connects to new qmaster
                 Issue:     1533
                 Bugtraq:   6222930
                 Changed:   gdi lib, execd
                 Review:    AH

RH-2005-03-30-0: Enhancem.: com_sun_grid_util_SGEUtil_getPID method
                            added to libdrmaa.so
                 Review:    DT

CR-2005-03-29-0: Cleanup:   cleanup of ssl message logging
                 Review:    SG

CR-2005-03-29-0: Bugfix:    sequence nr of execd load reports corrupted
                 Bugtraq:   6247239
                 Issue:     1450
                 Changed:   execd
                 Review:    SG

DT-2005-03-29-2: Bugfix:    o Fixed broken build on MacOS X & HP-UX
                 Changed:   profiling

DT-2005-03-29-1: Bugfix:    o Fixed broken build on Linux
                 Review:    CR
                 Changed:   profiling

DT-2005-03-29-0: Bugfix:    o Profiling is now thread-safe and DRMAA-safe
                            o Fixed MT bug in drmaa_exit()
                            o Profiling & DRMAA cleanup
                            o Fixed qsub -b n -cwd
                 Issue:     1471, 1529
                 BugTraq:   6242165, 6247238
                 Changed:   DRMAA, profiling, read_defaults
                 Review:    SG, MD

SG-2005-03-29-0: Bugfix:    qstat -explain E does not print queue errors correctly
                 Bugtraq:   6247211
                 Issue:     1525
                 Changed:   qmaster
                 Review:    DT

CR-2005-03-25-0: Bugfix:    Fixed broken sge_ca (CSP mode) script

AA-2005-03-23-0: Bugfix:    Certificate renewal in CSP mode broken
                 Bugtraq:   6232120, 6245486
                 Issue:     1515, 1395
                 Changed:   sge_ca, sge_ssl.cnf, sge_ssl_template.cnf, renew_all_certs.csh
                 Review:    CR

EB-2005-03-24-0: Bugfix:    qhost -h <hostname> does not show selected host
                 Changed:   qhost
                 Issue:     1524
                 Bugtraq:   6245487
                 Review:    SG

JG-2005-03-24-0: Testsuite: Testsuite didn't compile / install binaries for 
                            bdb_server and submit_only_hosts.
                 Issue:     1523
                            Fixed checks functional/usage and 
                            performance/throughput
                            Cleanup.

RC-2005-03-24-3: Bugfix:    allow installation of binaries compiled on
                            Linux 2.6 kernels
                 Review:    AS, JM
                 Issue:     1310, 1367
                 Changed:   arch.dist

RC-2005-03-24-2: Enhancem.: Failed to compile on Cray unicos
                 Changed:   - pdc.c (include file is now sge_unistd.h)
                            - sge_c_gdi.c, configuration_qmaster.c (conflict
                              in function prototype: "static" missing)

RC-2005-03-24-1: Enhancem.: moved function declarations into sge_uidgid.h
                 Changed  : get*_r routines for BSD (and other OSes with
                            them missing)

RC-2005-03-24-0: Bugfix:    - fixed a typo (should be qtcsh instead of qtsch)
                            - qtcsh failed to compile on PPC Linux
                            - restored Changelog
                 Changed:   qtcsh

CR-2005-03-24-0: Bugfix:    forgot to initalize connection response state at
                            connection setup.
                 Changed:   commlib
                 Review:    RH

AH-2005-03-23-0: Bugfix:    a series of matching soft queue requests gets not 
                            counted separately
                 Review:    SG
                 Issue:     1520
                 Bugtraq:   6244865
                 Changed:   sge_schedd

JG-2005-03-23-0: Bugfix:    qdel failed to delete qrsh (login) job on a Solaris 
                            box when Secure Shell is used
                 Review:    AH
                 Issue:     1519
                 Bugtraq:   6215730
                 Changed:   sge_shepherd

SG-2005-03-23-0: Bugfix:    scheduler does not get all objects on a qmaster or 
                            scheduler startup
                 Review:    DT
                 Issue:     1518
                 Bugtraq:   6244808
                 Changed:   qmaster

CR-2005-03-23-0: Bugfix:    error message from execd about endpoint is not unique
                 Issue:     1504
                 Bugtraq:   6234371
                 Changed:   commlib, all binaries
                 Review:    MD

RH-2005-03-23-0: Bugfix:    misleading qstat -j message when the scheduler 
                            is not running
                 Issue:     1435
                 Bugtraq:   6244229
                 Changed:   qmaster
                 Review:    SG

RH-2005-03-22-1: Bugfix:    qsub -b y must fail if no command is specified
                 Cleanup:   shepherd_trace calls ifdef'ed
                 Issue:     1365
                 Bugtraq:   6244215
                 Changed:   qsub, shepherd
                 Review:    AH

DT-2005-03-22-0: Bugfix:    o Fixed broken build
                 Changed:   Shepherd

JG-2005-03-22-0: Testsuite: Added support for solaris zones.
                 Issue:     1503

RH-2005-03-22-0: Bugfix:    starter_method is ignored with binary jobs that are 
                            started without a shell
                 Issue:     1334
                 Bugtraq:   6194719
                 Changed:   shepherd
                 Review:    AA

AA-2005-03-21-1: Bugfix:    - loading of shared openssl libraries
                              on Mac and AIX
                            - clean rule: remove generated c file  
                 Issue:     1354
                 Review:    CR
                 Changed:   all bins

AA-2005-03-21-0: Bugfix:    - make qtcsh compile
                 Changed:   qtcsh
                 Review:    CR

CR-2005-03-21-2: Enhancem.: - (gridengine CSP mode) added error message for 
                              invalid certificates

CR-2005-03-21-1: Bugfix:    - removed unused message macros, fixed not unique
                              macro message id

CR-2005-03-21-0: Testsuite: - added new command line argument: compile_clean
                              (do a aimk clean even when no_update option is set)
                            - aimk clean did not use aimk compile options from
                              testsuite settings file
                            - install_core_system test (CSP mode):
                              wait for qstat -f working after certificates has
                              been copied to remote hosts

RH-2005-03-21-0: Bugfix:    termination script may not be ignored, when job 
                            submited with -notify 
                 Issue:     1489
                 Bugtraq:   6241487
                 Changed:   sheperd 
                 Review:    DT

RC-2005-03-21-1: Bugfix:    malloc did not check for NULL
                 Changed:   execd (Solaris)

RC-2005-03-21-0: Bugfix:    failed to build on IA64 and Alpha Linux
                 Changed:   3rdparty/qtcsh/sh.h

CR-2005-03-18-2: Bugfix:    fixed CSP problems on hp11/aix43/aix51
                 Review:    AA

CR-2005-03-18-1: Bugfix:    additonal changes for CR-2005-03-17-0
                 Changed:   qmaster hard/soft limit limit setting
                 Issue:     1502
                 Bugtraq:   6239569
                 Review:    AA

CR-2005-03-18-0: Testsuite: - new command line parameter:
                              no_local_spool: don't use local spool directories
                            - fixed bug in install_core_system

MD-2005-03-17-4: Enhancm:  Request for start-up script additions / 
                           Use LSB installation procedure for rc scripts when available
                           - minor bugfixes
                           testsuitetest IZ: 1384
                 Changed:  rc templates, inst_common.sh
                 RFE IZ:   1424
                 Bugtraq:  6221850   
                 Review:   HP

MD-2005-03-17-3: Bugfix:   install_execd does not pick up $SGE_CELL
                 Changed:  inst_execd.sh
                 Issue:    1493
                 Bugtraq:  6197109
                 Review:   HP

MD-2005-03-17-2: Bugfix:   install script should create execd spooldir
                 Changed:  inst_execd.sh
                 Issue:    1492
                 Bugtraq:  6235845
                 Review:   HP

MD-2005-03-17-1: Bugfix:   adminuser is not considered in autoinstall!
                 Changed:  auto_inst template, inst_common.sh
                 Issue:    1243
                 Bugtraq:  6239504
                 Review:   HP

MD-2005-03-17-0: Bugfix:   execd installation fails, if local spool dir is not entered
                 Changed:  inst_execd.sh
                 Issue:    1384
                 Bugtraq:  6203977
                 Review:   HP

CR-2005-03-17-1: Bugfix:   change for CR-2005-03-17-0
                 Changed:  qmaster hard/soft limit limit setting
                 Issue:    1502
                 Bugtraq:  6239569

HP-2005-03-17-0: Bugfix:   Replaced direct compare of UID to 0 with function call to
                           sge_is_start_user_superuser(), removed
                           sge_is_start_user_root() from library because it did the
                           same /
                           Put error message in Debug output in error handling
                           branch.
                 Changed:  libs/uti/sge_uidgid.c, libs/uti/sge_io.c
                 Review:   RD

CR-2005-03-17-0: Bugfix:   qmaster does not accept new connections if 
                           number of execd's exceed FD_SETSIZE
                 Issue:    1502
                 Bugtraq:  6239569
                 Review:   AA
                 Changed:  aimk commlib qmaster qmon

SG-2005-03-17-1: Bugfix:   jobs which request a PE and a consumable resources 
                           which set to infinity in global host configuration 
                           are not scheduled
                 Issue:    1447
                 Bugtraq:  6242057
                 Review:   DT
                 Changed:  scheduler

SG-2005-03-17-0: Bugfix:   Consumable request may not be 0 if PE requested / 
                           New Min-Max entry in complex definition
                 Issue:    1379
                 Bugtraq:  6242055
                 Review:   DT
                 Changed:  scheduler

RH-2005-03-17-0: Bugfix:    releasing user hold state through qrls may not 
                            require manager privileges
                 Issue:     1434
                 Bugtraq:   6221244
                 Changed:   qalter, qlrs, qhold, qmaster, 
                            testsuite (qalter test)
                 Review:    EB

SG-2005-03-16-3: Bugfix:   qstat -F dies in case of a infinit integer setting
                           for a complex attribute
                 Issue:    1508
                 Bugtraq:  6241544
                 Review:   JG
                 Changed:  qstat, qmaster, scheduler, ...

RD-2005-03-16-0: Bugfix:   Spooledit fails during database upgrade
                           RD-2005-03-11-0 had problems with string
                           which includes quotations. 
                 Issue:    1425
                 Bugtraq:  6239394
                 Review:   JG
                 Changed:  spooledit

SG-2005-03-16-2: Bugfix:    error message "no execd known on host"
                 Issue:     1431
                 Bugtraq:   6241430
                 Review:    JG
                 Changed:   qmaster

SG-2005-03-16-1: Bugfix:    Conflicting requirements should have the same 
                            meaning with qstat and qsub
                 Issue:     1462
                 Bugtraq:   6241401
                 Review:    EB
                 Changed:   qstat, qhost, qacct, qmon

SG-2005-03-16-0: Bugfix:    qselect uses sge_qstat file
                 Issue:     1505
                 Bugtraq:   6229277
                 Changed:   qstat
                 Review:    EB

JG-2005-03-15-2: Testsuite: Added zones parameter to the testsuite host config.
                 Issue:     1503
                            Fixed check bugs/issuezilla/1473/check.60.exp.

EB-2005-03-15-0: Bugfix:    qstat -s hu shows pending jobs only
                 Issue:     1439 
                 Bugtraq:   6240739
                 Changed:   qstat
                 Review:    SG 

JG-2005-03-15-1: Bugfix:    qconf -Mc only outputs one line, even if multiple 
                            complex attributes are added/deleted/modified.
                 Issue:     1506
                 Bugtraq:   6178843
                 Changed:   qconf
                 Review:    SG

SG-2005-03-15-2: Bugfix:    qstat -U aborts
                 Issue:     1469
                 Bugtraq:   6241376
                 Changed:   qstat
                 Review:    EB

SG-2005-03-15-1: Bugfix:    reprioritize parameter is NOT documented
                 Issue:     1501
                 Bugtraq:   6229603
                 Changed:   man5/sge_conf.5
                 Review:    DT

SG-2005-03-15-0: Bugfix:    Reservation of wrong hosts
                 Issue:     1484
                 Bugtraq:   6241378
                 Changed:   scheduler
                 Review:    EB

JG-2005-03-15-0: Bugfix:    Huge cpu and memory overhead when adding, modifying 
                            and deleting complex attributes.
                 Issue:     1473
                 Bugtraq:   6222237
                 Changed:   qmaster
                 Review:    SG

RD-2005-03-14-0: Bugfix:    amendmand for RD-2005-03-11-0
                 Review:    AA

RC-2005-03-13-2: Enhancem.: NetBSD port (forward porting from SGE 5.3)

RC-2005-03-13-1: Bugfix:    fixed build (uninitialized variable)
                 Review:    Reuti

RC-2005-03-13-0: Enhancem.: created target depend for qmake
                 Review:    Reuti

SD-2005-03-12-0: Enhancem.: Added support for tracking pthreads to the
                            Linux PDC (portable data collector).

RC-2005-03-12-1: Enhancem.: PPC Linux port

RC-2005-03-12-0: Enhancem.: ignore warnings when calling configure
                            for qmake/qtcsh.
                            (only affects non-standard platforms 
                            with no makefile in cvs)

RD-2005-03-11-1: Bugfix:    fixed build for lx24-amd64 & lx24-x86
                 Review:    CR,RH

RD-2005-03-11-0: Bugfix:    Spooledit fails during database upgrade
                 Issue:     1425
                 Bugtraq:   6239394
                 Review:    JG

RH-2005-03-11-1: Enhancem.: checkprog accepts now the options -ppid. The parent
                            process will be printed to stdout
                 Changed:   checkprog
                 Review:    AS

RD-2005-03-10-1: Bugfix     Problems with shadowd install
                 Issue:     1347
                 Bugtraq:   6197730
                 Review:    MD

RD-2005-03-10-0: Bugfix     qstat -f -q all.q@HOSTNAME does not resolve hostname
                 Issue:     1220
                 Bugtraq:   5085004
                 Review:    CR

CR-2005-03-10-0: Bugfix:    - fixed thread signal behaviour for application threads
                              calling cl_commlib_receive_message() at the same time.
                            - fixed qping failure when no sge environment is sourced
                 Review:    MD

JG-2005-03-09-0: Enhancem.: More fine grained profiling information in qmaster.
                            Profiling for the spooling of jobs scripts.
                 Review:    MD

JG-2005-03-08-0: Testsuite: Make all tests use the setup/cleanup framework.
                 Issue:     888

JG-2005-03-08-0: Bugfix:    Fixed broken build.

DT-2005-03-04-0: Bugfix:    o Cleaned up JAPI locking
                            o Cleaned up JAPI session handling
                            o Cleaned up DRMAA-J JNI code
                            o Fixed security bugs in DRMAA-J
                            o Fixed segfault in profiling
                            o Fixed various DRMAA-J bugs
                 Changed:   DRMAA-J, JAPI, profiling
                 Issue:     1470, 1472, 1422, 1076, 1479
                 BugTraq    6236475, 6236476, 6236472, 6236469, 6236479
                 Review:    SG, MD

SG-2005-03-04-0: Enhancem.: - added async-gdi handling
                            - enhanced the job class scheduler
                            - cleanup in the order handling 
                 Changed:   qmaster, scheduler
                 Review:    JG (async-gdi)
                            DT (cleanup, job-classes)

RD-2005-03-04-0: Enhancm.:  BDB install on NFSv4 share
                            fstype now reports nfs4 on solaris
                            installation recognize nfs4 as valid
                 Issue:     1448
                 Bugtraq:   6236261
                 Review:    AA

MD-2005-03-04-0: Bugfix:    - Port free/used check returns a wrong result in 
                              some cases (1385)
                            - execd uninstall doesn't remove all objects (1208)
                            - backup/restore for classic and rpc server spooling
                              not supported! (1244)
                            - restore procedure does not really ensure qmaster 
                              is down (1242)
                 Issue:     1208, 1242, 1244, 1385
                 Changed:   inst_sge, install_modules, getservbyname
                 Bugtraq:   6203984, 6231589, 6236139, 6236136
                 Review:    RD

JG-2005-03-03-0: Testsuite: Make more tests use the setup/cleanup framework.
                 Issue:     888

SG-2005-03-03-1: Cleanup:   minor code changes.
                 Review:    DT
                 changed:   all

RD-2005-03-03-0: Bugfix:    purge don't clean hostlist attribute
                 Review:    MD           
                            
SG-2005-03-03-0: Bugfix:    fixed locking issues in the commlib
                 Review:    AA
                 Changed:   all

SG-2005-03-02-1: Cleanup:   Changed MAXHOSTLEN to CL_MAXHOSTLEN due to a
                            collision between different defines under linux.
                 Review:    AA
                 Changed:   all

JG-2005-03-02-0: Testsuite: Provide means to configure explicit setup and 
                            cleanup functions both for whole checks and per 
                            check level.
                            Changed a number of checks to use this feature, 
                            other checks still have to be changed.
                 Issue:     888

RD-2005-03-02-0: Cleanup:   compile with gcc-3.3
                 Issue:     558
                 Review:    SG

SG-2005-03-02-0: Bugfix:    fixed build for lx24-amd
                 Review:    RD

RD-2005-03-01-1: Enhancem.: -purge switch added
                            purge host specific cluster queue profiles
                 Issue:     1453            
                 Bugtraq:   6234836
                 Review:    MD

JG-2005-02-28-1: Testsuite: Adding high numbers of hosts during qmaster 
                            installation could break communication between 
                            expect and install script.

JG-2005-02-28-0: Testsuite: Added support for architecture sol-amd64.

RD-2005-02-25-0: Bugfix:    Problems with BDB RPC server are hard to diagnose
                 Changed:   bdb_rc_template
                 Issue:     1418
                 Bugtraq:   6218379
                 Review:    AH        

SG-2005-02-25-0: Bugfix:    global scheduler messages are reported multiple times
                 Changed:   scheduler
                 Issue:     1468
                 Bugtraq:   6233162
                 Review:    JG

JG-2005-02-25-0: Bugfix:    Adding/modifying a high number of complex entries 
                            took a long time, qconf could timeout.
                            First part of fix: Reduce the number of situations, 
                            where a recomputation of consumables is required.
                 Changed:   qmaster           
                 Issue:     1473
                 Bugtraq:   6222237
                 Review:    SG

JM-2005-02-23-1: Enhancem.: Added support to handle setup of startup
                            scripts in a Debian-specific way (update-rc.d).
                 Changed:   arch_variables, inst_common.sh
                 Reviewed:  RH,AH

SG-2005-02-23-0: Bugfix:    load formula is not working for pe jobs
                 Changed:   scheduler
                 Bugtraq:   6232074
                 Issue:     1454
                 Review:    AH

JG-2005-02-22-0: Enhancem.: Improved performance of search for duplicate 
                            centries. Does not yet fix the issues listed below,
                            but provides some improvement.
                 Issue:     1473
                 Bugtraq:   6222237
                 Review:    SG

SG-2005-02-21-0: Bugfix:    - deadlock in the qmaster with qconf -ks
                            - reworked potential deadlocks between the
                              two GDI threads, and/or a GDI and the
                              Event Master thread.
                 Changed:   qmaster
                 Bugtraq:   6231366
                 Issue:     1458
                 Review:    DT

SG-2005-02-18-0: Bugfix:    execd logs error mesage, when a tight pe job in "t" state is deleted
                 Changed:   qmaster
                 Bugtraq:   6230846
                 Issue:     1465
                 Review:    AA

AH-2005-02-15-0: Bugfix:    qconf error diagnosis broken
                 Changed:   qconf
                 Bugtraq:   6186597
                 Review:    HP

SG-2005-02-15-0: Bugfix:    An array pe job can set queues into error state
                 Changed:   execd
                 Issue:     1463
                 Bugtraq:   6229373
                 Review:    DT

SG-2005-02-15-0: Bugfix:    a parallel arrayjob can kill the qmaster
                 Changed:   qmaster
                 Issue:     1441
                 Bugtraq:   6229253  
                 Review:    AH

AH-2005-02-14-0: Bugfix:    Execd messages file contains incorrectly-formatted 
                            lines
                 Changed:   execd
                 Bugtraq:   6228350
                 Review:    SG

HP-2005-02-14-0: Bugfix:    Changed behaiour of uidgid for Windows, so that now
                            0 is returned for an Administrator-UID.
                 Changed:   source/utilbin/uidgid.c

SG-2005-02-14-1: Bugfix:    some changes to build the source on sol10-amd64
                 Changed:   qmon

RD-2005-02-14-0: Bugfix:    add warnings for execd_spool dir change
                 Changed:   qmaster, execd
                 Issue:     103
                 Bugtraq:   6219999
                 Review:    AH

SG-2005-02-14-0: Bugfix:    Long delay when submitting large pe jobs
                 Changed:   qmaster
                 Issue:     1461
                 Bagtraq:   6228786
                 Review:    DT

HP-2005-02-14-0: Bugfix:    Set arch_variables for Windows
                 Changed:   dist/util/arch_variables

AA-2005-02-11-0: Bugfix:    amd64 bit qmon, what a stupid problem
                            a wrong define in aimk (MOTIF12_HEADERS)
                            was the reason for the problems under amd64
                            Latest build of libXm.so on dain installed
                 Changed:   aimk, qmon

SG-2005-02-07-4: Bugfix:    sharetree has a usage leak
                 Changed:   qmaster
                 Issue:     1449
                 Bugtraq:   6225570
                 Review:    DT

SG-2005-02-07-3: Bugfix:    some changes to build the source on sol10-amd64
                            missed some files in (SG-2005-02-07-0)
                 Changed:   all

SG-2005-02-07-2: Bugfix:    suspend_internal is ignored when enabling jobs 
                            due to suspend_thresholds change
                 Changed:   qmaster
                 Issue:     1436
                 Bugtraq:   6226085
                 Review:    DT

SG-2005-02-07-1: Bugfix:    init variables in the execd
                 Changed:   execd
                 Review:    DT

SG-2005-02-07-0: Bugfix:    some changes to build the source on sol10-amd64
                 Changed:   all

SG-2005-02-04-0: Bugfix:    - fixed build
                            - fixed wrong memory access
                 Changed:   all
                 Review:    AH

CR-2005-02-04-1: Enhancem.: added warning messages when load reports get
                            lost.
                 Issue:     1450
                 Review:    SG

CR-2005-02-04-0: Enhancem.: - use qping as rmon debug client (part 1)
                            - qping rmon client support can be enabled
                              by setting -DDEBUG_CLIENT_SUPPORT at 
                              compile time
                            - qping now can send debug instructions to the
                              connected endpoint
                 Review:    MD

CR-2005-02-03-0: Bugfix:    fixed broken build for hp11
                 Review:    AA

RD-2005-02-03-0: Enhancem.: - code cleanup
                            kvm dependency and code removed
                 Review:    MD

EB-2005-02-03-0  Enhancem.: set rsh_daemon=/usr/sbin/in.rshd for Interix

CR-2005-02-02-0: Enhancm.:  reimplemenation and integration of former 
                            csp security into commlib layer
                 Changed:   gdi, commlib
                 Review:    AA

RD-2005-02-02-0: Bugfix:    switched use of /dev/kmem to kstat
                 Issue:     1403
                 Bugtraq:   6218430
                 Changed:   loadcheck, execd
                 Review:    JG, CR

MD-2005-01-31-0: Bugfix:    distinst assumes certain files always exist
                 Issue:     1361
                 Review:    AS

AH-2005-01-28-0: Bugfix:    Arguments to binaries sent to qsub are given 
                            to invoking shell too
                 Issue:     1442
                 Review:    GU

SG-2005-01-28-0: Bugfix:    - added a check for a valid scheduler config.
                 Review:    pending
                 Changed:   scheduler, qconf
                 Issue:     1438
                 Bugtraq:   6222811

SG-2005-01-28-0: Bugfix:    - fixed qstat filtering. SG-2005-01-21-0 did
                              not fix all issues
                 Review:    EB
                 Changed:   qstat
                 Issue:     1420
                 Bugtraq:   6218877
                            

AS-2004-11-26-0: CVS        Created V60_s10amd64_beta_TAG
---------------------------------------------------------

CR-2005-01-26-0: Enhancem.: - qping -dump now supports application debug
                              messages
                 Review:    MD

CR-2005-01-25-1: Enhancem.: - code cleanup 

CR-2005-01-25-0: Bugfix:    - fixed qping connect problem checked in with
                              CR-2005-01-21-0
                 Enhancem.: - qping to a running service (e.g. telnet) did
                              not cancel when pressing CTRL + C.
                 Review:    SG

SG-2005-01-25-0: Bugfix:    the scheduler crashed in case of a restart and
                            a running MPI job.
                 Changed:   scheduler
                 Review:    EB
                 Issue:     1416
                 Bugtraq:   6221167

AS-2005-01-25-1: Bugfix:    set file permissions in destination directory"
                 Changed:   scripts/distinst
                 Review:    MD

AA-2005-01-24-0: Bugfix:    labels of AFS section shwon twice
                 Changed:   qmon

CR-2005-01-21-0: Enhancem.: - finished commlib SSL framework support
                              ( not yet integrated in gdi )
                            - code cleanup
                 Review:    AA

SG-2005-01-21-1: Bugfix:   - qmaster crashed in case of some calendar configs.
                 Review:   AH
                 Changed:  qmaster
                 Issue:    1427
                 Bugtraq:  6220060

SG-2005-01-21-0: Bugfix:   - fixed qstat -t
                           - fixed a minor uninit variables in the execd
                 Review:   DT
                 Changed:  qstat, execd
                 Issue:    1420
                 Bugtraq:  6218877

RD-2005-01-19-0: Bugfix:    CULL examples fixed
                 Review:    AH
 
EB-2005-01-19-0: Enhancem.: qtcsh port for WIN32_X86
                 Changed:   qtcsh

DT-2005-01-19-0: Testuite:  o Fixed drmaa-j test

DT-2005-01-18-0: Cleanup:   o Made JAPI Makefile more readable
                            o Made class and jar file compilation cleaner
                 Bugfix:    o Added new test target for Ant for testing binaries
                 Changed:   DRMAA

RD-2005-01-17-0: Bugfix:    make qmon compile on sol-amd64
                 Changed:   qmon

HP-2005-01-17-0: Bugfix:    qmake Makefile for WIN32_X86 now with relative 
                            pathes
                 Changed    qmake

DT-2005-01-17-0: Bugfix:    o JAPI makefile didn't delete drmaa.o on clean
                 Changed:   DRMAA

CR-2005-01-17-0: Testsuite: cleanup for issue check 126

DT-2005-01-16-0: Enhancem.: o aimk now can build javadocs with or without
                              protected fields and methods.
                 Bugfix:    o Changed Session.getVersion() to return the binding
                              spec version.
                 Changed:   DRMAA, aimk

HP-2005-01-15-0: Enhancem.: Changed aimk in WIN32_X86 section
                 Changed:   aimk

CR-2005-01-14-0: Testsuite: Modified test for issue #126 to report
                            more error information into the testsuite
                            error mail message. (using qping -dump)

HP-2005-01-12-0: Enhancem.: Changed aimk in WIN32_X86 section
                 Changed:   aimk

CR-2005-01-13-0: Bugfix:    - qping -dump hex buffer converting error from
                              CR-2004-12-01-0 (only concerns maintrunk)
                            - code cleanup
                 Changed:   commlib, qping, execd, qmaster
                 Review:    HP

AH-2005-01-12-0: Doc:       Errors with load_avg in sched_conf(5)
                            sched_conf(5) wrongly mentioned load_avg 
                            rather than np_load_avg and 100 rather than
                            1.0 for a job that utilizes a full cpu
                 Changed:   man
                 Review:    AS
                 Issue:     1417
                 Bugtraq:   6216694

CR-2005-01-12-0: Enhancem.: commlib read/write errors closing connection
                            messages in the daemon log files will now also
                            contain the name of the connection where the
                            read/write error appeared.
                 Changed:   commlib
                 Review:    AA

CR-2005-01-11-2: Testsuite: added testsuite code for parsing qping -dump
                            output into tcl_files/remote_procedures.tcl

CR-2005-01-11-1: Testsuite: modified issue test #141 for detection
                            of issue #1414

CR-2005-01-11-0: Bugfix:    pending job task deletion may not work
                 Changed:   qmaster
                 Issue:     1414
                 Bugtraq:   6216020
                 Review:    SG

EB-2005-01-11-0: Enhancem.: Merged missing code from V60_win_alpha_BRANCH.

HP-2005-01-10-2: Enhancem.: Optimized aimk section for WIN32_X86
                 Changed:   aimk

HP-2005-01-10-1: Added:     qmake configure files for Interix

HP-2005-01-10-0: Enhancem.: Changed name of function in libwingrid
                 Changed:   sge_load_sensor.c

EB-2005-01-10-0: Enhancem.: Changed distinst for Interix installation
                 Review:    HP

CR-2005-01-07-0: Bugfix:    - master task will close connection to
                              execd after job delivery
                 Changed:   qsh, gdilib
                 Issue:     1413
                 Bugtraq:   6215580
                 Review:    SG

CR-2005-01-07-0: Testsuite: enhanced tight integration check to report
                            errors for issue #1413

DT-2005-01-05-2: Enhancem.: o aimk now checks the Java version
                 Changed:   aimk.site

DT-2005-01-05-1: Bugfix:    o Fixed DRMAA-J PartialTimestamp bugs
                 Docs:      o Added section to DRMAA-J howto
                 Changed:   DRMAA, www

DT-2005-01-05-0: Bugfix:    o Fixed minor DRMAA-J bugs
                            o Removed JGDI flags from aimk
                            o Reduced MAX_STRING_SIZE to 2048
                            o Added DRMAA-J testsuite test
                            o Made symlink to JNI lib on MacOS X
                 Changed:   DRMAA, aimk, basis_types, job, stdlib, testsuite,
                            distinst
                 Issue:     538
                 Review:    SG, AS

HP-2005-01-04-1: Bugfix:    Fixed bug in aimk in code for Interix and Win32 
                 Changed:   aimk


HP-2005-01-04-0: Bugfix:    Improved "root" or "Administrator" detection
                            in Interix.
                 Changed:   libuti, shepherd

CR-2005-01-03-0: Testsuite: - added binary test module for issue #1389
                            and issue #1400
                            - added testsuite test for test module

JG-2005-01-03-1: Bugfix:    Fixed broken build.

JG-2005-01-03-0: Bugfix:    Fixed aimk -no-mk.

DT-2005-01-03-0: Docs       o Updated DRMAA-J howto and README
                            o Removed javadoc.clean from clean target
                 Bugfix:    o Fixed missing qtask args in qtcsh
                            - Contributed by Ron Chen
                            o Fixed colon parsing in working directory in DRMAA
                            - Contributed by Ron Chen
                 Changed:   DRMAA, www, qtcsh
                 Review:    DT
                 Issue:     1407, 1397

DT-2004-12-31-1: Bugfix:    o Really backed out conflicting changes
                            o Resolved conflict between ARCo and DRMAA
                 Changed:   aimk.site, DRMAA Makefiles

DT-2004-12-31-0: Bugfix:    o Backed out some changes from DT-2004-12-29-0
                              which conflicted with aimk -j 2
                 Changed:   DRMAA Makefiles

DT-2004-12-30-2: Docs:      o Updated JavaDocs
                 Changed:   javadocs, DRMAA

DT-2004-12-30-1: Bugfix:    o Fixed broken Java build
                 Changed:   aimk, DRMAA
                 Review:    pending

DT-2004-12-30-0: Bugfix:    o Fixed minor bug in aimk
                            o Fixed minor bug in distinst
                            o Backed out part of DT-2004-12-29-0
                            o un-DOS'ed JobTemplateImplTest.java
                            o Fixed typos in README.aimk
                 Changed:   DRMAA, aimk, zerodepend, distinst, README.aimk
                 Review:    pending

DT-2004-12-29-0: Bugfix:    o Restructured DRMAA build proceedure
                            o Fixed minor bug in findcheckin script
                 Changed:   DRMAA, aimk, distinst, zerodepend
                 Issue:     1405
                 Review:    pending

DT-2004-12-28-0: Bugfix:    o Added missing files from previous checkins
                            o Fixed bugs in DRMAA-J test suite
                            o Fixed packaging for DrmaaExample and TestDrmaa
                            o Fixed DRMAA-J cloning issue
                            - Still need to test new clone() methods
                 Changed:   DRMAA
                 Issue:     1404

CR-2004-12-23-0: Bugfix:    qmaster running out of file descriptors
                            - Part II of CR-2004-12-03-2
                              (added additional file desriptor soft 
                               limit check at qmaster startup)
                 Issue:     1400
                 Bugtraq:   6211309
                 Changed:   qmaster, commlib
                 Review:    MD

JG-2004-12-23-0: Testsuite: Do not check directory permissions and messages 
                            files at install re_init.

EB-2004-12-22-0: Bugfix:    The qstat -ext -xml command is broken with 
                            N1GE6 Update 2 patch
                 Changed:   qstat
                 Issue:     1401
                 Bugtraq:   6211243
                 Review:    JG

MD-2004-12-22-0: Bugfix:    uninstall of exec host doesn't work
                 Issue:     1392
                 Bugtraq:   6211725
                 Changed:   inst_sge
                 Review:    HP

DT-2004-12-22-2: Bugfix:    o Made -no-java the default
                 Changed:   aimk

JG-2004-12-22-0: Testsuite: Accept new hosts as known hosts when ssh is used as 
                            login mechanism.
                            Fixed a timeout problem when closing connections.
                            Fixed error mail (mail body was truncated).
                            Fixed test system_tests/qmaster/size: In runlevel 0
                            no error condition will be raised when qmaster or
                            schedd show growth.
                 Review:    CR

DT-2004-12-22-1: Enhancem.: o Updated distinst for DT-2004-12-22-0
                 Changed:   distinst

DT-2004-12-22-0: Enhancem.: o Created Ant build script for DRMAA Java language
                              binding
                 Changed:   aimk, DRMAA, global Makfile

CR-2004-12-21-0: Bugfix:    -Werror CFLAG was missing for linux
                            architectures - fixed aimk

SG-2004-12-17-0: Enhancem.: - fixed limits for sol10-amd64
                 Changed:   sheperd
                 Review:    AA

JG-2004-12-17-0: QA:        Improved review template and help text.
                 Review:    AS

JG-2004-12-16-0: Testsuite: Bugfix in performance/throughput check.

MD-2004-12-16-0: Bugfix:    - permission problem at rc-script gen.
                 Changed:   inst_common.sh

SG-2004-12-15-0: Enhancem.: - fixed load values and arch for Sol-AMD64
		 Changed:   execd	
                 Review:    AA

SG-2004-12-14-0: Enhancem.: - missed two files in SG-2004-12-13-0
			    - ported infotext
			    - fixed a output problem in the install
	         Changed:   infotext, install, master		
                 Review:    CR

DT-2004-12-14-5: Enhancem.: o DRMAA-J_05 branch is now fully merged
                 Changed:   docs, DRMAA

DT-2004-12-14-3: Enhancem.: o Merged DRMAA-J_05 docs into main trunk
                 Changed:   docs

DT-2004-12-13-2: Enhancem.: o Merged DRMAA-J_05 branch into main trunk
                 Changed:   DRMAA
                 Issue:     1369, 1370, 1371, 1372, 1373
                 Review:    Pending

EB-2004-12-12-0: Enhancem.: Added loadsensor for Interix
                 Review:    HP

SG-2004-12-13-0: Enhancem.: part 1 of SOLARIS 10 AMD 64. The core system compiles
                            with classic spooling. 
                 Changed:   everything
                 Review:    AA

JG-2004-12-09-1: Testsuite: Improved testsuite ssh login.

JG-2004-12-09-0: Bugfix:    Fixed broken build on lx22-alpha.

JG-2004-12-08-1: Testsuite: Suppress output of "washing machine", if testsuite
                            output is not a tty.

JG-2004-12-08-0: Testsuite: Fixed infinite loop while waiting for a script file
                            being created.
                            Do not try to shutdown commd processes in 6.x 
                            clusters.

JG-2004-12-07-2: Testsuite: The java virtual machine to use can now be
                            configured in the host configuration.

CR-2004-12-07-0: Bugfix:    - error in commlib read/write timeout handling
                            - read/write timeout errors now are reported to
                              the application
                            - removed duplicate function
                 Issue:     1389
                 Bugtraq:   6205648
                 Changed:   commlib
                 Review:    AA

DT-2004-12-07-1: Bugfix:    o Client commands now fail if GID is unresolvable
                            o qmaster now rejects sharetrees with dangling
                              child references
                            o qconf now rejects charetress with dangling child
                              references
                 Review:    EB
                 Changed:   qconf, sge_uidgid, sharetree, qmaster, classic
                            spooling
                 Issue:     1256, 1359
                 Buqtraq:   6205060, 6199256

JG-2004-12-07-1: Testsuite: Fixed installation problems with CSP systems on 
                            slow NFS server.

JG-2004-12-07-0: Bugfix:    Fixed memory leaks in qconf.
                            Changed version string in maintrunk.
                            Fixed clean rule for qmaster Makefile.
                 Review:    CR

HP-2004-12-06-0: Bugfix:    replaced statvfs with wl_statvfs for Interix,
                            fixed DECODE of xdr_double().
                 Review:    EB

CR-2004-12-03-2: Cleanup:   commlib:
                            - new function: cl_com_get_actual_statistic_data()
                            - test_virtual_qmaster now gets correct nr. of 
                              buffered read/write messages
                            - optimizations in TCP framework
                            - qmaster running out of file descriptors (Part I)
                 Issue:     1400
                 Bugtraq:   6211309
                 Changed:   commlib
                 Review:    AA

CR-2004-12-03-1: Cleanup:   fixed mistake in writing

CR-2004-12-03-0: Bugfix:    rollback of CR-2004-12-02-3 and CR-2004-12-02-2
                            adding the dst_len check caused problems, because
                            some invoking function are not setting the correct
                            dst_len. Created an issue to rework replace_params()
                            function.

CR-2004-12-02-4: Testsuite: added new format specifier: SFN2

CR-2004-12-02-3: Bugfix:    fix of CR-2004-12-02-2 (end of string character
                            would not been written when dst_len is reached)
                 Changed:   utilib
                 Review:    RH

CR-2004-12-02-2: Bugfix:    replace_params() in utilib did not check dst_len
                            parameter.
                 Changed:   utilib
                 Review:    RH

CR-2004-12-02-1: Cleanup:   - re-adjust qping man page for 2nd qmaster message
                              thread
                            - a reserved port service will only allow reserved
                              port clients
                            - hostname resolve timeouts can now be set via 
                              environment variables
                            - general commlib error callback function will now
                              log error strings with a size till 200 chars
                              (was 100 chars before)
                 Changed:   qping man page, basis_types.h, commlib, messages
                 Review:    MD

CR-2004-12-02-0: Bugfix:    Fixed broken build for alinux22

HP-2004-12-01-0: Enhancem.: Changes for Windows Port
                 Review:    EB

CR-2004-12-01-1: Enhancem.: improved performance of lGetElemStrLike()
                 Review:    HP

SG-2004-12-01-0: Enhancem.: limited the amount of data send to change the busy
                            state in the event client.
                 Review:    EB
                 Changed:   scheduler, master

CR-2004-12-01-0: Enhancm.:  qping -dump now can unpack gdi requests and print
                            out the message data
                 Changed:   commlib qping
                 Review:    AA

SD-2004-11-30-0: Bugfix:  : Updated security.html with proper information about
                            the kerberos and GSSAPI security code.

SG-2004-11-30-0: Enhancem.: ADDED A SECOND GDI THREAD

CR-2004-11-26-1: Testsuite: - fixed bug in system_tests/clients/qmake test

AS-2004-11-26-0: CVS        Created V60u2_TAG
---------------------------------------------

CR-2004-11-26-0: Testsuite: - fixed bug in path_alias test which caused
                              errors on irix65
                            - additional test output for migration test
                 Review:    JG

DT-2004-11-25-0: Bugfix:    o Backed out DRMAA-J changes to create_settings.sh
                 Changed:   create_settings.sh

MD-2004-11-24-0: Bugfix:    arch script does not know about /lib64
                 Review:    JG
                 Changed:   arch, arch.dist
                 Issue:     1357
                 Bugtraq:   6200013

JG-2004-11-24-0: Bugfix:    sge_qmaster hit stack limit on aix43, aix51 and
                            hp11 with classic spooling.
                 Review:    CR

DT-2004-11-24-0: Bugfix:    o Fixed segfault in japi_synchronize()
                 Review:    AH
                 Changed:   JAPI

MD-2004-11-23-0: Enhancm.:  60/60u1 to 60u2 BDB update script
                 Changed:   inst_sge, inst_update, inst_common,
                            set_fileperm.sh
                 Review:    CR

AA-2004-11-23-0: Bugfix:    qmon segv when deleting sharetree Root node more 
                            than once
                            - disallow editing of Root node
                            - disallow changing default node label
                 Issue:     1360
                 Bugtraq:   6199261
                 Changed:   qmon
                 Review:    RH
                 
CR-2004-11-23-2: Bugfix:    fixed bug in sge_ca script (GE CSP feature):
                            Generating certificate for users failed
                 Changed:   sge_ca script
                 Review:    AA

JG-2004-11-23-0: Testsuite: Verified tests system_tests/geee/sharetree/check.exp
                            and system_tests/utilbin/loadcheck/check.exp.

CR-2004-11-23-1: Testsuite: test for issue 1096 does not work with csp system

CR-2004-11-23-0: Testsuite: wait 5 seconds after restarting qmaster. It
                            may be a problem for following commands when
                            qmaster is not immediately reachable.

JG-2004-11-22-2: Testsuite: fixed check system_tests/shepherd/submit_del
                 Review:    CR

JG-2004-11-22-1: Testsuite: fixed creation of local configurations (set_config)
                            fixed check system_tests/config/submit_hosts
                 Review:    CR

CR-2004-11-22-0: Testsuite: fixed remote login testsuite problem
                 Review:    JG

JG-2004-11-22-0: Bugfix:    fixed a memory leak in mirror interface.
                 Review:    SG
                 Testsuite: Fixed test system_tests/config/path_alias.
                 Review:    CR

SG-2004-11-22-0: Bugfix:    fixed the scheduler messages for qstat -j.
                 Changed:   scheduler
                 Review:    EB

CR-2004-11-19-1: Testsuite  - new test: commlib deadlock test
                            - fixed bug in issue test 1270

MD-2004-11-19-0: Bugfix:    Bugfix fix. backup/restore problem.
                            compress/gzip is now supported. backup/restore
                            checks, if host is mastermachine.
                 Changed:   inst_common.sh
                 Review:    pending

AH-2004-11-19-0: Bugfix:    Fix DRMAA_DURATION_{H|S}LIMIT misspelled  
                            as "durartion"
                 Review:    JG
                 Issue:     1345
                 Bugtraq:   6197253
                 Changed:   drmaa.h, drmaa_attributes(3)

JG-2004-11-19-0: Bugfix:    Fixed a deadlock in commlib error handling.
                 Review:    CR/SG

CR-2004-11-19-0: Testsuite: qconf test created files in /tmp/ which can
                            cause problems for multiple testsuites running
                            on the same host.

JG-2004-11-18-1: Testsuite: Fixes for tests functional/job_environment and
                            system_tests/clients/qmod,
                            some cleanup

AH-2004-11-18-0: Doc:       Fix doc/README-Autoinstall.txt missing in 
                            distribution.
                 Review:    TBD

JG-2004-11-18-0: Testsuite: Fixes for tests bugs/issuezilla/1291,
                            system_tests/clients/qalter,
                            system_tests/clients/qsub.
                            Some cleanup in config functions.

MD-2004-11-17-0: Bugfix:    - backup fails if root is mapped to nobody
                 Review:    pending
                 Issue:     1344
                 Bugtraq:   6196578
                 Changed:   inst_common.sh

SG-2004-11-17-0: Bugfix:    - the deletion of the queue calendar did not
                              reset the cal for the scheduler.
                 Review:    EB
                 Changed:   qmaster

CR-2004-11-17-0: Testsuite: Fixed some problems for commlib performance tests
                            when grid engine port is < 1024

DT-2004-11-17-0: Bugfix:    o Check drmaa_wait() and drmaa_synchronize() for
                              negative timeouts.
                            o drmaa_synchronize() now waits for all tasks
                              ids of all jobs with DRMAA_JOB_IDS_SESSION_ALL
                              parameter.
                            o drmaa_set_attribute() checks validity of
                              DRMAA_TRANFER_FILES value.
                            o drmaa_control() now recognizes held states.
                 Review:    AH
                 Changed:   japi, drmaa
                 Issue:     1339, 1340, 1341, 1343

JG-2004-11-17-0: Testsuite: Fix and optimization of vi controlling and
                            changing global config.
                 Review:    CR

AA-2004-11-16-0: Bugfix:    - label in Policy Dialog
                            - label width in cluster queue dialog
                            - hostname filtering of jobs
                 Bugtraq:   6195249, 5085010
                 IZ:        1338
                 Changed:   qmon
                 Review:    CR

DT-2004-11-16-0: Bugfix:    o Increased profiling thread count to 256
                            o Added validity check for drmaa_transfer_files
                            o Added abort to profiling if max number of
                              threads is exceeded
                 Changed:   profiling, DRMAA
                 Review:    AH, MD

CR-2004-11-16-3: Bugfix:    fixed duplicate message id: 33818

MD-2004-11-16-0: Bugfix:    backup/restore does not work under Linux and 
                            others.
                 Changed:   inst_commen.sh
                 Issue:     1328
                 Bugtraq:   6193866
                 Review:    pending

SG-2004-11-16-0: Bugfix:    a cluster queue can be deleted, even though it is referenced
                 Changed:   qmaster
                 Review:    EB
                 Issue:     1316
                 Bugtraq:   6189289

CR-2004-11-16-2: Enhancm.:  - updated qping man page for -dump option
                            - fixed usage output of qping
                 Changed:   qping, qping man page

CR-2004-11-16-1: Cleanup:   removed unused message macros

JG-2004-11-16-0: Bugfix:    Fixed spooling of subordinate queues.
                            Fixed a memory leak.
                 Review:    SG
                 Issue:     1336
                 Bugtraq:   6194729

CR-2004-11-16-0: Bugfix:    replaced u32 format string with U32CFormat in
                            scheduler message text
                 Review:    RH
                 Changed:   schedd

DT-2004-11-15-0: Bugfix:    o Fixed typo in id_list_build_from_str_list()
                            o Fixed logic error in qmod
                            o Fixed typo in qmod man page
                 Review:    AH
                 Changed    qmod, sge_id.c                 

MD-2004-11-15-1: Bugfix:    Confusing text
                 Review:    HP 
                 Changed:   inst_qmaster.sh
                 Issue:     791
                 Bugtraq:   5063317

MD-2004-11-15-0: Bugfix:    Confusing text
                 Review:    HP 
                 Changed:   inst_qmaster.sh
                 Issue:     790
                 Bugtraq:   5063315

HP-2004-11-15-0: Bugfix:    Jobs fail on NFS drives mounted without root
                            write privileges - fchown() doesn't work as
                            expected on Irix and Tru64
                 Review:    AH
                 Changed:   daemons/common/err_trace.c
                 Issue:     1323
                 Bugtraq:   6193361

SG-2004-11-15-1: Bugfix:    fixed the delivery of start orders (did not work)
                 Review:    JG
                 Changed:   scheduler

SG-2004-11-15-0: Bugfix:    removed a ListWrite from the scheduler
                 Review:    EB
                 Changed:   scheduler

JG-2004-11-15-1: Bugfix:    Fixed memory leak in qmaster (event_master).
                            Load <lib>.sl in hp11-64 instead of <lib>.so.
                 Review:    SG
                            Updated version string (6.0u2) and GDI version.

EB-2004-11-15-0: Bugfix:    incorrect select() call in combination with
                            loadsensors
                 Changed:   sge_execd
                 Review:    JG 

AH-2004-11-15-0: Bugfix:    Use hp11 binaries on HP11 64 bit
                            Use lx24-x86 binaries for Linux 2.6
                 Review:    AS
                 Issue:     1357
                 Bugtraq:   6200013


AH-2004-11-12-0: Doc:       Various fixes with man pages.
                 Review:    TBD
                 Bugfix:    MD-2004-10-21-0 broke DRMAA
                            Added per thread/per process init 
                            to DRMAA setup code
                 Review:    DT

JG-2004-11-15-0: Bugfix:    Fixed broken build.

DT-2004-11-12-0: Bugfix:    o qmaster now uses very little memory for
                              calculating subordinate queue suspension.
                            o qmaster now ignores NULL job ids.
                            o "" is now rejected as an invalid job id.
                            o qconf now sets status to 1 for failed host group
                              and cluster queue operations.
                            o The lib path will now only be updated if the execd
                              param, SET_LIB_PATH, is set.
                            o The inheritance by jobs of environment of the
                              shell which started the execd can now be disabled
                              with the INHERIT_ENV execd param.
                            o qconf now correctly prints subordinate queue
                              lists.
                            o Subordinate queues are no properly suspended at
                              qmaster startup.
                            o Fixed broken build on Alpha 5
                 Review:    AH, SG, AS, AA, EB
                 Changed:   sgeobj, qmaster, execd, shepherd, qconf, qhost
                 Issue:     1289, 1291, 1295, 1300, 1324, 1335
                 Bugtraq:   6194625, 6176181, 6174915, 6185211, 6193348, 6194713

CR-2004-11-12-0: Bugfix:    - commlib called connect() even when connect is
                              already in progress
                 Changed:   commlib
                 Review:    HP

SG-2004-11-12-1: Bugfix:    added a qmaster param to set a sharetree spool time
                 Review:    DT
                 Changed:   qmaster

SG-2004-11-12-0: Bugfix:    the scheduler made reservations for queues in an
                            unknown state or disabled state. (SG-2004-10-27-0)
                 Review:    AH
                 Changed:   scheduler

JG-2004-11-12-0: Testsuite: performance/throughput: Added scenario with 
                            resource reservation.
                            Fixed test system_tests/clients/qmake.
                            Fixed reset_schedd_config

CR-2004-11-11-0: Bugfix:    sgemaster -migrate on qmaster host starts second 
                            qmaster
                 Issue:     1329, 1325
                 Bugtraq:   6194002
                 Changed:   sgemaster startup script
                 Review:    AS

JG-2004-11-11-0: Bugfix:    Fixed memory access and uninitialized erros in
                            qmaster.
                 Review:    DT
                 Testsuite: Minor fixes.

CR-2004-11-10-1: Bugfix:    sgemaster -shadowd did not start shadowd if
                            no shadowd pid file exist.
                 Review:    AA
                 Changed:   sgemaster_template

CR-2004-11-10-0: Testsuite: - fixed remote loggin problem on slow
                              hosts
                            - increased timeout for csp key installation
                              at execd installation

AA-2004-11-10-0: Bugfix:    - negative ticket values
                            - default user display in sharetree
                 Issue:     1318 
                 Changed:   qmon
                 Review:    SG
                            
AH-2004-11-10-0: Enhancm.:  Improved shepherd diagnosis
                 Review:    HP

JG-2004-11-10-0: Bugfix:    Fixed memory leaks in qmaster.
                 Review:    EB
                 Testsuite: Minor fixes.

AA-2004-11-09-0: Bugfix:    openssl-0.9.7e broke sge_ssl_template.cnf
                            configuration file parsing changed
                            fix in sge_ca and sge_ssl_template.cnf
                 Changed:   util/sgeCA/{sge_ca,sge_ssl_template.cnf}
                 Review:    CR
                      
JG-2004-11-09-0: Testsuite: Fixed test system_tests/clients/qsub.

AA-2004-11-08-0: Bugfix:    - openssl-0.9.7e upgrade
                 Changed:   all 
                 Review:    CR
                 
CR-2004-11-08-0: Bugfix:    - fixed qevent -trigger
                            - when qmaster went down once the scheduler always
                              called qmaster alive method in each schedule run
                            - removed sleep time for "qmaster goes down event"
                            - qping -debug now shows also CM/CRM messages
                            - qping -debug connection will get flushed at 
                              service shutdown
                 Changed:   sge_schedd, qevent, commlib, evclib, mirlib
                 Review:    AA

JG-2004-11-08-0: Testsuite: Improved error diagnosis of some tests.

SG-2004-11-08-0: Bugfix:    fixed SG-2004-11-03-0
                 Changed:   master
                 Review:    EB

CR-2004-11-05-1: Bugfix:    fixed broken build

CR-2004-11-05-0: Enhancm.:  qping -dump (communication traffic) option
                 Changed:   qping
                 Review:    AA

JG-2004-11-05-0: Bugfix:    Scheduler didn't respect usage of tightly
                            integrated tasks and logged error messages.
                 Changed:   qmaster, scheduler
                 Bugtraq:   6191366
                 Review:    SG

SG-2004-11-05-1: Bugfix:    added an error message for the case, that a job 
                            cannot be started due to the calendar.
                 Changed:   scheduler
                 Review:    DT

SG-2004-11-05-0: Bugfix:    the scheduler had critical errors, when host groups
                            were added or modified.
                 Changed:   mirror interface, scheduler
                 Review:    JG

SG-2004-11-04-2: Bugfix:    qconf -ks gives bad error message if scheduler isn't
                            running
                 Issue:     1319
                 Bugtraq:   6201039
                 Changed:   qmaster
                 Review:    DT

JG-2004-11-04-0: Bugfix:    Jobs were not rescheduled to the same host they ran 
                            on before.
                 Issue:     1317
                 Bugtraq:   6201040
                 Changed:   execd
                 Review:    SG

SG-2004-11-04-1: Bugfix:    the scheduler logs 2 error message, when job
                            was deleted by a user during a scheduling run
                            and that you was dispatched from the scheduler.
                 Issue:     1030
                 Bugtraq:   6201042
                 Changed:   qmaster
                 Review:    JG

SG-2004-11-04-0: Bugfix:    fixed the event master error messages
                 Changed:   qmaster
                 Review:    DT

CR-2004-11-04-0: Enhancm.:  commlib: added rresvport() (reserved port) support
                 Changed:   commlib
                 Review:    AA

SG-2004-11-03-0: Bugfix:    too many array tasks are deleted
                 Review:    EB
                 Changed:   qmaster
                 Issue:     1279
                 Bugtraq:   6190164

AH-2004-11-03-0: Bugfix:    qsub doesn't forward the AFS token, removed 
                            set_sec_cred call 
                            Reschedule unknown blocked host for all jobs of the
                            rescheduled job.
                 Review:    AA, SG
                 Changed:   scheduler, qsub
                 Issue:     1301

CR-2004-11-03-0: Enhancm.:  - commlib debug client support can be enabled via 
                              compile time definition "ENABLE_DEBUG_CLIENT" for 
                              execd and qmaster daemons. 
                              The binary "test_debug_client" can be used as
                              debug client.
                 Changed:   commlib, gdilib
                 Review:    AA

AD-2004-11-03-0: Bugfix:    '-m a' qsub option did leave a zombie process
                 Review:    EB
                 Changed:   qmaster
                 Issue:     1277
                 Bugtraq:   5104789
                 
CR-2004-11-02-1: Bugfix:    - fixed build

CR-2004-11-02-0: Enhancm.:  - added new commlib test binary: test_debug_client
                            - added new parameter to statistic calculate function
                              to force calculation for qping requests. Otherwise
                              update statistics only once per minute
                            - added debug client support into commlib
                            - fixed bug when shutdown commlib with connected
                              stream clients
                            - fixed possible deadlock in commlib string list when
                              the malloc() of an entry failed.
                            - outcommented unused function: 
                              should_flush_event_client()
                 Changed:   commlib, gdilib, qmaster
                 Review:    AA

SG-2004-11-02-0: Bugfix:    - fixed a memory leak in the scheduler configuration
                            - fixed a memory leak in the scheduler. It ocoured,
                              when consumables were used as load thresholds.
                 Review:    AA
                 Changed:   scheduler
                 Issue:     1315
                 Bugtraq:   6189286

CR-2004-10-29-0: Bugfix:    - fixed gdi bug for commlib error reporting
                            - new commlib function: cl_is_commlib_error()
                 Changed:   gdi, commlib
                 Review:    SG

SG-2004-10-29-2: Bugfix:    - fixed profiling im scheduler
                            - fixed cpu consumption in event master. The
                              event master never slept.
                 Changed:   master, scheduler
                 Review:    CR

SG-2004-10-29-1: Bugfix:    second try on the profiling.
                 Review:    JG
                 Changed:   scheduler

SG-2004-10-29-0: Bugfix:    fixed the flush implementation in the event master
                 Review:    JG
                 Changed:   qmaster

CR-2004-10-28-1: Testsuite: commlib throughput test now uses binary_starter.sh
                            to startup more virtual_event/gdi_client binaries 
                            parallel

JG-2004-10-28-0: Bugfix:    qmake did not export shell env vars.
                 Bugtraq:   5090162
                 Issue:     1313
                 Review:    SG
                 Testsuite: New check system_tests/clients/qmake.
                            Check performance/throughput: Better diagnosis of 
                            event delivery interval.
                            Check functional/tight_integration fixed for 5.3.

CR-2004-10-28-0: Enhancem.: - code cleanup of commlib
                            - continue work on SSL framework module
                            - removed unused logging output
                 Changed:   commlib
                 Review:    AA

SG-2004-10-28-0: Bugfix:    - fixed profiling for the scheduler
                            - fixed the inclusiv/exclusiv profiling of different
                              layers
                 Changed:   scheduler, profiling
                 Review:    pending

AA-2004-10-27-1: Bugfix:    qmon returns an error dialog, when editing a 
                            calendar
                 Issue:     1267
                 Bugtraq:   6185169
                 Changed:   qmon
                 Review:    CR

AA-2004-10-27-0: Bugfix:    qmon job customize weird @{} field names
                            additional fields canot be added
                 Issue:     1307
                 Bugtraq:   6185136
                 Changed:   qmon
                 Review:    CR
                 
SG-2004-10-27-0: Bugfix:    qmod can modify queues starting with digits
                            now.
                 Issue:     1308
                 Bugtraq:   6184460
                 Changed:   qmod
                 Review:    EB

SG-2004-10-27-0: Bugfix:    - 3/3 part of of the look ahead scheduler
                            extention.
                 Issue:     978
                 Bugtraq:   6184466
                 Changed:   scheduler
                 Review:    EB

JG-2004-10-26-0: Testsuite: Additional charts for throughput test: Event 
                            delivery interval and number of events delivered.
                            Improved writing of testsuite data, e.g. dump files
                            from throughput test.
                            Fixed a bug in test performance/throughput.

CR-2004-10-22-1: Testsuite: moved commlib_throughput test to 
                            checktree/performance/commlib

CR-2004-10-22-0: Testsuite: - some fixes for new commlib_throughput test

SG-2004-10-22-0: Bugfix:    - fixed SG-2004-10-21-1
                 Changed:   scheduler
                 Review:    JG

AH-2004-10-22-0: Doc:       Checkpoint README refers to wrong script
                            queue_conf(5) incomplete for owner_list description
                 Issue:     1262,   601
                 Bugtraq:   6201044, 
                 Changed:   README.cpr and README.cray
   
JG-2004-10-21-0: Testsuite: Fixed a number of tests, fixed typos and incorrect
                            test descriptions.

MD-2004-10-21-0: Enhancem.: - Profiling Enhancement, profiling switchable
                              from the configuration
                            - added profiling to all threads
                            - some cleanup
                            - man pages
                 Changed:   qmaster, schedd, execd, profiling, man
                 Review:    HP

SG-2004-10-21-1: Enhancem.: - 2/3 part of of the look ahead scheduler
                            extention.
                            - code cleanup
                            - minor perf. improvements
                 Changed:   scheduler
                 Review:    EB

SG-2004-10-21-0: Bugfix:    qsub und qalter accepted negativ ticket values
                 Issue:     1304
                 Bugtraq:   6174301
                 Changed:   qsub, qalter
                 Review:    EB

CR-2004-10-21-1: Testsuite: - new procedure "startup_core_system"
                            - new menu selective "(28) restart cluster"

CR-2004-10-21-0: Cleanup:   - code cleanup of commlib
                 Review:    AA
                 Changed:   commlib

JG-2004-10-20-0: Bugfix:    fixed qsh and test_drmaa (sge_prof_setup) 
                 Changed:   qsh test_drmaa
                 Review:    SG

SG-2004-10-20-0: Bugfix:    - sge_share_mon crashed on startup
                 Changed:   sge_share_mon
                 Review:    MD

CR-2004-10-19-0: Testsuite: - new testsuite test for commlib:
                              checktree/performance/throughput/commlib/check.exp
                 Changed:   commlib test binaries testsuite

AH-2004-10-19-0: Doc:       Enhanced qstat(1) man page about qstat -j option
                 Changed:   man pages
                 Bugtraq:   6181171
                 Review:    AD

JG-2004-10-19-1: Bugfix:    fixed broken build on alinux

JG-2004-10-19-0: Testsuite: Enhanced ssh support: Which ssh client to use is now
                            configured in the host configuration.

EB-2004-10-19-0: Bugfix:    fix of EB-2004-09-15-0: qstat will show
                            extended information for -pri -ext -urg
                 Issue:     not necessary
                 Bugtraq:   not necessary
                 Review:    SG

SG-2004-10-18-0: Enhancem.: - reworked the locking in qmaster and changed two
                              not thread save code sections in the order 
                              processing
                            - moved the persitence of the job sequ. number into
                              the timed event thread
                            - add a copy date flag to the GDI-Multi request
                 Changed:   qmaster, scheduler, clients
                 Review:    EB

CR-2004-10-18-0: Cleanup:   - code cleanup of commlib
                            - removed unused function parameters in list 
                              functions
                            - preparatory work for commlib SSL framework
                 Review:    AA
                 Changed:   commlib utilib 

AH-2004-10-18-0: Bugfix:    meaningless job error state diagnosis text in 
                            qstat -j  
                 Review:    JG
                 Changed:   execd
                 Issue:     1299
                 Bugtraq:   6180529

JG-2004-10-15-0: Testsuite: Fixed csp installation, installation of 
                            SGE(EE) 5.3, package generation for SGEEE 5.3.

JG-2004-10-14-0: Testsuite: Testsuite now can create tar packages after 
                            compiling by setting the package_type parameter to 
                            "create_tar".

CR-2004-10-13-0: Enhancem.: - implemented application status callback 
                              function for execd.
                            - qping man page update
                            - CR-2004-10-07-1 (final Part III)
                            - additional code cleanup
                            - faster execd reconnect to qmaster when
                              qmaster was restarted
                 Review:    AA
                 Changed:   qmaster execd utilib commlib gdilib
                 Issue:     1294
                 Bugtraq:   6176115

JG-2004-10-14-0: Bugfix:    Fixed broken build.

EB-2004-10-13-0: Enhancem.: qstat requests only necessary jobs (qstat -s -u)
                 Changed:   qstat, qhost, libuti, sge_qstat(5), qstat(1)
                 Review:    SG

HP-2004-10-13-0: Bugfix:    Checked in wrong sources yesterday
                 Changed:   sge_uidgid, windows library

HP-2004-10-12-0: Enhancem.: Changed build output path and binary path for
                            Windows version, added 'Administrator' detection.
                 Changed:   sge_uidgid, windows library

JG-2004-10-12-0: Bugfix:    Fixed broken build on AIX.

SG-2004-10-12-0: Bugfix:    The qmaster crashed every once in a while
                            when processing the peding orders. Introduced
                            in SG-2004-09-27-0.
                 Changed:   scheduler
                 Review:    pending
                 

SD-2004-10-11-0: Enhancem.: added user to unable to run interactive
                            job log message
                 Changed:   qmaster
                 Issue:     1296

MD-2004-10-11-2: Bugfix:    fixed segfaults of clients
                 Changed:   qdel, qalter, qevent, qacct, qhost

SG-2004-10-11-0: Enhancem.: Part 1/3 of the look ahead scheduler
                            extention.
                            - code cleanup
                            - every job has a duration now.
                 Changed:   scheduler
                 Review:    EB 

JG-2004-10-11-0: Enhancem.: performance tuning
                            - improved Berkeley DB throughput
                            - cleanup of qmaster - execd protocol
                 Review:    CR

MD-2004-10-11-1: Bugfix:    fixed qmod (sge_prof_setup) 
                 Changed:   sge_profiling

CR-2004-10-11-0: Bugfix:    removed unnecessary logging output
                 Review:    HP
                 Changed:   commlib

MD-2004-10-11-0: Bugfix:    fixed broken build
                 Changed:   sge_profiling

MD-2004-10-08-1: Bugfix:    restoring a backup does not 
                            restore the job_scripts dir 
                 Review:    CR
                 Changed:   inst_sge
                 Issue:     1239
                 Bugtraq:   6176177

MD-2004-10-08-0: Enhancem.: Profiling Code Enhancement (made MT-save)
                 Review:    CR
                 Changed:   qmaster, schedd, sge_profiling
                 Issue:
                 Bugtraq:
 
CR-2004-10-08-0: Enhancem.: implemented application status callback 
                            function for qmaster. 
                            CR-2004-10-07-1 (Part II)
                 Review:    MD
                 Changed:   qmaster utilib
                 Issue:     1294
                 Bugtraq:   6176115

CR-2004-10-07-1: Enhancem.: application status callback function now
                            supports status string (Part I)
                 Review:    AA
                 Changed:   commlib
                 Issue:     1294
                 Bugtraq:   6176115

DT-2004-10-07-0: Bugfix:    o Removed slots from complex values list of
                              queue instances in qconf
                            o Enabled qsub/qrsh -v VAR again
                            o Fix job exit error message
                            o Added missing (not spec'ed) BUFFER to drmaa.h
                            o Added job category spec
                 Review:    CR
                 Changed:   qconf, flatfile spooling, qmaster, qsub/qrsh
                 Issue:     1198, 1255, 1287
                 Bugtraq:   6174326, 6174331, 5086108

CR-2004-10-07-0: Cleanup:   qping -help now shows short Grid Engine Version
                            name 
                 Changed:   qping

CR-2004-10-05-2: Cleanup:   added some comments
                 Changed:   commlib header file cl_xml_parsing.h

CR-2004-10-05-1: Testsuite: added missing install expect handling for qmaster
                            installation

EB-2004-10-05-0: Enhancem.: added new module test which especially tests
                            the modifications done with EB-2004-09-15-0
                 Changed:   none

CR-2004-10-05-0: Bugfix:    segmentation fault when vmemsize limit is reached
                            o removed unnecessary logging information in
                              commlib
                            o prepare_enroll() will now terminate application
                              on cl_com_setup_commlib() errors
                 Review:    AA
                 Changed:   commlib, gdi
                 Issue:     1286
                 Bugtraq:   6174821

DT-2004-10-04-0: Bugfix:    o Fixed testsuite test for 1269
                            o Execd now also looks in $SGE_ROOT/bin for qidle
                              and qloadsensor
                            o qconf is now able to handle unbreakable lines
                              longer than MAX_STRING_SIZE
                 Changed:   testsuite, execd, flatfile spooling
                 Review:    SG
                 Issue:     1176, 1251
                 Bugtraq:   5108635, 5108639

CR-2004-10-01-0: Bugfix:    Thread enabled commlib coredumps on exit on a 
                            32bit Solaris x86 box
                 Issue:     1283
                 Bugtraq:   5075968
                 Review:    MD
                 Changed:   commlib


JG-2004-09-29-0: Bugfix:    Automatic users were deleted even if they had jobs 
                            (running or pending).
                 Review:    SG
                 Changed:   qmaster

SG-2004-09-29-0: Bugfix:    the master spooled the user and projects in every 
                            scheduling run
                 Review:    JG
                 Changed:   qmaster

JG-2004-09-28-0: Enhancem.: Cleanup in qrsh_starter.
                            Cleanup and speedup in load report processing.
                            Add hashtables on cluster queue and queue instance
                            attributes.
                 Review:    SG

SG-2004-09-27-0: Tuning:    improved ticket order generation
                 Changed:   qmaster, scheduler
                 Review:    JG

JG-2004-09-23-0: Bugfix:    Fixed broken build.

CR-2004-09-23-0: Bugfix:    more precise error messages for communication 
                            errors
                 Review:    JG
                 Issue:     1275
                 Bugtraq:   5097732
                 Changed:   commlib, gdilib

CR-2004-09-22-0: Cleanup:   - removed unused messages
                            - qmaster will now respond faster to qconf -km
                            - added some comments to the source code
                 Review:    JG

EB-2004-09-21-0: Bugfix:    qmaster might fail if jobs are deleted which have 
                            multiple hold states applied 
                 Issue:     1280
                 Bugtraq:   
                 Review:    SG 

CR-2004-09-21-0: Testsuite: added a cleanup function for test
                            bugs/issuezilla/1270

JG-2004-09-20-0: Testuite:  Improved test performance/throughput, added a number
                            of charts to comparison of two clusters.
                 Review:    CR

SG-2004-09-20-0: Enhance.:  First part of extending the scheduler to use the
                            calendars. The qi-data structure has been extended
                            to include the next 2 state changes, and how long
                            the current and the next last. The calendar 
                            implementation had to be changed to allow that.
                 Changed:   qmaster, test_calendar
                 Issue:     1235
                 Bugtraq:   5104270
                 Review:    EB

JG-2004-09-17-0: Enhancem.: Performance improvement of the bitfield 
                            implementation.
                 Review:    SG
                 Issue:     1260

DT-2004-09-15-1: Bugfix:    o Fixed qmaster crash
                            o Added leftover files from DT-2004-09-15-0
                            - Testsuite test for 1269 not yet working
                 Changed:   sge_host.c
                 Review:    SG
                 Issue:     1269
                 Bugtraq:   5102442

EB-2004-09-15-0: Enhancem.: qstat requests only that attributes of JB_Type
                            and JAT_Type elements which are really needed 
                            to execute qstat successfully
                 Changed:   all 
                 Review:    SG

SG-2004-09-15-1: Bugfix:    - fixed a locking issue in the loging.
                 Changed:   qmaster
                 Review:    CR
                 Issue:     1268
                 Bugtraq:   -NA-

JG-2004-09-15-0: Bugfix:    Fixed a bug in event master.
                 Changed:   qmaster
                 Review:    SG

DT-2004-09-15-0: Bugfix:    o Fixed drmaa_synchronize() problem
                 Changed:   JAPI
                 Review:    SG
                 Issue:     1270
                 Buqtraq:   5102340

SG-2004-09-15-0: Bugfix:    fixed memory leak in the scheduler
                 Changed:   scheduler
                 Review:    DT
                 Issue:     1274
                 Bugtraq:   5102320

DT-2004-09-14-0: Bugfix:    o Fixed DRMAA-J README
                            o Fixed JavaDoc error in aimk
                            o Updated DRMAA-J JavaDocs
                 Changed:   docs, aimk

JG-2004-09-14-0: Testsuite: Improved test performance/throughput:
                            - Monitoring of qmaster communication (qping).
                            - Additional senarios:
                              - run without qstat
                              - jobs with resource requests
                              - parallel jobs with resource requests
                              - array jobs
                              - functional policy
                 Review:    CR

DT-2004-09-13-1: Bugfix:    o Fixed DRMAA-J on Irix 6.5
DT-2004-09-13-1: Bugfix:    o Added libjdrmaa to LD_LIBRARYN32_PATH in
                              settings.sh|csh for Irix 6.5
                 Changed:   create_settings.sh

DT-2004-09-13-0: Bugfix:    o Fixed "delete all" bug in JAPI
                            o Fixed locking bugs in JAPI
                            o Tested DRMAA-J on all platforms
                            - No J2SE 1.4 on Tru64 5.0 and AIX 4.3
                            o Fixed attribute getter error in DRMAA-J
                            o Added drmaa.jar to CLASSPATH in settings.sh|csh
                 Changed:   JAPI, DRMAA, aimk, distinst, create_settings.sh
                 Review:    EB

SG-2004-09-13-0: Bugfix:    fixed memory leak in the scheduler
                 Changed:   scheduler
                 Review:    DT

MD-2004-09-13-0: Testsuite: - fixed install scripts message handling
                            - added new macro

JG-2004-09-09-0: Testsuite: Improved test performance/throughput:
                            - monitor size and cpu usage of qmaster and schedd
                            - do qstat calls during the test run and monitor
                              the qstat runtime and errors
                            - verified, fixed and documented the calculated 
                              metrics.
                            Some testsuite cleanup.
                 Review:    CR

SG-2004-09-08-0: Cleanup:   - fixed a bug added by SG-2004-09-08-0
                            - got the test_sge_qmaster_timed_event working
                            - cleaned qmaster_main
                 Changed:   qmaster
                 Review:    AA 

SG-2004-09-08-0: Cleanup:   - improved the locking in the event master
                            - filters now for subscribed events
                 Changed:   qmaster
                 Review:    JG

SG-2004-09-08-0: Cleanup:   improved the loging
                 Changed:   all
                 Review:    AA

JG-2004-09-07-0: Testsuite: Improved test functional/tight_integration 
                            (different sizes of massive parallel jobs are 
                            tested)

SG-2004-09-06-0: Cleanup:   Cleanup in the order processing, event master, and
                            event client
                 Changed:   qmaster, scheduler
                 Review:    EB

AH-2004-09-06-0: Bugfix:    Effect of -p priority and weight_priority not 
                            described in sge_priority(5)
                 Changed:   man page
                 Issue:     1265
                 Bugtraq:   5097481
                 Review:    JG

AA-2004-09-06-1: Bugfix:    parsing of repeated job arguments fixed
                 Bugtraq:   5097479, 6185208
                 Issue:     1263, 1302
                 Review:    RH
                 Changed:   qmon

AA-2004-09-06-0: Bugfix:    make culltrans compile under 6.0
                 Changed:   culltrans
                 Review:    RH

EB-2004-09-06-0: Buffix:    qacct -l is not working
                 Review:    SG
                 Issue:     1261
                 Bugtraq:   5095907
                 Changed:   qacct

JG-2004-09-06-0: Testsuite: Enhanced / fixed test performance/throughput:
                            - reduced performance impact of testsuite monitoring
                              on the Grid Engine performance
                            - additional runlevels for additional scenarios and
                              higher numbers of jobs
                            - fixed computation of cluster utilization
                            Did some fixes in testsuite procedures:
                            - installation of 5.3 systems
                            - filedescriptor leak in chart creation
                 Review:    CR

JG-2004-09-01-0: Enhancem.: Cleanup and performance improvement for bitfields.
                            Enhanced the bitfield module test.
                 Review:    SG
                 Issue:     1260

HP-2004-08-31-0: Bugfix:    Fixed some minor bugs: wrong format specifier, 
                            Typo in man page, ...
                 Changed:   man-page, commlib-testprogram

SG-2004-08-30-0: Bugfix:    new algorithm for o-ticket 
                 Changed:   man-page, scheduler
                 Review:    MD
                 Issue:     1224
                 Bugtraq:   5094016

JG-2004-08-30-0: Enhancem.: Added module test for libs/uti/sge_bitfield.

SG-2004-08-27-0: Bugfix:    fix SG-2004-08-19-0 crashed the qmaster, if 
                            qsub -w v was submitted
                 Changed:   scheduler                            

HP-2004-08-26-1: Bugfix:    Fixed scripts/zerodepend for No-Windows version 

HP-2004-08-26-0: Enhancem.: Added 'stubs' for Interix (Windows) Version

SG-2004-08-26-0: Bugfix:    hard resource requests ignored in parallel jobs
                 Review:    AH
                 Issue:     1253
                 Bugtraq:   5092487
                 Changed:   scheduler

CR-2004-08-26-0: Cleanup:    - code cleanup
                             - added debug code for issue #1197
                             - code is not active (#if 0 /#endif)
                             - added comments

CR-2004-08-25-1: Cleanup:    - removed all #ifndef ENABLE_NGC code and removed
                               makro definition in aimk

CR-2004-08-25-0: Bugfix:     - added man pages for qping, gethostname, 
                               gethostbyname, gethostbyaddr, getservbyname
                             - the binaries now support -help option and show
                               also the GE version number.
                 Review:     SG, DT
                 Issue:      1132
                 Bugtraq:    5071878

JG-2004-08-25-0: Bugfix:     Fixed build on AIX

CR-2004-08-23-0: Testsuite:  Fixed mail report error in tight_integration_test

MD-2004-08-20-0: Bugfix:     merged bugfix from FCS_Branch
                 Review:     AS
                 Changed:    inst_sge, inst_common.sh, rc_templates

CR-2004-08-20-0: Testsuite:  enhancement: tight integration test checks 
                             execd messages files for errors
                 Issue:      1199

CR-2004-08-19-1: Enhancem.:  added debug information about GDI messages:
                             don't show debug info when no message was
                             received.

EB-2004-08-19-0: Bugfix:     Submit to a queue domain is never scheduled
                 Review:     SG
                 Issue:      1234
                 Bugtraq:    5089255
                 Changed:    sge_schedd

CR-2004-08-19-0: Enhancem.:  added debug information about GDI messages
                 Changed:    gdi lib
                 Review:     RH

SG-2004-08-19-0: Bugfix:     scheduling weirdness with wild-card PE's 
                 Changed:    scheduler
                 Review:     DT, AH
                 Issue:      1216
                 Bugtraq:    5089222

CR-2004-08-17-3: Cleanup:    - removed unused message macros

CR-2004-08-17-2: Enhancem.:  - added new function to transmute the gdi tag
                               id into a string: sge_dump_message_tag()

CR-2004-08-17-1: Enhancem.:  - added comment about flushing job reports
                               when jobs are started in execd.

CR-2004-08-17-0: Testsuite:  - added wait time in compile_source
                             - raised wait time for qmaster shutdown

AS-2004-08-17-0: CVS        Created V60u1_TAG
---------------------------------------------

AA-2004-08-12-0: Bugfix:     - qmon_help.ad help corrections
                             - sge_centry_qconf.c missing parentheses break build
                             - qmon_calendar.c NONE strings were missing for added calendars
                             - qmon_ckpt.c Reschedule flag is part of Signal When flags
                             - qmon_cluster.c delegated_file_staging flag added
                             - qmon_manop.c set corresponding tab when invoked from Policy dialog
                               dialog resize
                             - qmon_util.c hostgroups with @f* were not displayed
                 Issues:     reported during tests             
                 Review:     CR
                 Changed:    qmon
                 
                             
MD-2004-08-12-0: Bugfix:     changed wrong directory of qping binary
                             autoinst shadowd
                 Changed:    inst_sge

CR-2004-08-12-0: Testsuite:  raised timeout when waiting for qmaster to get 
                             down

RH-2004-08-12-0: Bugfix:     Refix Issue 1161
                 Issue:      1161
                 Bugtraq:    5080856
                 Review:     CR
                 Changed:    qconf

CR-2004-08-11-4: Testsuite: - fixed bug which caused error in qmod reschedule
                              test
                            - fixed tcl bug in issue test 193

MD-2004-08-11-1: Bugfix:    - sge backup cannot override older backups
                 Issue:       1222
                 Bugtraq:     5085508
                 Review:      HP
                 Changed:     inst_sge

MD-2004-08-11-0: Bugfix:    - sge_inst restore does not work
                 Issue:       1219
                 Bugtraq:     5085507
                 Review:      HP
                 Changed:     inst_sge

CR-2004-08-11-3: Testsuite: - fixed bug in procedure wait_for_unknown_load:
                              endless loop if do_error_check is set to 0

DT-2004-08-11-1: Bugfix.:   o Rolled back dangerous fix from DT-2004-07-16
                 Review:    SG

CR-2004-08-11-2: Testsuite: - usage test did not work with only 2 execd hosts
                            - wait_for_unknown_load call from shutdown_core_sytem
                              did not return immediately when no binaries are
                              installed or when qconf returns an error

DT-2004-08-11-0: Doc.:      o Cleaned up man3, man8, and submit.1 man pages
                 Issue:     1170
                 Review:    DT

CR-2004-08-11-1: Testsuite: - fixed bug which caused error in issue test 314

CR-2004-08-11-0: Testsuite: - fixed bug in issue test 193

MD-2004-08-10-0: Bugfix:    Refix Issue 1113
                 Issue:     1214
                 Bugtraq:   5084927
                 Review:    HP
                 Changed:   inst_sge

CR-2004-08-10-2: Testsuite: - wait for all queues to report load before
                              starting any test
                            - wait for all queues to report unknown load
                              after qconf -ke all in shutdown_core_system

CR-2004-08-10-1: Testsuite: startup_shadowd did not use sgemaster -shadowd
                            command line argument

CR-2004-08-10-0: Testsuite: shutdown_core_system will now wait for qmaster
                            shutdown when qconf -km is used

CR-2004-08-09-0: Bugfix:    fixed fix for CR-2004-08-05-2
                            execd may exit when hostname resolving is changed
                            or not available.
                 Review:    AA

SG-2004-08-09-0: Bugfix:    the reporting file was not written correctly under
                            linux on opteron.
                 Issue:     1207
                 Bugtraq:   5084317
                 Review:    AA

CR-2004-08-06-0: Bugfix:    Wrong entry SGE_QMASTER_PORT in qconf man page
                 Issue:     1112
                 Changed:   qconf man page
                 Review:    AA

CR-2004-08-05-2: Bugfix:    Need more verbose diagnosis msg if execd port is 
                            already bound
                 Issue:     1101
                 Bugtraq:   5083115
                 Changed:   commlib, execd, gdi, japi
                 Review:    SG

AA-2004-08-05-0: Bugfix:    tight integration doesn't work with CSP
                 Issue:     1080
                 Bugtraq:   5063314
                 Changed:   all
                 Review:    CR

EB-2004-08-05-0: Bugfix:    hostgroup changes do not always take effect.
                 Issues:    1185
                 Bugtraq:   5083102
                 Changed:   qmaster
                 Review:    SG

CR-2004-08-05-1: Bugfix:    killed slave task on tight integration does 
                            not cleanup job correctly (part 1)
                 Issue:     1197
                 Bugtraq:   5082660
                 Changed:   execd
                 Review:    AH

CR-2004-08-05-0: Testsuite: unsetting SGE_DEBUG_LEVEL in testsuite test
                            scripts pe_task.sh and pe_job.sh

SG-2004-08-04-1: Bugfix:    fixed an aspect of bug 1195: the error message
                            truncated to 100 characters.
                 Review:    RH
                 Issue:     -NA-
                 Bugtraq:   -NA-
                 Changed:   qsub

SG-2004-08-04-0: Bugfix:    qstat -ext -urg did not display the submit/start
                            time
                 Review:    RH
                 Issue:     1192
                 Bugtraq:   5082490
                 Changed:   qstat

RH-2004-08-04-0: Bugfix:    Missing global defintion of variable 
                            check_root_access_needs in some bugfix tests added
                 Changed:   testsuite (tests for issues 1096 1104 1141 1146 
                            and 1161)
                 Review:    CR
                 Issue:     -NA-
                 Bugtraq:   -NA-

SG-2004-08-03-2: Bugfix:    fixed qsat -g c output and qmon to show cqload
                            instead of load. The man page for qstat was
                            changed as well.
                 Review:    AA
                 Changed:   qstat, qmon, qstat.1
                 Issue:     1181, 1190
                 Bugtraq:   -NA-

EB-2004-08-02-0: Bugfix:    Deleting a queue instance slots value actually
                            adds it
                 Issue:     1175
                 Bugtraq:   5081822
                 Changed:   qmaster
                 Review:    SG

SG-2004-08-03-1: Bugfix:    fixed qconf -ahgrp to work with a given
                            name. It will generate a templet, that
                            has to be modifed by the user.
                 Issue:     1186
                 Bugtraq:   5081839
                 Changed:   qconf, qmaster
                 Review:    DT

SG-2004-08-03-0: Bugfix:    fixed a bug in the xml-otuput
                 Issue:     1191
                 Bugtraq:   5081821
                 Changed:   qstat
                 Review:    EB

DT-2004-08-01-0: Bugfix:    o Fixed JavaDoc errors
                            o Fixed qstat man page error
                            o Updated aimk to build new JavaDocs
                            o Updated distinst to install drmaa.jar in lib
                            o Added a link to the JavaDocs from the DRMAA Java
                              language binding howto
                 Changed:   doc, aimk, distinst, www

DT-2004-07-30-0: Bugfix:    o Fixed seg fault in qconf -mattr
                            o Fixed CULL cross-linking in qconf -mattr queue
                              complex_values
                            o Fixed hostname aliasing issue in qconf -mattr
                            o qhost now prints NCPU as an int
                            o Changed qsub -r to accept 'yes' and 'no'
                            o Cleaned up JAPI
                 Issue:     1055, 1081, 1092, 1172
                 Bugtraq:   5080836, 5080839, 5080833, 5080840
                 Changed:   qconf, qhost, qsub, JAPI, doc
                 Review:    SG

SG-2004-07-30-1: Bugfix:    qconf -de did not check if the host ist still in use.
                 Issue:     1183, 1168
                 Bugtraq:   5080779, 5080784
                 Changed:   qstat, qmaster
                 Review:    DT

HP-2004-07-30-0: Doc:       Description of exit_status values of shepherd
                 Issue:     97
                 Changed:   man8/sge_shepherd.8

SG-2004-07-30-0: Enhancem.: added a feature to filter the jobs in the
                            scheduler based on their category.
                 Changed:   schedler, schedd.conf(5)
                 Review:    AD

AD-2004-07-30-0: Cleanup:   The implementation of 'sge_add_auto_user()' made
                            the use of recursive mutexes neccessary.
                 Changed:   qmaster
                 Review:    SG

SG-2004-07-29-0: Bugfix:    Resending queue signals broken
                 Changed:   exed, qmaster
                 Issue:     1178
                 Bugtraq:   5079572
                 Review:    EB

CR-2004-07-28-1  Bugfix:    - Startup of qmaster changes act_qmaster to 
                              `hostname`,
                            - Two network cards in exec host: creates wrong 
                              directory / shutdown fails
                 Bugtraq:   5071522, 5079514
                 Issue:     1110, 1113
                 Changed:   install scripts, shadowd, gdi lib
                 Review:    RH

JG-2004-07-29-0: Bugfix:    qrsh starter didn't output reason (strerror), if it
                            couldn't write its pid file.
                 Testsuite: Make test functional/tight_integration use all hosts
                            of the testcluster.
                            Use category VERIFIED as default.
                 Changed:   qrsh_starter, testsuite
                 Review:    CR

AA-2004-07-28-1: Bugfix:    qmon's queue filtering doesn't work
                 Bugtraq:   5075936
                 Changed:   qmon
                 Review:    RH

AA-2004-07-28-0: Bugfix:    Wallclock time limit in qmon
                 Bugtraq:   5078783
                 Issue:     1162
                 Changed:   qmon
                 Review:    CR

SG-2004-07-28-0: Bugfix:    - fixed the event master theading problem
                            - fixed the job names and accouting string evaluation.
                            - removed an abort in qmaster, when sched conf was not
                              valid.
                 Bugtraq:   5075849
                 Issue:     1099
                 Changed:   qmaster, submit.1
                 Review:    JG

DT-2004-07-27-0: Enhancem.: o Finished enhancing DRMAA Java language binding
                              docs
                            o Checked in JavaDocs for DRMAA Java lang. binding
                 Bugfix:    o Corrected error in DRMAA README
                            o runBulkJobs now returns all ids
                            o Minor edits to DRMAA man pages
                 Changed:   DRMAA, docs
                 Issue:     1165

JG-2004-07-27-0: Bugfix:    Fixes in reporting file:
                            - pe_task_id for non pe jobs were inconsistend (in 
                              some cases "none", in others "NONE").
                            - Intermediate accounting records contained invalid
                              data for submission_time and start_time.
                 Changed:   sge_qmaster
                 Bugtraq:   5078872
                 Bugfix:    Fixed a memory leak when reading from Berkeley DB.
                 Review:    RH

DT-2004-07-26-1: Bugfix:    o Fixed minor regex issue with findcheckin.pl
                 Changed:   scripts

CR-2004-07-26-0: Testsuite: fixed shutdown of shadowd problem
                            (testsuite does not shutdown shadowd)
                 Issue:     1166 
                 Review:    JG

RH-2004-07-26-2: Bugfix:    definition of wc_cqueue added to man page.              
                 Issue:     1103
                 Bugtraq:   Not defined
                 Changed:   sge_types(1)
                 Review:    AH

DT-2004-07-26-0: Enhancem.: o Added script to locate files by CVS log header
                 Changed:   scripts

RH-2004-07-26-1: Bugfix:    man page indicated that qsub accepts "-r yes|no"
                 Issue:     1103
                 Bugtraq:   ????
                 
RH-2004-07-26-0: Bugfix:    Wrong parameter for -Mc option argument qconf(1)
                            man page fixed.
                            Enhancements in man page for sched_conf(5).
                            In man pages submit(1) the '$' and '.' as forbidden
                            characters for job names removed.
                 Issue:     1114, 969, ???????
                 Bugtraq:   ????, ???, 5076358
                 Changed:   qconf(1), sched_conf(5), submit(1)
                 Review:    SG

SG-2004-07-26-0: Bugfix:    - first part of the event_master changes. The total
                            update of a event client is now thread safe.
                            - excluded the flowwing character from a job name: "\"
                 Changed:   qmaster, submit.1
                 Review:    JG

SG-2004-07-25-0: Bugfix:    - fixed lWriteListTo to use the spedified file handle
                            - some minor cleanup
                            - changed the job name specification that all characters
                              are allowed except: "\n", "\t", "\r", "/", ":", "@"
                 Issue:     -NA-
                 Bugtraq:  
                 Changed:   qmaster, submit.1

CR-2004-07-24-1: Bugfix:    schedd and qmaster get out of sync - no scheduling
                            for long time
                 Changed:   communication lib
                 Issue:     1141
                 Bugtraq:   5077589
                 Review:    JG

CR-2004-07-23-0: Testsuite: modified /functional/tight_integration check to be 
                            more error tolerant
                 Review:    AA

MD-2004-07-22-2: Bugfix:    reprioritize_interval descr in sched_conf(5) needs 
                            improvement
                 Changed:   man5/sched_conf.5
                 Issue:     1040
                 Bugtraq:   5077165
                 Review:    JG

MD-2004-07-22-1: Bugfix:    NO_REPRIORITATION should be removed from man pages
                 Changed:   man5/queue_conf.5, man5/sge_conf.5, sge_priority.5
                 Issue:     1097
                 Bugtraq:   507167
                 Review:    JG

MD-2004-07-22-0: Bugfix:    uninstall procedure doesn't remove rc-script of 
                            execd!
                 Changed:   inst-sge, autoinstall template
                 Issue:     1130
                 Bugtraq:   5071868
                 Review:    JG

DT-2004-07-21-1: Bugfix:    o Added "-w e" as default DRMAA option
                            o Fixed message number conflict
                            o Fixed segfault in qconf -mc
                            o Added test suite test for qalter -h and -t (Issue
                              1109)
                            o Added test suite test for Issue 1146
                            o Added test suite test for Issue 1161
                            o Cleaned up JAPI
                            o Fixed broken links on DRMAA-J howto page
                 Changed:   DRMAA, qmaster, testsuite, qconf, www
                 Issue:     1109, 1146, 1151, 1161, 1163
                 Bugtraq:   
                 Review:    SG

CR-2004-07-21-0: Testsuite: modified /functional/tight_integration check to be 
                            more error tolerant
                 Review:    JG

JG-2004-07-21-0: Bugfix:    Fixed a bug in aimk -shared-libs.
                            Fixed default busy handling in event client.
                 Doc.:      Described use of bdb_checkpoint.sh in Berkeley DB
                            README file.
                 Review:    CR

DT-2004-07-21-0: Enhancem.: o Completed DRMAA Java language binding howto
                            o Updated DRMAA Java language binding README
                            o Started enhancing DRMAA Java language binding
                              JavaDocs
                 Changed:   DRMAA, www

AD-2004-07-20-0: Bugfix:    calendars broken
                 Issue:     1111
                 Bugtraq:   5071502
                 Changed:   qmaster
                 Review:    SG

SG-2004-07-20-0: Bugfix:    jobs on hold due to -a time cause qmaster/schedd get out of sync
                 Issue:     1154
                 Bugtraq:   5074788
                 Changed:   scheduler
                 Review:    DT

MD-2004-07-20-0: Bugfix:    variable syntax :  equal sign support
                 Issue:     1118
                 Bugtraq:   5075398
                 Review:    JG
                 Changed:   qsub, qrsh, qsh

MD-2004-07-19-0: Bugfix:    sched_conf(5) reprioritize_interval should default to 0
                 Issue:     1139
                 Bugtraq:   5075451
                 Review:    SG
                 Changed:   schedd default config, schedd

DT-2004-07-19-1: Bugfix:    o Changes from DT-2004-07-16-0 review
                 Changed:   DRMAA, qstat, qconf, qsub

AD-2004-07-19-1: Bugfix:    'qconf -km' did cause surplus warning.
                 Changed:   qmaster

SG-2004-07-19-0: Bugfix:    - The usage in the sharetree got lost.
                            - fixed a mirror interface time out, which disabled
                              sheduling intervals greater than 1 min.
                            - fixed a mt problem on qmaster shutdown  
                 Changed:   qmaster
                 Issue:     1094
                 Bugtraq:   5075346
                 Review:    DT

JG-2004-07-19-0: Testsuite: Fixed testuite setup.

AD-2004-07-19-0: Bugfix:    Did fix broken qmaster locking
                 Review:    SG
                 Changed:   qmaster

DT-2004-07-19-0: Enhancem.: o Added code examples for DRMAA Java language
                              binding howto.  (Done over the weekend)
                 Changed:   DRMAA

DT-2004-07-16-0: Bugfix:    o Removed chdir() from DRMAA job processing
                            o Made -cwd an (optionally) forbiddon DRMAA switch
                            o Fixed minor DRMAA Java binding bugs
                            o Fixed double-counting of used, unavailable queue
                              slots
                            o Changed qstat -g c and qmon to show np_load_avg
                              instead of load_avg
                            o Fixed error reporting for invalid characters in
                              queue names in qconf
                            o Allowed -w e and -w n as valid DRMAA switches
                            o Fixed abort in qdel, et al with invalid -t swtich
                            o Removed "NONE" from qconf -aconf
                            o Fixed typo: WARINING_VERIFY => WARNING_VERIFY
                 Changed:   DRMAA, qstat, qmon, qconf, qdel, qmod, qalter, qsub,
                            qmaster
                 Issue:     1150, 1125, 1127, 1146, 1151, 1109, 1137
                 Bugtraq:   5072005, -, -, 5073218, -, 5071525, -
                 Review:    SG

AH-2004-07-13-0: Bugfix:    Deleted pending job appears in qstat
                            Problem was that finished jobs generally were 
                            displayed by qstat. Removed broken code that was 
                            supposed to mask out running/finished jobs at qmaster 
                            side. Added code in qmaster to improve diagnostics 
                            in cases such as new found bug #1154.
                 Issue:     1117
                 Bugtraq:   5072481
                 Review:    JG

MD-2004-07-13-0: Bugfix:    inst_sge -sm doesn't create a local_conf
                 Issue:     1135
                 Bugtraq:   5071999
                 Review:    CR
                 Changed:   testsuite, inst_sge

AA-2004-07-13-0: Bugfix:    removed stat_log_time from qmon
                 Issue:     1083
                 Review:    CR
                 Changed:   qmon
                 
AH-2004-07-13-0: Bugfix:    Revert change AH-2004-07-09-0. Bug #1117 is not fixed.
                 Issue:     1117
                 Bugtraq:   5072481
                 Review:    CR

RH-2004-07-13-0: Bugfix:    qmod -e '@<host>' causes segmentation fault in qmaster
                            in the method qref_resolve_hostname (libs/sgeobj/sge_qref.c)
                            a sprintf "@%s" instead of "%s@%s" is executed if the 
                            queuename part is empty.
                 Issue:     1131
                 Bugtraq:   5071918
                 Review:    JG
                            
JG-2004-07-13-1: Bugfix:    fixed build for some gcc versions.

JG-2004-07-13-0: Testsuite: fixed test system_tests/geee/sharetree

CR-2004-07-13-0: Testsuite: - modifications for 60 scheduler configuration in
                              throughput test
                 Changed:   throughput test
                 Review:    JG

CR-2004-07-12-0: Bugfix:    - cl_com_tcp_connection_complete_request() got
                              a new parameter to handle only "read", only "write"
                              or "read and write" connection establisment.
                              ( read and write thread did both and produced a 
                                one second timeout for multithreaded clients. Now
                                the read thread will only read and the write thread
                                will only write. A non multithreaded commlib will
                                do both, read and write )
                            - new function cl_commlib_search_endpoint(): The
                              function will return an endpoint list with connected
                              clients.
                            - moved some functions to new module: cl_xml_parsing.c
                 Changed:   commlib
                 Review:    HP

JG-2004-07-12-0: Bugfix:    qmaster spooled tightly integrated parallel tasks
                            whenever online usage was reported by an execd.
                            Added ADOC header for job/ja_task/pe_task spooling.
                 Changed:   sge_qmaster
                 Issue:     1129
                 Bugtraq:   5072772
                 Review:    AH

SG-2004-07-12-0: Bugfix:    - qstat -j -xml printed unparsable xml-output
                            - the qstat xml schema missed the hard request
                              queue field.
                 Changed:   qstat, detailed_job_info.xsd
                 Issue:     1144
                 Bugtraq:   -NA-
                 Review:    AA

AH-2004-07-09-0: Bugfix:    Deleted pending job appears in qstat
                 Changed:   qstat, qhost
                 Issue:     1117
                 Bugtraq:   5072481
                 Review:    CR

SG-2004-07-09-0: Bugfix:    scheduler ignores queue seqno for queue sorting
                 Changed:   scheduler  
                 Issue:     1133
                 Bugtraq:   5071914
                 Review:    RH

CR-2004-07-07-0: Bugfix:    qping doesn't support host_aliases file
                 Changed:   qping binary
                 Issue:     1124
                 Bugtraq:   5071539
                 Review:    AA
       
MD-2004-07-08-0: Bugfix:    Qmaster requires a local conf in order to start
                 Issue:     1104 
                 Bugtraq:   5071987
                 Review:    CR
                 Changed:   qmaster_configuration

JG-2004-07-07-0: Testsuite: - Source documentation for compile procedure.
                            - Disable caching of testsuite generated html files.

JG-2004-07-06-0: Bugfix:    Fixed the build for HPUX.

CR-2004-07-06-0: Bugfix:    qmaster clients may not reconnect after qmaster 
                            outage
                 Changed:   communication library (commlib)
                 Issue:     1126
                 Bugtraq:   5076491
                 Review:    JG

JG-2004-07-05-1: QA:        Update of review form and help text.
                 Review:    CR

JG-2004-07-05-0: Bugfix:    projects not available after sge_qmaster restart
                 Changed:   sge_qmaster
                 Issue:     1122
                 Bugtraq:   5071498
                 Review:    CR

DT-2004-07-05-0: Bugfix:    o Fixed broken build on AIX
                            o Fixed typos in JGrid
                 Changed:   shepherd, JGrid

JG-2004-07-01-0: Testsuite: Added check for qmaster spooling containing a 
                            testcase for issue 1122.

EB-2004-06-23-0: Cleanup:   Added/Changed ADOC commets

EB-2004-06-22-0: Cleanup:   Added ADOC commets

CR-2004-06-18-1: Testsuite: - new check for CR-2004-06-18-0 (issues 1096 and 
                              1098)
                            - new configuration parameter: reserved_port
                            - fixed testsuite problem on shutdown of multi 
                              threaded qmaster process(es!) on linux systems.

CR-2004-06-18-0: Bugfix:    o sge_qmaster will not start unless run only as 
                              "root"
                            o qmaster cannot bind port below 1024 on Linux
                 Changed:   qmaster
                 Issue:     1096, 1098
                 Bugtraq:   5063987

DT-2004-06-17-0: Bugfix:    o Fixed bad link in DRMAA howto (again)
                            o Added copyright placeholders to Java source files
                            o Renamed DRMAA Java binding README
                            o Fixed various JGrid bugs
                            o Fixed factory bug in DRMAA Java binding
                            o Fixed multi-threaded errno issue on HP-UX 11
                            o Added JGrid to experimental html file
                            - HP11 and HP1164 will need a aimk -clean
                 Changed:   doc, www, classes, DRMAA, JGrid, aimk

MD-2004-06-17-0: Bugfix:    remove stat_log_time from configuration
                 Changed:   inst_qmaster.sh
                 Review:    AS
                 Issue:     1082
                 Bugtraq:   506330

MD-2004-06-16-0: Bugfix:    Install script fails when sgeadmin is selected 
                            as install user
                 Changed:   inst_qmaster.sh
                 Review:    JG
                 Issue:     1090

SG-2004-06-16-0: Bugfix:    This bugfix is related to SG-2004-06-09-2. The
                            prefious one did not fix all aspects of the growing
                            scheduler and master. The implementation of the
                            job categories was buggy.
                 Changed:   scheduler
                 Review:    JG
                 Issue:     1087
                 Bugtraq:   5063311

DT-2004-06-15-1: Bugfix:    o Fixed DRMAA Java binding Makefile
                            o Fixed installation of libjdrmaa in distinst
                 Cleanup:   o Removed tabs from aimk help output
                            o Removed unused code from sge_path_alias.c
                 Enhancem.: o Ported JGrid to DRMAA Java binding
                 Changed:   aimk, distinst, sge_path_alias, DRMAA, JGrid

DT-2004-06-15-0: Bugfix:    o Fixed minor bugs in DRMAA Java binding
                            o Fixed bad link in DRMAA howto
                 Enhancem.: o Added Java binding README and started howto
                 Changed:   DRMAA, howtos

JG-2004-06-14-0: QA:        Updated review template and doc.
                 Cleanup:   Removed unused I18N messages.
                 Testsuite: Make checks performance/throughput and 
                            system_tests/qmaster/size check for IZ 1087

DT-2004-06-08-0: Bugfix:    o Backed out AS-2004-06-03-0 for DRMAA README.
                 Changed:   docs

SG-2004-06-09-3: Enhancem.: updated doc/devel/review.txt
                 Review:    JG

SG-2004-06-09-2: Bugfix:    The scheduler did not corectly compress the scheduler
                            info messages, which lead to a hugh memory consumption
                            in bigger clusters with even a low amount of jobs
                            in the system.
                 Changed:   scheduler                            
                 Review:    JG
                 Issue:     1087
                 Bugtraq:   5063311

SG-2004-06-09-1: Bugfix:    - fixed minor issues in the scheduler profiling
                 Changed:   scheduler
                 Review:    EB

SG-2004-06-09-0: Bugfix:    - fixed the build for Linux with spool-classic
                 Changed:   aimk
                 Review:    JG

JG-2004-06-09-0: QA:        Added development howto's:
                            - use of branches
                            - procedure for fixing bugs

JG-2004-06-08-0: QA:        Added review template and help text.

AS-2004-06-08-0: CVS        Created V60_TAG_{BRANCH,TAG}

DT-2004-06-04-1: Bugfix:    o Fixed DRMAA Java binding build on Linux
                            o Added per thread init to japi_exit
                            o Fixed exit bug in TestDRMAA
                            o Removed old JNI files from JAPI directory
                            o Removed trailing garbage from German file staging
                              howto
                 Changed:   WWW, DRMAA

DT-2004-06-04-0: Enhancem.: o Added German translation of file staging howto
                            o Enhanced TestDRMAA
                 Changed:   WWW, DRMAA

DT-2004-06-03-5: Bugfix:    o Fixed API error in DRMAA Java binding
                 Enhancem.: o Expanded TestDRMAA program
                 Changed:   DRMAA

MD-2004-06-03-0: Bugfix:    typos, some messages, cleanup
                 Changed:   inst_sge, setfileperm.sh
                 Review:    AS
           
AS-2004-06-03-1:  Cleanup:   changed message when "qmod -X" mod is not done
                            because queue already has the specified state.

AS-2004-06-03-0: Bugfix:    formatting, typos of various text files

DT-2004-06-03-4: Bugfix:    o Fixed check-in problem with DT-2004-06-03-3
                 Changed:   DRMAA

DT-2004-06-03-3: Bugfix:    o Fixed various bugs in DRMAA Java binding
                 Changed:   DRMAA

JG-2004-06-03-0: Testsuite: Improved tests functional/access_lists.
                            Cleanup.

MD-2004-06-02-1: Bugfix:    - added comment to autoinst template
                 Changed:   inst_template.conf

DT-2004-06-02-2: Bugfix:    o Fixed DRMAASession.wait() in DRMAA Java binding
                            o Switched Java binding to use libjdrmaa.so
                 Changed:   classes
                 Issue:     1079

MD-2004-06-02-0: Bugfix:    - changed message in scheduler settings.
                 Changed:   inst_sge

DT-2004-06-02-1: Bugfix:    o qconf no longer presents a default project when
                              editing projects
                 Cleanup:   o Created separate Makefile for DRMAA Java binding
                 Changed:   DRMAA, flatfile spooling, aimk, distinst
                 Issue:     1077

JG-2004-06-02-0: Bugfix:    QU_full_name of queue instances was not set after a
                            qmaster restart.
                 Review:    AD

DT-2004-06-02-0: Cleanup:   o Updated DRMAA Java binding JavaDocs
                 Changed:   DRMAA

AD-2004-06-01-0: Bugfix:    Did add workaround for non POSIX compliant
                            behaviour of LinuxThreads regarding propagation
                            of UID/EUID to new threads.
                 Changed:   qmaster

MD-2004-06-01-1: Bugfix:    - permission problem, rc-scripts creation
                 Changed:   inst_sge, inst_berkeley.sh

DT-2004-06-01-3: Bugfix:    o Fixing DT-2004-06-01-2
                 Changed:   qsub
                 Issue:     Related to 1075

JG-2004-06-01-1: Bugfix:    Fixed memory leaks in japi and drmaa libs.
                 Review:    DT

DT-2004-06-01-2: Bugfix:    o Fixing DT-2004-06-01-1
                            - NOTE: checking in *so* I can compile and test
                 Changed:   qsub
                 Issue:     Related to 1075

DT-2004-06-01-1: Bugfix:    o Better handling of errors in qsub
                            - NOTE: checking in *so* I can compile and test
                 Changed:   qsub, JAPI
                 Issue:     Related to 1075

DT-2004-06-01-0: Bugfix:    o Fixed state of JAPI event client thread on aborted
                              startup.
                            o Fixed typo in howtos
                 Changed:   JAPI, howtos
                 Issue:     1075

MD-2004-06-01-0: Bugfix:    Db reinitialized during restore
                 Changed:   inst_sge

JG-2004-06-01-0: Testsuite: Don't set file permissions when installing zip 
                            packages. 
                            Fixed qmaster size test.

SG-2004-05-28-0: Bugfix:    fixed qmaster on HP-11. The problem was a 
                            "char save[32k]" in the file: 
                            daemons/qmaster/sge_give_jobs.c
                 Changed:   qmaster
                 Review:    MD

MD-2004-05-28-3: Enhancem:  README-Upgrade.txt

DT-2004-05-28-5: Bugfix:    o Resolved conflict between new file staging howto
                              and previous
                 Changed:   howtos

MD-2004-05-28-2: Bugfix:    - message
                 Changed:   inst_sge

MD-2004-05-28-1: Enhancem:  - auto backup
                 Changed:   inst_sge

DT-2004-05-28-4: Bugfix:    o Added file staging to howto main page
                 Changed:   howtos
                 Issue:     952

DT-2004-05-28-3: Bugfix:    o Changes to DRMAA howto
                            o Added file staging howto
                 Changed:   howtos
                 Issue:     952

MD-2004-05-28-0: Bugfix:    - some file creation/deletion
                            - hints
                            - logging
                 Changed:   inst_sge

JG-2004-05-28-1: Bugfix:    Fixed install_execd and berkeley db rpc server 
                            installation.
                 Review:    MD

DT-2004-05-28-2: Cleanup:   o Documented issue in sge_flatfile.c
                 Changed:   Flatfile spooling

DT-2004-05-28-1: Bugfix:    o Clarified drmaa_wait() man page
                 Changed:   docs

DT-2004-05-28-0: Bugfix:    o Fixed DRMAA C binding revision number
                 Changed:   DRMAA

JG-2004-05-28-0: Bugfix:    Fixed memory leaks in fileparsing and in japi.
                 Enhancem.: Reduced stack memory usage of static dstrings.
                 Review:    SG, DT

MD-2004-05-27-1: Bugfix:    - backup/restore directory check
                            - berkeley info text
                            - rc template qmaster shutdown
                 Review:    AS, JG

JG-2004-05-27-2: Bugfix:    Fixed memory leaks in execd.
                 Review:    SG

AA-2004-05-27-0: Bugfix:    - qmon_about mailto text
                            - CSP reconnect problem
                 Changed:   all

DT-2004-05-27-0: Bugfix:    o Added DRMAA example programs to distinst
                            o Updated DRMAA README
                 Changed:   distinst, docs
                 Issue:     952
                 Review:    AS

JG-2004-05-27-1: Bugfix:    Fixed memory leaks in scheduler.
                 Review:    SG

AH-2004-05-27-0: Bugfix:    Deadline scheduling broken
                 Issue:     1063
                 Review:    DT

JG-2004-05-27-0: Bugfix:    Fixed memory leaks in scheduler.
                            Fixed a core dump in qmaster shutdown.
                 Review:    SG

MD-2004-05-27-0: Bugfix:    - uninstall order changed
                            - added message
                            - fixed usage
                 Changed    inst_sge

DT-2004-05-26-0: Bugfix:    o Moved DRMAA README into docs directory and added
                              it to distinst
                 Changed:   docs
                 Issue:     952

MD-2004-05-26-2: Bugfix:    - improved logging
                 Changed:   inst_sge

JG-2004-05.26-2: Bugfix:    Fixed memory leaks in qmaster and in commlib.
                 Review:    SG

SG-2004-05-26-1: Bugfix:    The scheduler did sometimes dispatch more jobs 
                            into a queue, than that queue had resources left.
                            This only happend in advanced reservation mode.
                 Review:    AH, DT
                 Changed:   sge_schedd

MD-2004-05-26-2: Bugfix:    -csp option does not recognize secure binaries
                 Review:    AS
                 Changed:   inst_sge
                 Issue:     1065

MD-2004-05-26-1: Bugfix:    -some small path problems
                 Review:    RH
                 Changed    inst_sge

JG-2004-05-26-1: Enhancem.: Add script and utility for checkpointing and cleanup
                            of transaction log in case of Berkeley DB spooling 
                            with RPC server.
                 Review:    MD

MD-2004-05-26-0: Bugfix:    - refixed file perms setting of /tmp/configuration
                            - MoveLog procedure
                 Review:    RH
                 Changed:   inst_sge

SG-2004-05-26-0: Bugfix:    fixed a scheduler crash. The scheduler crashed
                            when the host settings were not straight forward,
                            and not all load values were delivered.
                 Review:    AA
                 Changed:   scheduler

JG-2004-05-26-0: Bugfix:    Fixed several memory leaks in qmaster.
                 Review:    SG

JG-2004-05-25-1: Testsuite: Fixed testsuite installation in csp mode.

BD-2004-05-25-0: Bugfix:    - Use -ldb$(BDB_LIB_SUFFIX) instead of bare
                              -ldb in utilbin/Makefile.

AA-2004-05-25-0: Bugfix:    - man page sched_conf
                            - qmon_help.ad
                            - Q helpbox visible lines
                 Issue:     448           
                 Changed:   qmon, doc
                 
MD-2004-05-25-1: Buxfix:    - delete spool dir, message was not shown
                            - setting file perms to /tmp/configuration
                            - asking for SGE_ROO/SGE_CELL during uninst, 
                              if not set
                 Changed:   inst_sge

DT-2004-05-25-0: Bugfix:    o Fixed build for Solaris make
                            o Changed DRMAA job usage to unscaled
                 Changed:   DRMAA, execd Makefile

SG-2004-05-25-2: Bugfix:    removed a compiler warrning in event master
                 Changed:   qmaster
                 Review:    JG

AD-2004-05-25-1: Bugfix:    Did fix operator precedence issue.
                 Changed:   qmaster

SG-2004-05-25-1: Bugfix:    fixed a memory leak in qmaster
                 Changed:   qmaster
                 Review:    JG

SG-2004-05-25-0: Bugfix:    fixed a memory leak in qmaster
                 Changed:   qmaster
                 Review:    JG, DT

JG-2004-05-25-0: Testsuite: Fixed installation (parsing messages from inst_sge).
                            Include $SGE_CELL in testsuite mail headers.

MD-2004-05-25-0: Bugfix:    added many log messages
                 Changed:   inst_sge
                 Review:    pending

AD-2004-05-25-0: Bugfix:    Configuration version increment has been lost.
                 Changed:   qmaster
                 Review:    pending

MD-2004-05-24-0: Bugfix:    - Berkeley DB RPC server is running as user root
                            - inst_sge -db doesn't install rc script (typo)
                            - typos
                 Changed:   inst_sge
                 Issue:     1060, 1059
                 Review:    AA

DT-2004-05-24-0: Bugfix:    o Cleaned up flatfile spooling error codes
                            o Cleaned up qconf error messages
                            o Reworked JAPI initialization to delay GDI calls
                              until necessary
                            o Expanded DRMAA Java binding test program
                            o Renamed DRMAA README
                            o Added -help_arch to distinst
                            o Updated DRMAA man pages
                 Changed:   qconf, flatfile spooling, JAPI, DRMAA
                 Issue:     1005, 1025
                 Review:    AH, SG

SG-2004-05-24-1: Bugfix:    The monitor switch in the scheduler would not turn
                            off, after removing the monitor entry from the 
                            params in the scheduler config.
                 Changed:   scheduler
                 Review:    JG 

SG-2004-05-24-0: Bugfix:    Fixed qstat -j ID output
                 Changed:   qstat
                 Issue:     898
                 Review:    AD

JG-2004-05-24-2: Bugfix:    qdel of non existing job/array task/task range as 
                            admin user produced an incorrect error message.
                 Review:    SG
                 Cleanup:   Removed outdated Insure instrumentation.
                 Testsuite: Adapted testsuite to changed qdel error messages.

JG-2004-05-24-1: Cleanup:   Removed unused I18N messages.

JG-2004-05-24-0: Testsuite: Add $SGE_CELL to testsuite mails.
                            Fixed remote execution of testsuite commands.

JG-2004-05-23-0: Testsuite: Additional changes required for multi cell support.
                            Fixed installation using RPC server.
                            Removed unused testsuite code, macros and scripts.

AD-2004-05-21-0: Bugfix:    If possible use 'sysconf()' to determine group
                            buffer size. If not use increased default value.
                 Issue:     960
                 Changed:   uti
                 Review:    pending

AA-2004-05-21-0: Bugfix:    halflife and compensation factor are not i
                            refrshed on qmon
                            compiler complaints
                 IZ:        1058
                 Changed:   qmon
                 Review:    pending

JG-2004-05-21-1: Testsuite: Testsuite now supports multiple cells.

JG-2004-05-21-0: Bugfix:    - Event master didn't send list events (function 
                              sge_add_list_event).
                            - Fixed error in reaper_execd (could reap wrong ja_task).
                            - Fixed build on lx??-*.
                 Changed:   qmaster, execd
                 Review:    AA

DT-2004-05-21-0: Bugfix:    o Backed out DT-2004-05-14-0 and DT-2004-05-14-1
                            o Made reaper search the entire job list for tasks
                 Changed:   execd
                 Review:    pending
                 Issue:     1031, 1034

BD-2004-05-19-5: Enhamcem:  - If 3rdparty/{qmake,qtcsh}/COMPILE_ARCH
                              does not exist, create it using
                              configure.  This should be vastly
                              more maintainable then the current
                              checked in copies, but will not
                              interfere with them.

BD-2004-05-19-4: Enhamcem:  - Add three new variables to aimk.site and
                              use them in aimk and Makefiles to allow
			                     Berkeley DB's headers and libraries to
			                     live in subdirectories of include/ and
			                     lib/ as well as allowing the library to
			                     have a suffix.  This is needed to allow
			                     FreeBSD and NetBSD to build against the
			                     DB version from ports/pkgsrc.

BD-2004-05-19-3: Bugfix:    - Revert incomplete rename of RC_FILE value
                              "freebsd" to "fbsd"

BD-2004-05-19-2: Enhamcem:  - FreeBSD-amd64 support

BD-2004-05-19-1: Enhamcem:  - allow compilation on FreeBSD

BD-2004-05-19-0: Cleanup:   Clean up configure related files in qmake
                            and qtcsh so configure generates useful
                            output.
                 Changed:   qmake, qtcsh

AD-2004-05-19-0: Bugfix:    - Did eradicate global 'Master_Config_List'.
                              Qmaster configuration module now does use a
                              module local list, which is properly synchronized.
                            - Did streamline Qmaster configuration module
                              interface.
                 Issue:     1041
                 Changed:   qmaster, execd, evm, sgeobj, spool
                 Review:    pending

JG-2004-05-19-1: Bugfix:    Fixed broken qdel -f output (see also IZ 664).
                 Cleanup:   Removed job_log from execd and scheduler.
                 Changed:   qmaster, schedd, execd
                 Review:    SG

MD-2004-05-19-0: Bugfix:    - Upgrade Welcome Text
                            - inst_template comments
                            - autoinst always used default schedd config
                 Changed:   inst_sge

AA-2004-05-19-0: Bugfix:    - warning when execd is started as non-root user
                            - make csp work with admin user daemons
                            - change of motif lib for pippin
                 Issue:     857
                 Changed:   all bins
                 Review:    pending
                            
CR-2004-05-19-0: Bugfix:    o Removed -lj Option for execd
                            o added/fixed help output to sge_execd, sge_qmaster
                              sge_shepherd and sge_coshepherd (IZ#1026).
                            o fixed bug in when host_aliases are active 
                              (all mapped host names had to be resolvable on 
                               local host, now mapped names must not be real
                               resolveable host names )
                            o removed duplicate error message when execd can't
                              create communication handle (bind tcp port)
                 Issue:     1026
                 Changed:   qmaster, execd, shepherd, coshepherd, libcom
                 Review:    JG

DT-2004-05-19-0: Bugfix:    o Fixed errors in DRMAA howto
                 Changed:   howto

JG-2004-05-19-0: Bugfix:    Qmaster logged errors when immediate array job 
                            couldn't be scheduled.
                 Issue:     1037
                            If qmaster was shutdown before finished jobs were 
                            deleted via schedd order, these jobs showed up again
                            as running after qmaster restart.
                 Changed:   qmaster
                 Review:    SG

DT-2004-05-18-0: Cleanup:   o Cleaned up some code and comments
                            o Added test program for DRMAA Java binding
                            o Cleaned up JNI code for DRMAA Java binding
                 Changed:   qsub, DRMAA, various others

MD-2004-05-18-4: Enhamcem:  - more comments in inst_template.conf

JG-2004-05-18-3: Bugfix:    Fixed a core dump in qmaster.

SG-2004-05-18-4: Bugfix:    fixed the qstat -t -xml output.
                 Issue:     1043
                 Changed:   qstat
                 Review:    JG

SG-2004-05-18-3: Bugfix:    changed the qdel man page
                 Changed:   qdel.1

MD-2004-05-18-3: Bugfix:    - backup/restore works (only Berkeley DB spooling)
                            - help output 
                 Changed:   inst_common.sh
                 Issue:     1003, 1004

SG-2004-05-18-2: Bugfix:    changed the qdel behavior back to the v5.3 one.
                 Review:    JG
                 Changed:   qmaster
                 Issue:     1042

JG-2004-05-18-2: Bugfix:    qmaster Master_* lists weren't deleted at shutdown.
                            Fixed a core dump in qmaster if reporting file 
                            couldn't be opened.
                            Free the spooling context at qmaster shutdown.
                 Review:    SG

MD-2004-05-18-2: Bugfix:    - forgot sourcing of a module
                 Changed:   inst_sge

MD-2004-05-18-1: Bugfix:    -Help output
                            -changed recommended switches
                 Changed:   inst_update.sh

MD-2004-05-18-0: Bugfix:    log file in wrong directory, autoinst failed under
                            AIX
                            -docu
                 Changed:   inst_sge, docu
                 Issue:     984, 996
                 Review:    AS (pending)
                 Enhancem:  SGE 6.0 upgrade procedure
                 Changed:   inst_update.sh

CR-2004-05-18-0: Bugfix:    fixed strstr() call to not zero terminated string
                 Changed:   commlib
                 Review:    JG

JG-2004-05-18-1: Bugfix:    fixed memory leaks in qmaster.
                 Changed:   sge_qmaster
                 Review:    SG

SG-2004-05-18-1: Bugfix:    fixed memory leak in qmaster.
                 Changed:   sge_qmaster
                 Review:    JG

SG-2004-05-18-0: Bugfix:    fixed memory leak in qmaster.
                 Changed:   sge_qmaster
                 Review:    JG

JG-2004-05-17-0: Bugfix:    Fixed a memory leak in qmaster.
                 Changed:   sge_qmaster
                 Review:    SG

AA-2004-05-17-0: Bugfix:    - AIX51 load, switch on incomplete AIX51 load code 
                              with aimk -DTEST_AIX51
                            - make broken on AIX43
                 IZ:        754
                 Changed:   sge_execd, load_check
                 Review:    CR
                 
SG-2004-05-14-0: Bugfix:    - fixed the messages generation for jobs, which
                              exceeded the user job limit.
                            - added copyright statements to the xml-schemas
                 Review:    RH, AH
                 Changed:   scheduler, XML schemas

DT-2004-05-14-2: Bugfix:    o Fixed core dump in event master
                 Changed:   EVM
                 Review:    pending

CR-2004-05-14-1: Bugfix:    Can't interrupt qacct -j with Ctrl-C
                 Issue:     981
                 Review:    AA
                 Changed:   qacct    

AH-2004-05-14-1: Bugfix:    qstat -j shows wrong message for parallel jobs 
                            which can't be dispatched
                            Partial fix.
                 Issue:     814
                 Review:    SG

JG-2004-05-14-1: Testsuite: test functional/migration was broken due to changed
                            qstat queue output.

AH-2004-05-14-0: Bugfix:    Change of consumable values takes long time until 
                            used by scheduler.
                 Issue:     1033
                 Review:    JG

JG-2004-05-14-0: Bugfix:    Fixed build dependencies for spooledit and japi 
                            howtos.

DT-2004-05-14-1: Bugfix:    o Fixed build
                 Changed:   execd

CR-2004-05-14-0: Bugfix:    qacct: strange 'B' charcater after maxvmem value
                 Issue:     824
                 Changed:   qacct, objlib
                 Review:    SG

DT-2004-05-14-0: Bugfix:    o Fixed the way the last element is removed from a
                            range
                            o Execd now reuses existing job structures for
                              array job tasks
                            o Fixed character printing problem in lWriteElem
                            o Updated DRMAA README
                            o Updated DRMAA Java binding
                            o Checked in missing Java binding class
                            o Miscelaneous cleanup
                 Changed:   range, execd, CULL, JAPI, DRMAA
                 Issue:     1031, 1034, 1035
                 Review:    SG, JG

JG-2004-05-13-2: Bugfix:    - for jobs that did no resource requests, the 
                              accounting record contained an empty field (::) 
                              which was incorrectly parsed by qacct.
                            - spooldefaults failed reading exechosts that have 
                              complex variables defined.
                            - aimk clean didn't delete japi howto object code.

JG-2004-05-13-1: Testsuite: testsuite install re_init failed.

SG-2004-05-13-0: Bugfix:    scheduler died due to the use of a none reduced
                            job descriptor.
                 Changed:   scheduler
                 Review:    JG

JG-2004-05-13-0: Cleanup:   Cleanup for nightly build:
                            - fixed duplicate message id's
                            - removed unused messages
                            - create libdrmaa and test programs on AIX43

JG-2004-05-12-3: Testsuite: Adapted testsuite qstat parsing to the extended
                            queue column from SG-2004-05-11-1 (IZ 1016).

AA-2004-05-12-0: Bugfix:    - qstat -l a=sol-sparc64 job display fix
                            - wrong message during install
                 Issue:     1002
                 Changed:   qstat, install_script
                 Review:    SG
                            
CR-2004-05-12-0: Bugfix:    o Repeated commlib logging when qmaster can't be 
                              reached
                            o Fixed problem of checkin by CR-2004-05-11-1:
                              PID before sge_daemonize() is not the same after
                              daemonize. The /tmp/execd_messages.PID file wasn't
                              appended to execd/messages file.
                 Issue:     864
                 Changed:   execd, gdilib
                 Review:    SG

JG-2004-05-12-2: Enhancem.: Added sharetree to the spooldefaults targets for the
                            update procedure.

JG-2004-05-12-1: Bugfix:    Reentered dependency fix introduced to aimk by 
                            JG-2004-05-07-0 - it got lost again in one of the 
                            following checkins.

SG-2004-05-12-1: Bugfix:    updated the qstat man page
                 Changed:   qstat.1

EB-2004-05-12-0: Bugfix:    qdel of just submitted job
                 Issues:    126
                 Changed:   sge_execd
                 Review:    JG 

JG-2004-05-12-0: Testsuite: Fixed test system_tests/clients/qmod/reschedule.
                            Worked around parsing unfriendly output of 
                            qstat -g t for parallel jobs.

SG-2004-05-12-0: Cleanup:   cleaned the xml schema and the qstat xml output to 
                            be consitent.
                 Changed:   qstat, qstat.xsd
                 Review:    MD

DT-2004-05-11-0: Enhancem.: o Finished DRMAA Howto
                 Changed:   howto

SG-2004-05-11-1: Bugfix:    qstat prints queue names with a max length of 30 per
                            default.
                            SGE_LONG_QNAMES can be used to set a custom length 
                            (min 10) or -1. In case of -1 qstat computes the 
                            length for the queue names. The man pages are still 
                            missing.
                 Issue:     1016
                 Changed:   qstat
                 Review:    AA

CR-2004-05-11-2: Bugfix:    o L10N for sge_get_qmaster_port() and 
                              sge_get_execd_port().
                            o sge_get_qmaster_port() and sge_get_execd_port() 
                              will now cache resolved ports.
                 Issue:     1036
                 Changed:   utilib
                 Review:    JG


SG-2004-05-11-0: Bugfix:    - fixed that user are spooled after every scheduling
                              run, when the sharetree is used. The usage in the
                              user are updated every 2 min now.
                            - reseted the ticket amount for jobs, which are in 
                              hold, or error state. These jobs are not scheduled
                              and should not keep their old tickets.
                            - If a immediate array job was not scheduled, qsub 
                              returned
                              that the job was scheduled. 
                 Issue:     980, 604
                 Review:    DT
                 Changed:   scheduler

JG-2004-05-11-1: Testsuite: Fixed test system_tests/config/file_parsing.

AA-2004-05-11-0: Bugfix:    - Startup logging contains 'none'
                            - qhost does not print overwritten ARCH
                            - qmon policy dialog, missing show pending job 
                              tickets
                 Issue:     861, 813
                 Review:    EB
                 Changed:   qhost, qstat, qmon
                 
EB-2004-05-11-0: Bugfix:    Changed msg id

JG-2004-05-11-0: Bugfix:    If the CULL definition of an object was extended by
                            additional attributes without changing the spooled 
                            fields, the object was unspooled incorrectly by a 
                            newly built qmaster.
                 Bugfix:    qacct failed if jobs were started with a very long 
                            job name.
                 Review:    SG

CR-2004-05-11-1: Bugfix:    o removed ignored parameters from prepare_enroll()
                            o execd now appends it's pid to temporary startup
                              file name ( /tmp/execd_messages.PID) 
                            o execd will now exit after a timeout when binding 
                              SGE_EXECD_PORT fails 
                            o communication lib errors are now L10N enabled 
                 Changed:   commlib gdilib
                 Issue:     1023, 767
                 Review:    JG

CR-2004-05-11-0: Bugfix:    sge_gdi_setup() with NULL as alpp can cause
                            sgementation fault.
                 Review:    AA

EB-2004-05-10-1: Bugfix:    requestable=forced is ignored for built-in 
                            complex(5) attributes
                 Changed:   sge_schedd
                 Issue:     936
                 Review:    AH, SG

DT-2004-05-10-0: Enhancem.: o Began work on DRMAA howto, including example
                              programs
                            o Cleaned up qsub
                 Changed:   howto, JAPI, qsub

AD-2004-05-10-0: Cleanup:   - First part of 'Master_Config_List' encapsulation.
                            - 'lWriteElem_' and 'lWriteList_' now use 'stderr'
                              is no 'FILE*' argument is given.
                 Changed:   qmaster, cull, sgeobj, exced
                 Review:    SG

EB-2004-05-10-0: Bugfix:    jobs submitted with option -r n can be rescheduled
                 Changed:   qalter, qsub
                 Issue:     999
                 Review:    DT

JG-2004-05-10-0: Testsuite: Fixed test system_tests/qmaster/size.

CR-2004-05-10-0: Bugfix:    commlib:
                               o cl_commlib_receive_message() will now trigger
                                 communication estabilshment when connection 
                                 list is empty. The application will not have to
                                 react (sleep/trigger) this case when it acts as
                                 a service.
                               o fixed test_cl_endpoint_list application
                               o enhancements to test_virtual_xxx applications

CR-2004-05-07-0: Bugfix:    commlib:
                               o forbid to create a service handle with 
                                 component id 0
                               o when a new connected client doesn't write any
                                 data (is just listening) after connection 
                                 establishment a read timeout appeared at
                                 service component and the connection was 
                                 closed because of read timeout error.
                               o added code to ensure that an application will
                                 not go into an endless loop when a connection
                                 can't be opened (endless application calls to
                                 cl_commlib_receive_message() in a while loop
                                 without guilty communication endpoint).
                 Changed:   commlib

DT-2004-05-07-1: Bugfix:    o Added test to test_drmaa for invalid attributes
                            o Did cleanup related to 966
                            o Added Java DRMAA binding to aimk and distinst
                            - use aimk -jdrmaa to include the Java binding in
                              libdrmaa.so and to build drmaa.jar
                            - distinst ignores drmaa.jar if it can't find it
                 Changed:   DRMAA, qsub, JAPI, aimk, distinst
                 Issue:     966

DT-2004-05-07-0: Bugfix:    o Removed duplicate qconf error messages
                            o Fixed build on MacOS X
                            o Fixed qsub bug introduced in DT-2004-04-06-0
                 Changed:   qconf, sgeobj, qsub
                 Issue:     868
                 Review:    SG

JG-2004-05-07-0: Bugfix:    Calling dbstat while qmaster was running caused
                            a spooling error in qmaster.
                            Fixed dependencies to spooling libs (qmaster, 
                            spoolinint and spooldefaults were linked with every
                            aimk call.
                 Enhancem.: Allow dbstat to write objects - renamed it to 
                            spooledit. Change dump format from lWriteElem to 
                            lDumpElem.
                            Install spooledit to utilbin.
                 Issue:     762
                 Changed:   qmaster, spooledit (dbstat), libspool*
                 Review:    AD

CR-2004-05-06-0: Enhancem.: added new test binaries to setup a communication
                            test: 
                               test_virtual_event_client, 
                               test_virtual_gdi_client and
                               test_virtual_qmaster
                 
DT-2004-05-06-0: Bugfix:    o Fixed bad error messages for qconf -mc
                            o Fixed return code for qsub when max jobs reached
                            o Improved qconf error messages
                            o Updated DRMAA man pages
                            o Fixed byte ordering bug in JGrid
                 Changed:   sgeobj, qconf, centry, qsub, JGrid
                 Issue:     773, 868, 1013
                 Review:    SG

AA-2004-05-06-0: Bugfix:    qtcsh shows strange error messages on AIX 43/51
                 Issue:     849
                 Changed:   qtcsh
                 Review:    CR

JG-2004-05-05-1: Bugfix:    Fixed parsing of report_variables in qconf. It now 
                            uses a comma separated list of variables. Adjusted 
                            man page accordingly.
                            Check if entries listed as report_variables exist 
                            as complex variables.
                            Prevent complex variables from being deleted while 
                            they are still referenced in report_variables.
                            Allow the setting of default report_variables in the
                            global host object.
                 Changed:   qmaster, qconf
                 Issue:     1008
                 Review:    EB

SG-2004-05-05-1: Bugfix:    event master:
                            - event ack are processed before a client can
                              deregister
                            - a client will not get events, after it got a
                              shutdown event
                            - in case of job_mod and cqueue_mod events are 
                              the sub-lists (ja_tasks / qinstance) removed
                              from the event.
                 Review:    DT
                 Changed:   qmaster, scheduler

CR-2004-05-05-2: Testsuite: debug_starter.sh did not set SGE_ND 

CR-2004-05-05-1: Bugfix:    o qmaster not responding (no client will receive a 
                              gdi response) 
                            o setting max possible component id to 65535
                 Changed:   commlib
                 Issue:     1022

SG-2004-05-05-0: Enhancem.: disabled hashing for cull list which are prepared
                            for sending em to a client.
                 Changed:   sge_qmaster
                 Review:    JG

JG-2004-05-05-0: Testsuite: Verified tests bugs/issuezilla/171, 
                            bugs/issuezilla/403, functional/migration, 
                            system_tests/clients/qalter.
                            Fixed call of qdel -u "*".
                            Increased timeouts for qmaster shutdown.

EB-2004-05-04-1: Bugfix:    qrsh <command> jobs are not scheduled to 
                            interactive queue
                 Changed:   sge_schedd
                 Issue:     855
                 Review:    JG

JG-2004-05-04-1: Bugfix:    Removed debug output to stderr from qstat/qhost.

JG-2004-05-04-0: Enhancem.: spooldefaults handles additional objects required 
                            for the update procedure (adminhosts, calendars, 
                            ckpts, cqueues, exechosts, projects, submithosts, 
                            users)
                 Review:    MD 

EB-2004-05-04-0: Bugfix:    qstat -g c slot counting broken
                 Changed:   qstat, qmon
                 Issue:     975
                 Review:    SG 

CR-2004-05-03-1: Enhancem.: o modified code to speed up connection establishment
                 Changed:   commlib

CR-2004-05-03-0: Enhancem.: o cl_commlib_receive_message() is now only
                              triggered, when a new message for the application
                              is ready for read.
                 Changed:   commlib
                 Review:    SG

SG-2004-05-03-0: Enhancem.: changed the order in the order package that is send
                            from the scheduler to the qmaster.
                 Changed:   scheduler
                 Review:    AH

SG-2004-05-03-0: Bugfix:    fixed a bug in the mirror interface, which did 
                            accept events, after the client shutdown event. 
                            This let to one error message per event. 
                            The real fix needs to be done in the event master.
                 Changed:   scheduler
                 Review:    JG

JG-2004-05-03-1: Testsuite: Fixed test system_tests/clients/qmod/reschedule
                            (fails due to IZ 999).

JG-2004-05-03-0: Enhancem.: Optimization of hashtables.
                 Review:    SG

DT-2004-05-02-0: Enhancem.: o Started DRMAA README
                            o Cleaned up DRMAA web page
                            o Checked JGrid into experimental directory
                            o Fixed byte order issues in JGrid skeleton
                 Changed:   DRMAA, JGrid
                 Issue:     952

CR-2004-05-01-0: Bugfix:    o global host list refresh (re-resolving of used 
                              host names) is now done in a separate list copy
                              to be able to unlock the list and let other 
                              threads use the global host list in the meantime
                 Changed:   commlib

AD-2004-04-30-1: Bugfix:    Did fix build.
                 Changed:   qmaster

DT-2004-04-30-0: Bugfix:    o drmaa_control(DRMAA_CONTROL_TERMINATE) now
                              behaves like qmon when deleting
                            o Brought test_drmaa in sync with drmaa.c
                            - test_drmaa still fails the DRMAA_V_ENV test in
                              ST_ATTRIBUTE_CHECK.
                 Changed:   DRMAA
                 Issue:     979

AD-2004-04-30-0: Cleanup:   Did move 'get_local_conf_val()'.
                 Changed:   qmaster

JG-2004-04-30-1: Testsuite: verified test functional/access_lists
                            fixed test system_tests/clients/qmod/auto_reschedule

JG-2004-04-30-0: Bugfix:    qconf -sconf had problems with short vs. long 
                            hostnames and hostname resolution.
                            qmaster did no hostname resolving for cluster config
                            objects.
                            deleting config or host objects that had a long 
                            hostname by specifying the short hostname and vice 
                            versa failed.
                            Fixed a qmaster core dump.
                 Changed:   sge_qmaster, qconf
                 Issue:     1007, 1009
                 Review:    SG

CR-2004-04-29-2: Enhancm.:  - removed unused structure element in 
                              cl_com_hostent_t structure
                            - added new functions:
                              cl_com_copy_in_addr();
                              cl_com_copy_hostent();
                              cl_host_list_copy();
                 Changed:   communication
                 Review:    SG

SG-2004-04-29-1: Bugfix:    changed the locking in the com. connection list
                 Changed:   communication
                 Review:    CR

SG-2004-04-29-0: Bugfix:    the event master would only deliver a limited
                            number of events. In case of a scheduler, this
                            results in wrong scheduling runs.
                 Changed:   qmaster
                 Review:    DT

JG-2004-04-29-0: Bugfix:    Fixed classic spooling of jobs.
                 Changed:   qmaster
                 Review:    EB
                 Issue:     1006

CR-2004-04-29-1: Bugfix:    fixed core dump of qmaster when setting a host
                            to unheard.

SG-2004-04-29-0: Bugfix:    qdel -u "*" jid deleted all jobs of all users.
                 Changed:   qmaster
                 Review:    JG
                 Issue:     1000

CR-2004-04-29-0: Enhancm.:  Added more help output to qping application

JG-2004-04-28-2: Testsuite: Fixed tests bugs/issuezilla/423 and 
                            system_tests/clients/qconf (add_user/mod_user).

CR-2004-04-28-0: Bugfix:    - fixed problems when file descriptor limit
                              is reached. (mark execd unheart)
                            - raised nr. of file descriptors reserved for
                              qmaster ( e.g. spooling)
                            - fixed bug when a connection is opened from
                              two service endpoints at the same time (e.g.: 
                              qmaster and execd at)
                            - threads which are unkown to communication lib
                              (e.g. qmaster message thread) didn't log into
                              communication log list
                            - qping didn't shutdown commlib on error.

JG-2004-04-28-1: Cleanup:   Removed no longer used directories QUEUE_DIR and
                            COMPLEX_DIR.
                 Review:    MD

JG-2004-04-28-0: Testsuite: Fixed tests system_tests/clients/qdel and 
                            system_tests/clients/qsub, use 
                            $SGE_ROOT/util/resources/loadsensors/ibm-loadsensor
                            on AIX machines.

DT-2004-04-28-0: Bugfix:    o Fixed deadlock in EVM from DT-2004-04-27-0
                 Changed:   o EMV
                 Review:    SG

DT-2004-04-27-1: Enhancem.: o Further progress on DRMAA Java binding
                 Changed:   DRMAA Java binding

AD-2004-04-27-0: Enhancem:  Did add support for 'gcov' tool on LINUX and DARWIN
                 Changed:   aimk
                 Review:    AH

SG-2004-04-27-0: Bugfix:    - fixed locking problem between the message and the
                              event thread
                            - enabled the gdi - event transactions. Every gdi
                              request is one transaction.
                 Changed:   qmater
                 Review:    DT, CR

EB-2004-04-27-2: Bugfix:    Wrong qconf -sq CQ@HOST output for xuser_lists
                 Issue:     991
                 Changed:   qconf
                 Review:    JG

EB-2004-04-27-1: Bugfix:    scheduling info should say "queue instance"
                 Issue:     965
                 Changed:   sge_schedd

JG-2004-04-27-2: Testsuite: Added support for architectures irix65 and darwin.
                            Made DRMAA test use runlevel "long".

DT-2004-04-27-0: Bugfix:    o Added missing SGE_ROOT error message in
                              japi_init()
                            o Broke up job deletes into 500 job chunks in
                              japi_control() and japi_exit()
                            o Added check for valid attribute in
                              drmaa_set_attribute()
                            o Fixed handling of $drmaa_wd_ph$ in DRMAA
                            o Fixed handling of rusage parameter in drmaa_wait()
                            o Fixed memory leak in qsub
                            o Further progress on DRMAA Java binding
                            o Fixed locking bug in EVM
                            o Optimized locking in EVM send_events
                            o Fixed handling of gdi_setup error messages in
                              clients
                            o All DRMAA calls now check to be sure the session
                              exists before continuing, either via
                              japi_init_was_called() or the regular JAPI calls.
                            - test_drmaa currently fails due to a commlib issue
                            - test_drmaa needs to be updated to check return
                              codes for drmaa_allocate_job_template() and
                              drmaa_set_attribute()
                 Issue:     661, 774, 872, 909, 986, 988, 990
                 Changed:   JAPI, DRMAA, GDI, all clients, EVM
                 Review:    AH, SG

JG-2004-04-27-1: Testsuite: Extended test bugs/issuezilla/126.
                            Cleanup in several tests.
                            Fixed setting of local qmaster spool directory in 
                            SGE 6.0 installation check.

EB-2004-04-27-0: Bugfix:    qstat -F short cut does not work 
                 Cleanup:   register variables
                 Issue:     204, 886
                 Changed:   qstat, qhost
                 Review:    RH, SG

JG-2004-04-27-0: Bugfix:    Disable dynamic loading of spooling libs on IRIX65,
                            AIX43 and AIX51: The classic spooling references
                            global variables (Master_*_List) and reverse 
                            resolution of symbols in DSO's seems to be broken 
                            on these platforms.
                 Changed:   qmaster, spoolinit, spooldefaults
                 Review:    EB

MD-2004-04-26-0: Bugfix:    qping fails if, SGE_QMASTER_PORT was not set.
                            (In case of using sge_qmaster service)
                 Changed:   sgemaster_template
                 Review:    AH
                 Issue:     989

EB-2004-04-26-0: Enhancem.: ADOC-comments
                            Cleanup

JG-2004-04-23-0: Bugfix:    Fixed core dump in event master module.
                 Changed:   qmaster
                 Review:    AD

AD-2004-04-22-1: Bugfix:    Changed thread startup order back to old one.
                            Register job resend events for jobs with status
                            'JTRANSFERING' in a separate function.
                 Changed:   qmaster
                 Review:    AH

SG-2004-04-22-2: Bugfix:    - fixed memory leak in berkeleydb spooling for jobs
                            - fixed memory leak in qsub 
                 Changed:   qmaster, qsub
                 Review:    AS, DT

SG-2004-04-22-1: Bugfix:    fixed memory leak cluster queue modification
                 Changed:   qmaster
                 Review:    DT, EB

HP-2004-04-22-0: Enhancem.: Added Docu for delegated file staging

JG-2004-04-22-1: Bugfix:    qmake output warning "cannot determine architecture"
                            even if the commandline contained an explicit 
                            resource request.
                            Now read from environment variable SGE_ARCH instead
                            of ARCH.
                 Review:    patch submitted by uddeborg
                 Issue:     983
                 Bugfix:    fixed aimk.site for HP11
                 Review:    AS
                 Bugfix:    Fixed automatic installation.
                 Review:    MD

AA-2004-04-22-0: Bugfix:    - loadadjustments display of load values was broken
                 Changed:   qmon
                 Review:    SG

SG-2004-04-22-0: Bugfix:    - fixed memory leak in sge_event_master
                            - added a cleanup method for all lists on qmaster
                              shutdown
                            - scheduler would exit, if the qmaster is gone for
                              a while
                 Changed:   qmaster, schedd
                 Review:    CR, AD

MD-2004-04-22-0: Bugfix:    LD_LIBRARY_PATH was wrong. -> wrong ARCH string
                            job check during uninstall, if rescheduled or no
                 Review:    JG
                 Changed:   rc_templates

CR-2004-04-22-0: Bugfix:    qping now also supports auto close when qmaster
                            runs out of filedescriptors

DT-2004-04-22-1: Bugfix:    o Minor bugs fixes to event master
                            o Added DRMAA test case to test suite
                            o Fixed qconf bug about whitespace after the queue
                              name with -mq
                 Changed:   EVM, GDI, test suite, qconf

AD-2004-04-22-0: Bugfix:    Changing the log level did only affect the thread
                            which did trigger the change.
                 Changed:   uti
                 Issue      953
                 Review:    SG

JG-2004-04-22-0: Enhancem.: Allow the mixed use of binaries with dynamic and 
                            static spooling. 
                            aimk.site contains a rule to switch to static 
                            spooling for platforms that don't support dynamic 
                            loading of libraries (HP11).
                 Review:    AS, MD

AH-2004-04-22-0: Bugfix:    Minor fix with usermapping(5)
                 Review:    RC

DT-2004-04-22-0: Enhancem.: o Further update to DRMAA Java binding
                 Changed:   DRMAA Java binding (maintrunk)

AH-2004-04-21-0: Bugfix:    Fix broken qalter -R y|n
                 Issue      982
                 Review:    AD

CR-2004-04-21-0: Bugfix:    Ensure that max. nr of dynamic event clients never
                            exceeds max. nr of file descriptors used for 
                            communication
                 Changed:   qmaster
                 Review:    SG

AS-2004-04-21-0: CVS        Created V60_beta2_target_{BRANCH,TAG}
-----------------------------------------------------------------

DT-2004-04-21-0: Enhancem.: o Streamlined event master locking
                            o Did various cosmetic fixes
                            o Added script for submiting multiple simultaneous
                              qsubs
                 Changed:   EVM, cull, qmaster, GDI, JAPI, mirror, UTI, scripts
                 Review:    SG, AD

MD-2004-04-21-2: Bugfix:    removed confusing text!
                 Changed:   rc-template

JG-2004-04-21-0: Enhancem.: distinst: Copy Berkeley DB backup/restore utilities
                            to utilbin.
                            Output diagnosis messages for Berkeley DB spooling
                            in log_level log_debug.
                 Bugfix:    Fixed aimk -spool-*
                 Review:    SG

MD-2004-04-21-1: Bugfix:    - if SGE_ROOT was already set, the scripts
                              throws thsi away and asked again
                            - addapted testsuite to inst_sge
                 Changed:   testsuite, inst_sge
                 Issue:     973
                 Review:    AS (pending)

MD-2004-04-21-0: Bugfix:    - library path was wrong
                            - cleanups removed SGEEE's
                            - removed unused entries in config template

                 Enhancem.: - basic backup/restore function
                            - rc script checks, if master has started
                            - start schedd, after comm to master is available
                            - new entry in configuration
                 Changed:   inst_sge, install_modules
                 Issue:     972
                 Review:    CR, AS (pending)

AA-2004-04-20-3: Bugfix:    dlopen for all archs but hp11 for libcrypto
                            openssl 0.9.7d
                 Changed:   aimk, aimk.site, distinst.site, all bins
                 Issue:     914
                 Review:    
                 
SG-2004-04-20-1: Bugfix:    - fixed the build for DARWIN
                            - set a max limit for MAX_DYN_EC in qmaster
                            - updated the profiling in the scheduler
                 Changed:   sge_schedd, sge_qmaster
                 Review:    CR
                            
SD-2004-04-20-0: Bugfix:    Modified auto user behavior to be more intuitive
                            Fixed qconf to display delete_time
                            Updated documentation and man pages
                 Changed:   qmaster, qconf
                 Issue:     959
               
CR-2004-04-20-0: Bugfix:    - check for duplicate component entries before adding
                              new connections in cl_commlib_open_connection()
                            - additional error handling fixes when open a new 
                              connection
                 Changed:   commlib

EB-2004-04-20-1: Bugfix:    load formula of the scheduler
                 Issue:     330
                 Changed:   sge_schedd, sge_qmaster
                 Review:    SG

JG-2004-04-20-2: Enhancem.: qmake: In dynamic allocation mode it is now possible
                            to specify resource requests for individual make 
                            rules.
                 Changed:   qmake
                 Review:    SG

AA-2004-04-20-2: Bugfix:    fixed install script, typo, tmp dir
                 Review:    MD
                 Changed:   inst_qmaster.sh, inst_execd.sh
               
JG-2004-04-20-1: Bugfix:    fixed linking of binaries doing dynamic loading on 
                            LINUX architectures.
                 Review:    AA

AA-2004-04-20-1: Bugfix:    qmon fixes:
                 - interactive jobs,
                 - blanks in complex attributes
                 - delete time editability
                 - job del deleted all instead of selected jobs
                 - hostgroup member add callback
                 Changed:   qmon
                 Issue:     582, 729, 840, 938, 382, 279
                 Review:    EB
                 
AS-2004-04-20-0: Bugfix:    MPI PE description update
                            SunHPCT reference update
                            removed loose integration with HPCT
                            moved tight integration scripts to mpi/SunHPCT5
                            minor update to mpi/SunHPCT5/README

SG-2004-04-20-0: Bugfix:    fixed the scheduler profiling
                 Changed:   scheduler
                 Review:    JG

AA-2004-04-20-0: Bugfix:    compiler problem fixes
                            
EB-2004-04-20-0: Bugfix:    stale resource_unknown_list
                 Issue:     942
                 Changed:   sge_qmaster
                 Review:    JG

JG-2004-04-20-0: Enhancem.: Make dynamic spooling the default build rule,
                            statically linked spooling methods can be choosen
                            in aimk with the switches -spool-berkeleydb and
                            -spool-classic.
                 Bugfix:    Fixed dynamic loading for darwin platform, partially
                            fixed build with shared sge libraries. See also 
                            issue 976.
                 Review:    AA

AH-2004-04-19-0: Enhancem.: Retry when rresvport() fails with EAGAIN as
                            recommended by Goeran Uddeborg.
                 Review:    GU, JG

AS-2004-04-19-2  Bugfix:    use /bin/csh for script path
                 Changed:   util/sge_log_tee
                 Issue:     956

SG-2004-04-19-1: Bugfix:    fixed another sec fault in qsub.
                 Changed:   qsub
                 Review:    DT, HP

AS-2004-04-19-1: Bugfix:    get correct error message of hostname resolving
                            problem
                 Changed:   util/install_modules/inst_execd.sh

AS-2004-04-19-1  Bugfix:    removed afs requirement for Linux insserv method
                 Changed:   util/rctemplates/*

AS-2004-04-19-0: Bugfix:    remove references to Enterprise Edition mode
                 Changed:   scripts/mk_ascman, man pages
               
CR-2004-04-19-1: Enhancem.: qping will now be installed via distinst and
                            copied into $SGE_ROOT/bin/$arch/qping
                 Changed:   install scripts
                 Review:    MD

SG-2004-04-19-0: Bugfix:    qsub is working again.
                 Review:    DT
                 Changed:   qsub

AA-2004-04-16-1: Bugfix:    typecast for time values fix for broken build on
                            darwin

JG-2004-04-19-0: Bugfix:    Added files missing in checkin JG-2004-04-15-0.

CR-2004-04-19-0: Cleanup:   Changed name of module gridping to qping
                 Changed:   gridping

AA-2004-04-16-1: Bugfix:    typecast for time values fix for broken build on 
                            darwin

CR-2004-04-16-1: Bugfix:    Some performance fixes when max. file descriptor
                            limit is reached.

HP-2004-04-16-0: Enhancem.: Added flag to enable or disable
                            drmaa_transfer_files via the configuration.
                 Issue:     638
                 Changed:   drmaa, japi, configuration
                 Review:    AH

AH-2004-04-16-0: Bugfix:    -soft submit option broken
                 Issue:     917
                 Review:    TBD

JG-2004-04-16-0: Bugfix:    Fixed build process for shared libs on AIX43 and 
                            AIX51.
                            Changed README for berkeleydb: Berkeley DB has
                            to be built with --with-mutex=POSIX/pthreads on
                            AIX43.
                 Review:    AA, AS

CR-2004-04-16-0: Bugfix:    - flush unsent messages when a connection is
                              going down. ( Event clients will now correct
                              unreqister at qmaster )
                 Changed:   commlib

CR-2004-04-15-1: Bugfix:    - always increment auto client id pointer to
                              ensure that event clients won't reconnect with
                              a client id from a former connection
                 Changed:   commlib 
                 Review:    DT  

AH-2004-04-15-0: Bugfix:    Fix sequential resource reservation broken by 
                            AH-2004-04-14-1.

AH-2004-04-15-0: Bugfix:    Fix problem with counter used to track number of
                            JAPI threads that rely upon JAPI background
                            thread service.
                 Review:    HP

JG-2004-04-15-0: Enhancem.: Allow the admin to choose the spooling method
                            (berkeleydb or classic) at installation time, if
                            SGE was build with dynamic spooling (aimk
                            -spool-dynamic).
                 Changed:   install scripts, testsuite
                 Review:    MD

CR-2004-04-15-0: Bugfix:    - output on qmaster clients when qmaster is 
                              not reachable
                            - qconf -ke <host> triggers "set_last_heard_from()
                              not suppored by commlib" logging ( Issue 833 )
                            - fixed qmaster exceeds max file descriptor limit
                              problem ( Issue 687 )
                            - fixed problem with reregistering of execd's at
                              qmaster daemon
                            - put information about max. used file descriptors
                              into qmaster message file at startup of qmaster
                            - delivering jobs will now fail if max. unheard 
                              value is reached, not when 2 load reports wasn't
                              received
                            - added new communication lists: endpoint_list
                            - better performance at automatic id dispatching
                            - added some thread trigger calls for a faster
                              connection establishment/disestablishment
                            - added 2 parameter to connect message:
                                 o port number where client is reachable and
                                 o autoclose mode of client (when service 
                                   runs out of file descirptors the service
                                   will close connections where this mode
                                   is enabled) 
                            - service can now use random port if service port
                              is specified with 0
                            - fixed bug in some list modify function of 
                              communication lib: return error code was 
                              wrong on some access functions
                            - starting qmon with multithreaded communication
                              lib.
                              
                 Issue(s):  833, 687
                 Review:    Pending

AH-2004-04-14-1: Bugfix:    Per host slot limitation broken
                 Issues:    968

AH-2004-04-14-0: Bugfix:    Repeated schedd logging for unavailable exec 
                            hosts
                 Issues:    927

EB-2004-04-14-0: Bugfix:    reschedule_unknown broken
                 Issues:    961
                 Changed:   sge_qmaster
                 Review:    SG (part of SG-2004-04-08-0)

JG-2004-04-14-0: Enhancem.: Reintegrated and verified dynamic loading of a 
                            spooling method.
                 Changed:   sge_qmaster, spoolinit, spooldefaults
                 Review:    EB

CR-2004-04-13-2: Enhancem.: updated man pages (communication lib changes)

CR-2004-04-13-1: Enhancem.: Added new utilbin binary: gridping

JG-2004-04-13-0: Enhancem.: When an execd reports a job as running, but the
                            job is in state deleted, send a kill signal for
                            the job immediately, instead of waiting for the
                            next repeated signal delivery to occur.
                 Issue:     866
                 Changed:   sge_qmaster
                 Review:    AH

CR-2004-04-13-0: Bugfix:    execd logging every 3 minutes
                 Changed:   gdi
                 Issue:     915

SG-2004-04-11-0: Bugfix:    The xml-output in qstat and the qstat xml schema
                            files were not up to date 
                 Changed:   qstat, qstat schema
                 Issue:     964

RC-2004-04-11-1: Bugfix:    Fixed a minor typo in manpage
                 Changed:   sge_conf.5

RC-2004-04-11-0: Cleanup:   Fixed the IA-64 Linux build
                 Changed:   aimk

SG-2004-04-10-0: Bugfix:    - fixed the qdel help output
                            - fixed qdel -u "*". The action is denied, if
                              a non manager wants to execute it.
                 Issue:     863, 903
                 Review:    pending
                 Changed:   qmaster, qdel

SG-2004-04-09-3: Bugfix:    The qmaster loged errors in case that a job in
                            T state was deleted. 
                 Review:    EB
                 Issue:     954
                 Changed:   qmaster

SG-2004-04-09-2: Bugfix:    If the qmaster is killed while jobs are deleted,
                            timed_event_thread error messages are reported
                            when the qmaster is starting up again. The order
                            in which the threads are stared has been changed.
                 Review:    AH
                 Changed:   qmaster

SG-2004-04-09-1: Bugfix:    - added the event handler for reschedule jobs
                            - fixed the TYPE_SIGNAL_RESEND_EVENT event
                 Review:    CR
                 Changed:   qmaster

SG-2004-04-08-0: Bugfix:    - timed event handler: TYPE_SIGNAL_RESEND_EVENT
                              was missing
                            - some jobs stayed in the system in delete status.
                              This happend due to some SGE v SGEEE code.
                 Review:    EB, AH, JG
                 Changed:   qmaster

JG-2004-04-08-0: Bugfix:    Fixed initialization of profiling in scheduler.
                            Enabling profiling in scheduler did also enable
                            profiling in qmaster.
                 Changed:   sge_qmaster, sge_schedd
                 Review:    SG

AH-2004-04-07-0: Bugfix:    Use a default 'weight_waiting_time' to 0 (#959)
                 Review:    SG

JG-2004-04-07-0: Enhancem.: Berkeley DB spooling: Write two databases: 
                            A configuration database and a job database.
                 Changed:   sge_qmaster, spoolinit, spooldefaults, dbstat
                 Review:    EB

SG-2004-04-07-0: Bugfix:    - The or operator for complex entries with the
                              type RESTRING was broken.
                            - a minor issue in event master. It might deliver
                              the event envelop without events. 
                 Changed:   scheduler
                 Issue:     958
                 Review:    AA

JG-2004-04-06-1: Cleanup:   Some cleanup in berkeley db spooling.

EB-2004-04-06-0: Bugfix:    Usage retrieval/logging problems with tight PE
                            jobs
                 Issue:     929
                 Changed:   sge_execd
                 Review:    JG

JG-2004-04-06-0: Enhancem.: write intermediate accounting records to reporting
                            file containing daily usage of long running jobs.
                 Changed:   sge_qmaster
                 Review:    EB

MD-2004-04-06-0: Bugfix:    - Improper variable comparison
                            - autoinstall does not work
                            - changed logfile dir
                            - startup scripts on aix
                            - nr of slots for host during execd inst
                            - changed usage
                            - typo, log text
                 Issue:     629, 847, 897, 934, 937, 947
                 Changed    inst_sge, install_modules, create_settings.sh
                            rc_templates

SG-2004-04-06-2: Bugfix:    Finished the implementation for consumables
                            as queue load_thresholds. It is working for
                            parallel jobs now. (SG-2004-03-31-0)
                 Changed:   scheduler
                 Issue:     464
                 Review:    AH

SG-2004-04-06-1: Bugfix:    fixed the handling of job_load_adjustments
                            for parallel jobs.
                 Changed:   scheduler           
                 Issue:     957
                 Review:    AH

SG-2004-04-06-0: Bugfix:    fixed the profiling output in the mirror
                            interface.
                 Changed:   scheduler
                 Review:    AH

EB-2004-04-06-0: Bugfix:    qconf -Mprj bad error message
                            qconf -sprj gives bogus error message
                 Issue:     923, 926
                 Changed:   qconf

HP-2004-04-05-0: Bugfix:    shepherd created world writeable file,
                            prolog execution as non-job user is broken
                 Issue:     931,912
                 Review:    AS,
                 Changed:   shepherd

MD-2004-04-05-0: Bugfix:    qstat -r prints low level error messages
                 Issue:     930
                 Changed:   qstat, schedd, qmon
                 Review:    AH

EB-2004-04-05-0: Bugfix:    qconf -aattr deletes the new attribute if it 
                            allready exists
                 Changed:   sge_qmaster
                 Review:    SG

JG-2004-04-02-0: Bugfix:    Fixed a bug in the spooling of array tasks 
                            introduced by JG-2004-03-30-0
                 Changed:   qmaster
                 Review:    SG

SG-2004-04-02-0: Bugfix:    removed circular dependency between lib cull and
                            lib obj. The change results in a limitation of the
                            lWrite***(...) output. For the cull_packL.h cull
                            elements are only the ids printed and not the
                            element names.
                 Changed:   qmaster, scheduler
                 Review:    JG

AA-2004-04-02-0: Bugfix:    qalter -- option
                 Issue:     844
                 Changed:   qsub, qalter, qhold, qrls, qsh
                 Review:    SG

JG-2004-04-01-0: Bugfix:    Changes to reporting_params, sharelog, only took 
                            effect after a qmaster restart.
                 Changed:   sge_qmaster
                 Issue:     940
                 Review:    CR

SG-2004-04-01-0: Bugfix:    The profiling it turned of, when the schedd params
                            are set to none.
                 Changed:   scheduler
                 Issue:     936
                 Review:    AA

JG-2004-03-31-0: Enhancem.: Optimized non unique hash algorithm.
                            Reenabled non unique hash on JB_owner in scheduler.
                 Changed:   all (libcull)
                 Issue:     512
                 Review:    EB

SG-2004-03-31-0: Bugfix:    First part of bugfix 464. Only parallel jobs and
                            the resource reservation do not work yet. The user
                            can add a consumable as a load_threshold and the
                            scheduler will enable or disable the queues based
                            on that value. 
                            The new code is not active in the case, that no
                            consumables as load_thresholds are used.
                 Changed:   scheduler, qmaster, qmon, qstat, qhost
                 Review:    JG, AH is pending
                 Issue:     464

JG-2004-03-30-0: Bugfix:    At startup of an array task, all running array tasks
                            were spooled.
                            The usage container for finished pe tasks was not 
                            spooled.
                 Changed:   sge_qmaster
                 Review:    EB

AS-2004-03-29-0  Enhancem.: qmon_help.ad does not need to be sed'ed anymore
                            before it is installed
                 Changed:   dist/qmon/qmon_help.ad

MD-2004-03-26-0: Enhancem.: Renamed ARCH variable to SGE_ARCH
                            Fetch ADMINUSER from bootstrap during execd
                            install
                            setting file perms during automode
                 Changed:   inst_sge, inst_template, rc_templates
                            
AD-2004-03-26-0: Cleanup:   Did fix build for Mac OS X 10.3
                 Changed:   common, qconf
                 Review:    AH

JG-2004-03-25-0: Enhancem.: Enhanced test program for CULL hashing.

EB-2004-03-25-0: Bugfix:    qconf  -mq rejects pe_list config that is 
                            accepted with -aq
                            (Fix of EB-2004-03-16-0)
                 Changed:   qconf, sge_qmaster
                 Issue:     906, 856
                 Review:    SG

AS-2004-03-25-0: Enhancem.: add SGE_BINARY_PATH variable to job environment
                 Changed:   sge_execd, submit.1
                 Issue:     919
                 Bugtraq:   5018757
                 Review:    DT

JG-2004-03-24-1: Bugfix:    Disabled non unique hash on JB_owner in scheduler.

MD-2004-03-24-0: Bugfix:    message, that qmaster didn't start always appears,
                            check for running qmaster a bit later.
                 Changed:   rc template

JG-2004-03-24-0: Bugfix:    HP11 binaries ignored SHLIB_PATH due to missing
                            linker flag +s.

AH-2004-03-24-0: Bugfix:    Earliest reservation not always found for parallel 
                            jobs. 
                            Scheduler seg faults on jobs with soft requests.
                 Issue:     899, 911
                 Review:    EB
  
EB-2004-03-24-0: Bugfix:    type in queue_conf(5)
                            improved logging
                 Changed:   queue_conf(5)

MD-2004-03-23-1: Bugfix:    changed back to old boot order
                            supressing the message, if execd starts first
                 Changed:   rc template, inst_sge

MD-2004-03-23-0: Bugfix:    fixed rc scripts boot order
                            rc script output if master didn't start
                 Issue:     784, 876
                 Changed:   inst_sge, rc template

JG-2004-03-23-1: Bugfix:    fixed "Read from uninitialized" errors.
                 Review:    CR

JG-2004-03-23-0: Testsuite: fixed test system_tests/clients/qsub.

RH-2004-03-22-0: Bugfix:    test case for issue 799 added to testsuite
                 Issues:    799
                 Review:    CR

DT-2004-3-22-0:  Bugfix:    o Added -shell y|n option to qsub and update man
                              page
                            o Made -shell n the default for DRMAA clients
                            o Made yes and no acceptable arguments to qsub y|n
                              options and update man page
                            o Minor cleanup in clients and spooling
                 Issues:    476, 658, 895
                 Changed:   shepherd, qsub, qsh, execd, sge_spool.c, sge_job.h
                 Review:    EB, AH

AS-2004-03-22-1  Bugfix:    mk_dist script

AS-2004-03-22-0  Bugfix:    "about" output fix in qmon 

AH-2004-03-19-0: Bugfix:    Changed value_len of drmaa_get_next_*() from int
                            to size_t.

EB-2004-03-19-0  Bugfix:    Cleanup for the next main release
                            Still checks for $GRD_ROOT, "spoolinit" may fail 
                            silently
                 Issues:    122, 892
                 Changed:   all, qconf.5 

AS-2004-03-10-0: CVS        Created V60_beta1_OS_TAG   
----------------------------------------------------

SG-2004-03-18-0: Bugfix:    - "qdel 0" is not allowed.
                            - "qdel 45-54" results in an error and does
                              not delete job 45.
                 Issue:     893
                 Changed:   qdel, qmod, qalter

AA-2004-03-18-0  Bugfix:    - qmon spinbox on lx24-amd, lx22-alpha
                            - cluster dialogue crash,
                            - Modify button in User dialogue
                 Issues:    816, 840, 747
                 Changed:   qmon

AS-2004-03-18-2: Bugfix:    Product name for qmon help file qmon_help.ad

AS-2004-03-18-1: Enhancem.: added check for "localhost" resolving to
                            installation procedure. Hostname may not be an
                            alias for "localhost" or have IP 127.0.x.x

AS-2004-03-18-0: Bugfix:    use 32bit binaries on HP-UX 64 bit kernel
                            in distribution

CR-2004-03-18-0: Cleanup:   added parameter check in cl_commlib_receive_message()
                 Changed:   commlib

EB-2004-03-17-2: Bugfix:    cluster queue instances like all.q@hostname are 
                            not resolved
                 Issue:     850
                 Changed:   sge_qmaster

JG-2004-03-17-1: Testsuite: Cleanup and workaround for issue 884

EB-2004-03-17-1: Bugfix:    qstat shows queue in A state although 
                            suspend_threshold is disabled
                 Issue:     832
                 Changed:   qstat, qhost, qmon 

DT-2004-03-17-0: Bugfix:    o qsub -sync y now survives the qmaster going
                              down.
                            o JAPI allows client to register an error
                              message callback for error messages from the
                              event client thread.
                            o qsub prints message when the qmaster goes away
                              and comes back.
                            o Left over checkin from DRMAA Java binding
                            o Left over checkin from Flatfile Spooling
                 Changed:   JAPI, qsub, DRMAA
                 Issue:     826
                 Review:    SG

MD-2004-03-17-3  Bugfix:    merged fixes from beta branch to maintrunc
                            adapted testsuite to changed message parts
                 Changed:   inst_sge, testsuite

CR-2004-03-17-1  Bugfix:    fixed performance problem in communication
                            library in multithreaded mode.
                 Changed:   commlib
                 Review:    SG

MD-2004-03-17-2  Bugfix:    fixed broken fs check on not solaris and linux
                            archs
                 Changed:   inst_sge, distinst
                 Issue:     846
                 Review:    CR

JG-2004-03-22-0: Testsuite: fixed test system_tests/clients/qdel.
                 Cleanup:   Checkin of some files missing from earlier checkins,
                            some additional docs and comments.

CR-2004-03-17-0: Bugfix:    CSP install failed on irix architecture
                 Issue:     851
                 Review:    MD

SG-2004-03-17-0: Enhancem.: - Limited the number of dynamic event clients with a
                              new qmaster_params entry: max_dyn_ec=XXX. 
                            - some cleanup in the event master thread
                            - ensured that event clients with a fixed id are
                              run by a manager.
                 Changed:   qmaster, man-page  
                 Review:    AA
                 
JG-2004-03-17-0: Bugfix:    fixed race condition in sge_shepherd
                            (qlogin_starter for qlogin/qrsh jobs).
                 Changed:   sge_shepherd
                 Issue:     871
                 Review:    CR
                 Bugfix:    qstat -f output cluster queue name instead of
                            queue instance name.
                 Changed:   qstat
                 Review:    SG

EB-2004-03-17-0: Bugfix:    Host aliases not supported with -q 
                            wc_qinstance/-masterq wc_qinstance
                 Issue:     819
                 Changed:   sge_qmaster
                 Review:    AH 

MD-2004-03-17-1: Bugfix:    fstype was broken on IRIX 6.5
                 Changed:   fstype
                 Review:    SG

MD-2004-03-17-0: Enhancem.: added a new util to utilbin fstype, to check
                            for local or mounted filesystems -> needed for
                            Issue 846
                 Changed:   fstype, utilbin/Makefile
                 Review:    CR

RH-2004-03-17-0: Bugfix:    improvements for bug 799 
                 Changed:   all
                 Issue:     799
                 Review:    SG

AA-2004-03-16-0: Bugfix:    - default_duration sconf param added
                            - unused var compile warnings
                 Issue:     839
                 Changed:   qmon
                 Review:    EB

EB-2004-03-16-0: Bugfix:    Hostgroup identifiers not verified in
                            queue_conf(5)
                 Issue:     856
                 Changed:   sge_qmaster
                 Review:    SG 

JG-2004-03-16-0: Testsuite: Cleanup and fix of tests 
                            bugs/issuezilla/193, 
                            system_tests/clients/qalter, 
                            system_tests/clients/qrsh

SG-2004-03-16-0: Enhancem.: added the output of long qnames in qstat (again)
                 Changed:   qstat, qstat man page
                 Review:    JG

EB-2004-03-16-0: Bugfix:    mail bomb upon abort with tightly int. par. job 
                 Issue:     637
                 Bugtraq:   5020153
                 Changed:   sge_execd
                 Review:    JG

RH-2004-03-16-0: Bugfix:    host group names has to start with a '@'
                 Changed:   qconf, qmaster
                 Issue:     719, 740
                 Review:    SG

JG-2004-03-15-0: Testsuite: Fixed function changing queue attributes.

DT-2004-03-15-0: Bugfix:    o Fixed qconf line continuation in cases of long,
                              unbreakable lines.
                            o Fixed qconf parsing of trailing whitespace.
                            o Moved DRMAA Java binding into more appropriate
                              packages.
                            o Added SISSL header to spooling parser.
                 Changed:   Flatfile spooling, DRMAA
                 Issue:     818, 836
                 Review:    JG

RH-2004-03-15-0: Bugfix:    Negative numbers for step in range parsing are
                            not allowed.
                 Changed:   all
                 Issue:     799
                 Review:    SG

AH-2004-03-15-1: Bugfix:    Fix resource reservation problem for sequential
                            jobs

AH-2004-03-15-0: Doc:       Made some fixes to calendar_conf(5) to make
                            it's behaviour more clear.

CR-2004-03-15-0: Testsuite: Adjustments for new GE install script output

AD-2004-03-12-1: Bugfix:    Did fix quote error.
                 Changed:   inst_execd.sh
                 Review:    AS

AD-2004-03-12-0: Bugfix:    Did fix broken symlinks for DARWIN.
                 Changed:   distinst
                 Review:    AS

MD-2004-03-12-1: Bugfix:    - added clear at the end of installation
                            - local fs check for irix65 was broken
                 Chaged:    inst_sge
                 Review:    AD

MD-2004-03-12-0: Enhancm:   - added a autoinstall readme
                 Changed:   README-Autoinstall.txt

SG-2004-03-12-2: Bugfix:    execd died, when a load sensor was restarted.
                 Issue:     835
                 bugtraq:   5019497
                 Changed:   execd
                 Review:    AS

AH-2004-03-12-1: Bugfix:    fix access to free'd memory that caused
                            schedd fp-exception under tru64
                 Review:    AS

CR-2004-03-12-0: Enhancm.   Added a script to check install script syntax
                            of infotext calls: 
                 Added:     source/scripts/infotext_check_script_syntax.tcl
                 Modified:  source/scripts/infotext_msg_parse.tcl

SG-2004-03-12-1: Bugfix:    wrong qstat -F output with no requestable 
                            attributes
                 Issue:     837
                 Review:    EB

MD-2004-03-12-0: Bugfix:    wrong default duration in schedd configuration
                 Issue:     838
                 Changed:   inst_sge
                 Review:    SG

JG-2004-03-12-2: Testsuite: Testsuite installation was broken due to changed
                            messages.

JG-2004-03-12-1: Bugfix:    qconf -Aconf crashed.
                 Issue:     834
                 Changed:   all (libcull)
                 Review:    SG

SG-2004-03-12-0: Bugfix:    fixed problem with fix for issue 831
                 Issue:     831
                 Changed:   qmaster
                 Review:    EB

JG-2004-03-11-0: Enhancem.: Additional information about the build process
                            of the Berkeley DB (architecture dependend
                            configure options).

AH-2004-03-11-2: Enhancem.: Fix problem of frequent "cannot resend unknown 
                            job" messages.
                 Review:    AD
                 Issue:     822

AS-2004-03-11-1: Bugfix:    installation fixes and formatting

AS-2004-03-11-0: Enhancem.: Merged HPCT changes from 5.3

JG-2004-03-11-0: Testsuite: fixed tests functional/binary_submission and 
                            functional/migration.

CR-2004-03-11-0: Bugfix:    fixed error compiling qmon for aix43 
                 Changed:   qmon

MD-2004-03-11-1: Bugfix:    set default "y" for startup script inst
                 Changed:   inst_sge
                 Review:    AS

SG-2004-03-11-0: Enhancem.: minor cleanup in lCopyElem in cull
                 Changed:   everything
                 Review:    JG

MD-2004-03-11-0: Bugfix:    - check for local filesystem on lx24-amd64
                              was broken
                            - infotext argument parsing (irix65)
                 Changed:   inst_sge, infotext
                 Review:    CR

AH-2004-03-11-1: Enhancem.: Fix sge_gethostbyname()/sge_gethostbyaddr() under 
                            tru64. Minor cleanup in new commlib.
                 Review:    AD

AH-2004-03-11-0: Enhancem.: Allow inst_berkeley.sh to continue even without 
                            test regarding local file system for berkley db
                            directory.
                 Review:    MD
   
EB-2004-03-11-0: Bugfix:    removing a suspend threshold doesn't unsuspend
                            jobs
                 Issue:     831
                 Changed:   sge_qmaster
                 Review:    SG

AS-2004-03-10-0: CVS        Created V60_beta1_target_{BRANCH,TAG}
-----------------------------------------------------------------

AH-2004-03-10-0: Enhancem.: Use more intuitive defaults for weight_ticket,
                            weight_urgency and weight_priority. Lower impact
                            of waiting time in urgency formula.
   
EB-2004-03-10-2: Bugfix:    calendar handling is broken
                 Issue:     825
                 Changed:   sge_qmaster
                 Review:    AH 

MD-2004-03-10-0: Bugfix:    really bad typo
                 Issue:     793
                 Changed:   inst_sge

JG-2004-03-10-2: Testsuite: Some fixes for the testsuite queue handling and
                            tests bugs/issuezilla/193 and
                            functional/migration.

JG-2004-03-10-1: Enhancem.: Added datastructures for the reporting of long 
                            running jobs.
                            Added an optimization for JG-2004-03-10-0.
                 Changed:   all

EB-2004-03-10-1: Bugfix:    Unsuspend on subordinate is broken
                 Issue:     807
                 Changed:   sge_qmaster
                 Review:    AH 

SG-2004-03-10-1: Bugfix:    the japi event client does get qmaster goes down
                            events and client shut down events. Part of 788
                 Changed:   qmaster

SG-2004-03-10-0: Bugfix:    scheduler crashed during functional ticket 
                            computation on AMD64 - linux
                 Changed:   scheduler
                 Review:    CR
                 Issue:     820
                 bugtraq:   5019584

EB-2004-03-10-0: Bugfix:    qconf -mq rejects valid configuration
                 Issue:     815
                 Changed:   qconf
                 Review:    SG

JG-2004-03-10-0: Bugfix:    Signalling a slave task of a parallel job did not
                            signal job.
                 Issue:     810
                 Changed:   sge_qmaster
                 Review:    EB

MD-2004-03-09-0: Bugfix:    install_execd ignores ignore_fqdn in bootstrap(5)
                 Issue:     805
                 Changed:   inst_sge
         
AH-2004-03-09-1: Bugfix:    Fixed qsub -w v to print more than one single 
                            reason. 
                            Fix problem with qstat -j scheduling info being
                            truncated.
                 Issues:    811, 812
                 Review:    EB

JG-2004-03-09-2: Bugfix:    path of output file for pe start proc was incorrect.
                 Issue:     808
                 Bugfix:    fixed buffer overflow in shepherd.
                 Bugfix:    fixed uninitialized variable in commlib.
                 Review:    CR

AH-2004-03-09-0: Bugfix:    Reverted problematic do_ntix optimization done in
                            AH-2004-03-08-0.
                            Fix broken -masterq submit option.
                 Issues:    809
                 Review:    JG

JG-2004-03-09-1: Testsuite: Adapted a number of changed messages and changed 
                            qstat output format.
                            Fixed test functional/usage.

JG-2004-03-09-0: Bugfix:    Fixed memory access error in the deletion of 
                            automatic users.
                 Bugfix:    Writing of a job log entry in case of job error 
                            state crashed qmaster.
                 Review:    SG

SG-2004-03-09-0: Bugfix:    fixed a potential memory leak in the functional
                            ticket computation.
                 Changed:   scheduler
                 Review:    EB

AS-2004-03-09-1: Bugfix:    reformat of qstat/qhost header lined for longer 
                            arch names
                
AS-2004-03-09-0: Enhancem.: productization

DT-2004-03-09-0: Enhancem.: o Finished defining native methods for JNI calls in
                              DRMAA Java binding
                            o Added SISSL header to all DRMAA Java binding
                              files.
                 Changed:   DRMAA

DT-2004-03-08-1: Bugfix:    o Fixed the other half of logic hole in japi_wait.
                 Changed:   JAPI
                 Issue:     802, 803

CR-2004-03-08-1: Bugfix:    fixed bug in initializing of SGE_EVENT buffer for
                            qmon
                 Changed:   qmon (qmon_init.c)

CR-2004-03-08-0: Bugfix:    setting default acknowledge timeout from 15 to 
                            60 seconds.
                 Changed:   commlib

DT-2004-03-08-0: Bugfix:    o Fixed logic hole in japi_wait().
                 Changed:   JAPI
                 Issue:     798

AD-2004-03-08-0: Bugfix:    Some qmaster threads did use the temporary message
                            file.
                 Changed:   uti
                 Review:    JG

AH-2004-03-08-0: Optim.:    Skip computation of ntix/nurg/nprio if  
                            corresponding weights are 0.0 and 
                            report_pjob_tickets is set to 'false'.
                            Assume fix range -1023 to 1024 when determining
                            nprio.
                 Changed:   scheduler
                 Review:    EB

MD-2004-03-08-0: Bugfix:    qmaster crash in csp mode, if unsecure execd's
                            are trying to connect to the qmaster
                 Issue:     801
                 Changed:   sec_lib, commlib
                 Review:    CR

JG-2004-03-08-1: Bugfix:    Added missing validation of database handle in 
                            spooling write function.
                 Cleanup:   Changed output level of a number of communication 
                            messages from INFO to DEBUG.
                 Review:    AD

SG-2004-03-08-1: Bugfix:    fixed memory leak in scheduler
                 Changed:   scheduler
                 Review:    AH

SG-2004-03-08-0: Bugfix:    - removed limit for flush_submit and flush_finish
                              time
                            - removed debug output from the scheduler
                            - removed "schedd_params" from the cluster 
                              configuration
                 Changed:   install, scheduler
                 Review:    MD, AH

EB-2004-03-08-1: Bugfix:    missing newline in qstat -j <jid> output
                 Changed:   qstat

EB-2004-03-08-0: Bugfix:    qstat -g c takes to long time if there are many 
                            jobs in the cluster
                 Changed:   qstat
                 Issue:     789
                 Review:    SG

DT-2004-03-08-0: Bugfix:    Left over check-in from Friday
                            o Fixed message for qconf -ks
                            o Cleaned up some DRMAA output messages
                 Changed:   evm, GDI, DMRAA, answer, qmaster
                 Issue:     785

JG-2004-03-08-0: Bugfix:    Fixed dependencies for sge_sub_object.c
                 Issue:     781
                 Review:    AS

DT-2004-03-07-0: Enhancem.: o Added DRMAA Java binding.  Not yet complete.
                 Changed:   DRMAA

SG-2004-03-07-0: Bugfix:    - fixed the build for glinux
                            - fixed the scheduler high profile
                            - fixed the help output from inst_sge
                 Changed:   qstat, inst_sge                            

DT-2004-03-05-5: Bugfix:    o Changed error messages from DT-2004-03-05-4 to
                              start with lower case letters.
                 Changed:   GDI
                 Issue:     783

DT-2004-03-05-4: Bugfix:    o Moved internal details from DPRINTF back into
                              comm lib error message.  Now there are two
                              different messages.  One is for the usual case of
                              just not being able to connect, and the other is
                              for all other cases.
                 Changed:   qmon, GDI
                 Issue:     783
                 Review:    pending

DT-2004-03-05-3: Bugfix:    o Moved internal details from comm lib error message
                              into DPRINTF in sge_send_any_request().
                 Changed:   qmon, GDI
                 Issue:     783
                 Review:    pending

AH-2004-03-04-0: Bugfix:    Job-queue matching in qstat broken
                 Issue:     786
                 Review:    AS

AS-2004-03-05-0: Bugfix:    wrong dependencies for sge_sub_object.c are now
                            corrected through new script 
                            scripts/fix_dependencies
                 Issue:     781

DT-2004-03-05-2: Bugfix:    o Removed help output on qstat with no args
                 Changed:   qstat
                 Issue:     782

CR-2004-03-05-1: Bugfix:    sge_shadowd fails to create communication handle 
                            on takeover and exits.
                 Issue:     776
                 Review:    MD

DT-2004-03-05-1: Bugfix:    o Changed list separator from ',' to ' ' for
                              hostgroups in qconf
                 Changed:   qconf
                 Issue:     780

DT-2004-03-05-0: Bugfix:    o Added missing error message for missing SGE_ROOT
                              in qmaster
                            o Removed duplicate comm lib "can't connect" error
                              messages
                            o Cleaned up qsub error messages
                            o Added help output for qconf, qstat, qmod, and
                              qalter with no args
                            o Converted sge_send_any_request to use answer lists
                 Changed:   GDI, qsub, qconf, qalter, qmod, qstat, qmaster, evc
                 Issue:     774

SG-2004-03-05-1: Bugfix:    fixed a bug in changing build-in centries
                            from strings to an other string type
                 Issue:     759
                 Changed:   qmaster

SG-2004-03-05-0: Enhancem.: - updated the qstat schema files. 
                            - fixed a xml string encoding problem
                 Changed:   qstat schemas, qstat

CR-2004-03-05-0: Bugfix:    fixed broken CSP install
                 Changed:   install scripts, CULL feature list, feature
                            functions
                 Review:    SG, MD
                 Issues:    778, 779

DT-2004-03-04-3: Bugfix:    o qconf now validates scheduler configuration
                            settings
                 Changed:   qconf

AH-2004-03-04-0: Bugfix:    qselect/qstat -l selection wrongly considers 
                            load and utilization
                 Issue:     771
                 Review:    AS

CR-2004-03-04-0: Bugfix:    Rolled back change from CR-2004-03-02-2:
                            all clients will now log error and critical 
                            messages to stderr again. 

                            Submitted cleanup issue: #744
                 Changed:   all qXXXX clients
                 
MD-2004-03-04-1: Bugfix:    - Pattern matching for -l q= doesn't work 
                              per default 
                 Issue:     759
                 Review:    SG
                 Changed:   install

DT-2004-03-04-2: Bugfix:    o Removed duplicate error messages for missing
                              SGE_ROOT in execd and schedd
                            o Added missing error message for missing SGE_ROOT
                              in qmon
                 Changed:   execd, schedd, setup_gdi.c
                 Issue:     774

DT-2004-03-04-1: Bugfix:    o Removed duplicate error message for missing
                              SGE_ROOT
                 Changed:   age_arch.c
                 Issue:     768

MD-2004-03-04-0: Bugfix:    - Removed warning message at execd install
                            - Formatting, text cleaning, typo
                 Issue:     763
                 Changed:   testsuite, inst_sge

EB-2004-03-04-0: Bugfix:    - misleading message of "qstat -explain a" if 
                              execd is down
                            - slots in queue_conf(5) accepts 1,myslots=5, \
                              [@allhosts=4]
                 Issue:     765, 755
                 Changed:   qstat, qmon, qmaster
                 Review:    SG

SG-2004-03-04-1: Bugfix:    - another qstat -xml fix
                            - fixed the build under glinux
                 Changed:   qstat, qconf

SG-2004-03-04-0: Bugfix:    was to quick checking in the qstat -xml fixes. When
                            an element has no attribute it would print "(NULL)"
                            instead of nothing.
                 Changed:   qstat
                 Review:    pending

DT-2004-03-04-0: Bugfix:    o Reenabled GUI logging in qconf in order to have
                              flatfile spooling error messages printed.
                 Changed:   qconf
                 Review:    pending
                 Issue:     768

AA-2004-03-03-1: Bugfix:    - qi editability
                 Isssue:    727
                 Changed:   qmon
                 Review:    Pending

SG-2004-03-03-5: Bugfix:    fixed error message for wrong security mode string.
                 Changed:   all

SG-2004-03-03-4: Bugfix:    fixed several bugs in the qstat -xml output. The
                            update for the XML schema file is still pending.
                 Changed:   qstat
                 Review:    pending

SG-2004-03-03-3: Bugfix:    The clients died when a wrong security mode is
                            specified in the bootstrap file
                 Changed:   all
                 Review:    pending

SG-2004-03-03-2: Bugfix:    the product mode is displayed again with -help
                            in the clientes
                 Changed:   all
                 Review:    pending

AS-2004-03-03-1: Cleanup:   SGEEE reference removals. Set version string to
                            "6.0Beta" (code is not in Beta yet!)

CR-2004-03-03-1: Cleanup:   removed most of #ifndef ENABLE_NGC code. Still
                            52 ENABLE_NGC defines in source code.
                 Review:    pending
                 Changed:   removed unused code 

DT-2004-03-03-2: Bugfix:    o Minor fix to DT-2004-03-03-0
                 Changed:   Flatfile spooling

DT-2004-03-03-1: Bugfix:    o AS-2004-03-03-0 wasn't the best fix.
                 Changed:   Flatfile spooling

AS-2004-03-03-0: Bugfix:    Fix DT-2004-03-03-0 did not compile on all
                            machines

DT-2004-03-03-0: Bugfix:    o Flatfile spooling now checks for duplicate
                              attributes.
                 Changed:   Flatfile spooling
                 Issue:     732

SG-2004-03-03-1: Bugfix:    third part of removing SGE - simplefying
                            the feature set code
                 Changed:   qmaster
                 Review:    pending

AA-2004-03-03-0: Bugfix:    - qi display
                            - uppercase shortcuts
                            - q customize
                            - job dialogue segv for jobcustomize
                            - ticket dialogue
                            - qmon man page
                 Issues:    734, 723, 680, 681, 725, 736, 747, 726            
                 Changed:   qmon
                 Review:    pending

CR-2004-03-03-0: Bugfix:    - additional parameter for cl_com_gethostname(), 
                              cl_com_cached_gethostbyname(), 
                              cl_com_cached_gethostbyaddr(),sge_gethostbyname()
                              and sge_gethostbyaddr() which returns system error.
                            - new function cl_com_get_h_error_string() which 
                              converts system error into a string.
                            - cl_com_cached_gethostbyaddr() returns new error:
                              CL_RETVAL_GETHOSTADDR_ERROR
                 Issue:     674
                 Changed:   commlib, gethostbyname, gethostbyaddr, gethostname
                 Review:    pending

EB-2004-03-03-0: Bugfix:    - job will be shown twice in qstat/qmon after 
                              restart of sge_qmaster
                            - dbstat utility is unable to show certain objects
                            - Show reason for queue and job error state in qstat
                 Issue:     160, 757, 761
                 Changed:   dbstat, sge_qmaster
                 Review:    SG

                 NOTE:      Cull data structure for ja_task has been changed.
                            REEINSTALLION NECESSARY!

SG-2004-03-03-0: Bugfix:    - the clients print an error message in case of a
                              bad bootstrap file (part 2).
                 Changed:   all
                 Review:    pending

SG-2004-03-02-0: Bugfix:    - fixed build for glinux
                            - the clients print an error message in case of a
                              bad bootstrap file (Part 1). A better error
                              message is coming.
                 Changed:   all, scheduler
                 Review:    AH, EB 

DT-2004-03-02-2: Bugfix:    o Fixed broken build
                            o Added tmpdir to queue instance flatfile spooling
                 Changed:   Flatfile spooling, libsched
                 Issue:    760

AH-2004-03-02-0: Enhancem.: Completed qstat -j schedd messages
                            Fixed broken qsub -w e|w option
                 Bugfix:    Fixed schedd problem with jobs exceeding their
                            prospecive duration for whatever reason.

MD-2004-03-02-2  Bugfix:    - adapted path to module files
                 Changed:   inst_sge

MD-2004-03-02-1  Enhancem:  - renamed installation files
              
CR-2004-03-02-2  Bugfix:    - removed some ENABLE_NGC code parts
                 Cleanup:   - qconf -mconf did not print out an error message 
                              when qmaster wasn't reachable
                            - check_isalive() returns now commlib error
                            - all clients will no longer log error and critical 
                              messages to stderr (log_state_set_log_gui(False))
                              (produces duplicate error messages)
                 Issue:     662           
                 Changed:   all clients

DT-2004-03-02-1  Bugfix:    o Ulong parsing now complains about negative numbers
                            o Tweaked freefix.pl search parameters
                            NOTE: I have to check this in before I can compile
                                  or test it...
                 Changed:   o sge_object.c, freefix.pl
                 Issue:     745 (not done yet)

DT-2004-03-02-0  Bugfix:    o Fixed qconf -mq help output.
                            o Added -commit option to freefix.pl to overwrite
                              original files.
                 Changed:   msg_common.h, freefix.pl
                 Issue:     756

MD-2004-03-02-0  Bugfix:    - added -dl option in qalter help output
                            - changed product_mode to security_mode in bootstrap
                            - fixed qmaster crash after getting wrong schedd config
                            - changed weight values in preconfigured schedd setups
                 Review:    SG
                 Changed:   inst_sge, qalter, schedd

CR-2004-03-02-1  Bugfix:    - client will close it's own connection after closing 
                              connection timeout. Before this fix only the server
                              closed the connection.
                            - setting read, write and ack timeout (on tcp layer)
                              back to 15 seconds.
                            - cl_get_error_text() now return real error messages.
                 Changed:   commlib

AS-2004-03-01-2  Enhancem.: make all test binaries for commlib and japi by default
                            - needed for testsuite

AS-2004-03-01-1  Enhancem.: renamed some install files and directories
                            - moved startup template scripts to util/rctemplates 
                            - renamed startup template scripts to xxx_template
                              where "xxx" is the same name as the final name
                            - renamed 'inst_sgeee_modules' to 'install_modules'

DT-2004-03-01-0  Enhancem.: o Updated qconf man pages for backslash line
                              continuation.
                            o Created script to fix lFree* assignment errors.

AS-2004-03-01-0  Enhancem.: updated build README's

AH-2004-01-03-0  Bugfix:    Fix qstat bug with PEs using agv in urgency slots
                 Issue:     710

MD-2004-01-03-1  Bugfix:    - DB_CONFIG file copy as adminuser
                 Changed:   inst_sgeee

MD-2004-01-03-0  Enhancem:  - Add DB_CONFIG file (Berkeley Config)
                            - Added new entry to schedd profiles
                 Changed:   inst_sgeee

AA-2004-02-27-1  Bugfix:    - q filtering -> segv
                 Issue:     725
                 Changed:   qmon

AA-2004-02-27-0  Bugfix:    - qi dialogue shows only fixed number of queues
                            - Modify button in user configuration
                            - cq modify queue name line insensitive
                            - time helper dialogue
                            - comment, msg corrections
                 Issue:     747, 739, 736, 723
                 Changed:   qmon, msg header changed -> all is recompiled
                 
                            
AS-2004-02-27-2" Enhancem.: added "-nosource" switch" to scripts/distinst

AS-2004-02-27-0  Enhancem.: changes to the install procedure
                 Changed:   scripts/distinst and related minor files
                 Renamed:   inst_sgeee -> inst_sge

CR-2004-02-27-4: Testsuite: compile_source procedure now supports new "myinst"
                            behaviour.
                 Changed:   testsuite

CR-2004-02-27-3: Cleanup:   setting larger default timeouts for communications
                 Changed:   commlib

CR-2004-02-27-2: Bugfix:    changed DEBUG_FLAG from -g3 to -g2 for ALPHA5
                            (tru64) sytems (-g3 produced segmentation faults
                            in gethostname binary)
                 Changed:   aimk

SD-2004-02-27-0: Bugfix:    Fixed checking of read return code
                 Changed:   execd
                 Issue:     713

DT-2004-02-27-0: Bugfix:    o Rearranged japi_exit() to prevent the reopening
                              of the close comm lib connection.
                            o qconf -sq @... now returns a friendly error
                              message.
                            o qconf now requires all fields to be present for
                              all options.
                            o Fixed various qconf bugs
                 Changed:   Flatfile Spooling, JAPI, qconf
                 Issue:     692, 720

SG-2004-02-27-0: Bugfix:    increased the timeout in qdel, since it might take
                            a bit longer to delete the jobs (with array tasks).
                 Changed:   qdel
                 Review:    CR

CR-2004-02-27-1: Bugfix:    - ignore_fqdn and default_domain parameters wasn't
                              used in communication lib.
                 Changed:   commlib

AS-2004-02-27-0: Bugfix:    corrected wrong exit status from tests"
                 Changed:   aimk

CR-2004-02-27-0: Bugfix:    - Use thread signal handler for qsub only when 
                              -sync yes or -now yes is used (when a thread is
                              started) otherwise the default sge signal handler
                              is used.
                            - japi_init_mt():
                              block PIPE signal before doing sge_gdi_setup()
                 Changed:   qsub, japi

AS-2004-02-26-0: Enhancem:  - Tru64 compile port
                            - QIDL remove, header file cleanup
                            - Makefile cleanup (did not fix not working rules)
                            - Makefile dependency correction
                            - Pass same flags to qmon make call as 
                              for core system in aimk
                            NOTE: Call "aimk clean; aimk depend" after checkout

DT-2004-02-26-0: Bugfix:    o qsub doesn't hang anymore.
                            o JAPI no longer uses signals to stop the event
                              client thread.
                            o japi_exit() no longer blocks when another is
                              already in japi_exit().
                            o Fixed various JAPI bugs.
                            o Simplified qsub's logic.
                 Changed:   qsub, JAPI, comm lib (minor)
                 Issue:     683
                 Review:    pending

SG-2004-02-26-1: Bugfix:    qmaster was not able to read in the scheduler
                            configuration in classic spooling mode.
                 Issue:     717
                 Changed:   qmaster

EB-2004-02-26-1: Bugfix:    qmon shows invalid messages if 
                            "show detached settings" button is pressed
                            renamed "qconf -sick" to "qconf -sds"
                 Changed:   qmon
                 Issue:     707
                 Review:    AA

CR-2004-02-26-1: Bugfix:    using cl_com_ignore_timeouts() in default signal
                            handler to induce communication functions to
                            return without timeout in order to terminate sge
                            client programs immediately after sending TERM
                            signal.
                 Changed:   all binaries
                 Issue:     686 ( fixes all client programs expect "qsub" )

AH-2004-02-26-0: Doc:       Mention sched_conf(5) monitor=1 params setting.
                            Document improved handling of wildcard PE request.

CR-2004-02-26-0: Bugfix:    don't sleep when qevent can't open connection to
                            qmaster and signal TERM is sent
                 Changed:   qevent

SG-2004-02-26-0: Enhancem:  added halfelife_decay_list to the scheduler config
                            man page.

AA-2004-02-26-0: Bugfix:    cplx dialogue kept highlighting after closing
                 Changed:   qmon

EB-2004-02-26-0: Bugfix:    qstat -explain did not show messages
                            qalter -q <queue_pattern_which_will_never_match>
                            is not rejected. (reintroduced by AA-2004-02-21-0)
                 Changed:   qstat, sge_qmaster
                 Issue:     705, 688
                 Review:    SG 

SG-2004-02-25-1: Bugfix:    fixed the time bases for YY specification. It
                            referes to to the range of 1970 till 2069.
                 Chaged:    qacct, qsub, qalter,...
                 Issue:     709
                 bugtraq:   5019595
                 
SD-2004-02-25-0: Bugfix:    Fixed file descriptor leak which caused
                            execd to run out of file descriptors
                 Changed:   execd
                 Issue:     713

AH-2004-02-25-0: Enhanc.:   Added 'default_duration' to sched_conf(5).
                 Doc:       Man pages changes for reservation scheduling.
                 Bugfix:    Wrong error message for qsub -R 
                 Issue:     694
                 Review:    AD

DT-2004-02-25-0: Bugfix:    o Fixed qconf -sq queue@hostname output.
                            o Fixed DRMAA example program
                 Issue:     701, 704
                 Changed:   DRMAA, qconf

SG-2004-02-25-0: Bugfix:    extended the scheduler check for invalid
                            configurations.
                 Issue:     695
                 Changed:   scheduler

SD-2004-02-24-0: Cleanup:   man page updates, automatic user documentation
                 Issue:     636

AD-2004-02-24-1: Bugfix:    Did fix NULL pointer assignment.
                 Changed:   qstat
                 Issue:     696

MD-2004-02-24-0: Bugfix:    changed messages
                 Issue:     676
                 Changed:   inst_sgeee

AD-2004-02-24-0: Bugfix:    Did fix CULL run time type error.
                 Changed:   qmaster
                 Issue:     699

AH-2004-02-23-2: Bugfix:    Improved diagnosis output of drmaa_init()
                            in case $SGE_ROOT is not set

AH-2004-02-23-1: Bugfix:    Added ":" to DRMAA example.c output path.
                            Improved example.c diagnosis capabilities.

AD-2004-02-23-0: Bugfix:    Did add missing calendar event handler.
                 Changed:   qmaster

AA-2004-02-23-0: Enhancem.: qmon CQ dialog, sensitivity toggling, lock icons
                 Changed:   qmon

AH-2004-02-23-0: Bugfix:    Fix broken reservation for parallel jobs.
                            Refresh CE_doubleval in JB_hard_resource_list
                            after qmaster restart.
                            Fix broken category optimization.
                            Fix problem with handling default requests.
                 Issue:     700

AA-2004-02-21-0: Enhancem.: qmon CQ changes and fixes
                            partial fix of bool, lBool casting
                            RR dialogue changes
                            fixing of broken functionalities (Save settings)
                            
                 Changed:   all due to lib dependencies

JG-2004-02-20-1: Enhancem.: Added some documenation related to reporting, 
                            cleanup of man page bootstrap.5.
                 Testsuite: Fixed some problems with tests
                            functional/accounting and bugs/issuezilla/440.

AS-2004-02-20-1: Cleanup    aimk cleanup, makefile cleanup, porting
                 Review:    AA (partial review and help)

MD-2004-02-20-1: Bugfix:    - fixed wrong schedd default configuration
                 Changed:   schedd templatefiles (installation)

CR-2004-02-20-0: Bugfix:    reaching max possible connection count will
                            disable accepting/creating new connections. This
                            is the part of fixing Issue #687
                 Changed:   communication lib

AD-2004-02-20-1: Cleanup:   Did remove obsolete code.
                 Changed:   shadowd

AH-2004-02-20-0: Bugfix:    Made libdrmaa.so again a self-contained library 
                            that requires no other Grid Engine libraries to
                            be linked against DRMAA application.
                            Added DRMAA example to default build rule.

AD-2004-02-20-0: Bugfix:    Generate error message if qmaster is already
                            running.
                 Changed:   qmaster, shadowd, daemons/common
                 Review:    CR
                 Issue:     684

EB-2004-02-20-0: Bugfix:    Added missing documentation
                 Issue:     691

SG-2004-02-20-0: Bugfix:    - evaluated 53patches
                            - fixed test 540 for the testsuite
                 Changed:   testsuite
                 Review:    CR

EB-2004-02-20-0: Bugfix:    Soft queue requests are not rejected if queues 
                            are not requestable.
                            qalter -q <queue_pattern_which_will_never_match> 
                            is not rejected.
                 Changed:   sge_qmaster
                 Issue:     688, 689
                 Review:    SG

MD-2004-02-20-0: Bugfix:    - new dialog messages
                 Changed    inst_sgeee, testsuite
                 Issue:     676

JG-2004-02-20-0: Enhancem.: Tune locking parameters of Berkeley DB.

MD-2004-02-19-0: Bugfix:    - wrong perms and owner for bootstrap file
                            - typos
                 Changed:   inst_sgeee, testsuite
                 Issue:     677

JG-2004-02-19-2: Testsuite: Fixed testsuite installation: Use SGE_SINGLE_LINE
                            as introduced by DT-2004-02-19-1 to avoid parsing
                            problems due to splitted long lines.

AD-2004-02-19-2: Cleanup:   Did remove '-lj' command line argument.
                 Changed:   qmaster, common, man

SG-2004-02-19-3: Bugfix:    fixed qstat -s z -r
                 Changed:   qstat

EB-2004-02-19-1: Bugfix:    It was possible to delete used cluster queues
                 Changed:   sge_qmaster
                 Review:    SG 
                 Issue:     679
                  
DT-2004-02-19-1: Bugfix:    Did various minor qconf & FF bug fixes.
                            qconf now supresses line continuation when the
                            SGE_SINGLE_LINE env var is set.
                            Added new test program to test compatability
                            between classic and flatfile spooling.
                 Changed:   qconf, flatfile spooling

HP-2004-02-19-1: Bugfix:    - qsub -S <host>:/<path> crashed sge_qmaster
                 Issue:     682

HP-2004-02-19-0: Enhance:   - filestaging for drmaa
                            - prolog handles application error
                 Changed:   all
                 Review:    AH
                 Issue:     638, 377
                 
AD-2004-02-19-1: Cleanup:   Did remove '-s' command line argument.
                 Changed:   qmaster, common, man

DT-2004-02-19-0  Bugfix:    Missing files from JGrid package
                 Changed:   JGrid howto

AS-2004-02-19-1  Cleanup:   Crude port to HP1164. Just COMPILES!!!!
                            No testing at all done yet!
                            "qtcsh" is not really working. Reason is that
                            "-ltermcap" does not exist on our system
                            as 64-bit library. Use "-lcurses" instead.
                            However tcsh prints at startup:

SG-2004-02-19-2: Bugfix:    - impemented qhold and qrls in qalter and removed
                              the qhold.sh script.
                            - corrected the qresub help output
                 Changed:   qhold, qrls, qresub, qalter, distinst
                 Review:    MD
                 Issue:     675

AD-2004-02-19-0: Cleanup:   Did remove '-nostart-commd' command line argument.
                 Changed:   qmaster, common, man

AH-2004-02-19-1: Bugfix:    sge_schedd crashed when parallel jobs were
                            assigned into more than one queues instance of
                            the same host.

AS-2004-02-19-0  Cleanup:   removed/add compiler warning level switches
                            compile with +O2 on HP11 due to compiler bug
                            Unify HP11 and HP1164 settings in one section
                            Remove Solaris x86 suppress warning settings

AH-2004-02-19-0: Bugfix:    Jobs were not scheduled into second queue
                            instance of a host
                 Review:    JG
                 Issue:     672

SG-2004-02-19-1: Bugfix:    - scheduler did not get the global configuration
                            - event master worked outside an array.  
                 Changed:   scheduler, qmaster
                 Review:    CR
                 Issue:     678

EB-2004-02-19-0: Bugfix:    qsub -l q=<QI> was not rejected
                 Issue:     671
                 Changed:   sge_qmaster
                 Review:    JG

JG-2004-02-19-1: Testsuite: Testsuite install output warnings due to changed 
                            defaults for weight_* schedd config attributes.

JG-2004-02-19-0: Bugfix:    Added source for dbstat.

SG-2004-02-19-0: Bugfix:    the event should not accept new event clients when
                            the master is going down.
                 Changed:   qmaster                            

JG-2004-02-18-1: Bugfix:    Fixed build for dbstat.

JG-2004-02-18-0: Testsuite: Fixed testsuite installation - it failed as schedd
                            conf attribute weight_jobclass no longer exists.
                            Did some fixes to tests 
                            system_tests/clients/qconf/check.exp and
                            system_tests/clients/qdel/check.exp

MD-2004-02-18-0: Bugfix:    - cleanup during execd uninst
                            - if spooldir exists -> ask for deleting
                            - testsuite adaption
                 Changed:   inst_sgeee, testsuite

CR-2004-02-18-1: Bugfix:    - qevent will not immediately try to re-register
                              on event client timeout
                            - 2nd started scheduler will exit
                            - communication errors and event client timeout
                              is are now handled when event client wants to
                              get events ( function: ec_get() )
                 Changed:   event clients ( sge_schedd, qevent, qsub, japi lib)
                 Review:    SG

DT-2004-02-18-4: Bugfix:    Revamped JAPI signal handling to be more POSIX
                            friendly and less dangerous.  Reworked JAPI
                            event client thread so that it doesn't hang the
                            process whenever something goes wrong.  JAPI now
                            shares one comm lib connection between the main
                            thread and the event client thread.
                 Changed:   JAPI
                 Review:    pending

AD-2004-02-18-1: Cleanup:   Did remove *currently* dispensable mutex
                            attributes. Did add some additional commentaries.
                 Changed:   qmaster

SG-2004-01-18-3: Bugfix:    - fixed qmaster crash in case of "qhold all"
                            - removed -uall switch from qalter
                            - removed "all" flag from qalter. "all" is a job
                              name now.
                            - adjusted the qhost help output  
                 Changed:   qmaster, qalter, qhost
                 Review:    MD
                 Issue:     670

DT-2004-02-18-3: Bugfix:    Moved basic sharetree functionality out of
                            libsched into libsgeobj to try to eliminate odd
                            dependencies.  Still a work in progress.
                 Changed:   sge_support, sge_sharetree
                 Review:    JG

DT-2004-02-18-2: Bugfix:    Fixed JGrid Howto mistakes.
                 Changed:   JGrid Howto

SG-2004-02-18-2: Bugfix:    - the qmaster did not terminate, when no event
                              client was registered.
                            - the qmaster shutdown event is delivered to 
                              all clients
                 Changed:   master
                 Review:    CR, AD
                 Issue:     669

CR-2004-02-18-0: Enhancem.: - added error function callback for communication 
                            errors
                            - connect response message reports now if connection
                            endpoint is already connected with service endpoint
                 Changed:   communication lib

DT-2004-02-18-1: Bugfix:    Added missing -sconf param in qconf
                 Changed:   flatfile spooling

SG-2004-02-18-1: Bugfix:    the total update events were delivered with
                            the next regular event.
                 Changed:   master

SG-2004-02-18-0: Cleanup:   first part of doing the event client matching in
                            the event master thread.
                 Changed:   master
                 Review:    DT

AD-2004-02-18-0: Bugfix:    Did fix 'qconf -secl' and 'qconf -sss'.
                 Changed:   qmaster, evm
                 Review:    SG
                 Issue:     666

DT-2004-02-18-0: Bugfix:    Fixed backslash line continuation for all objects
                            in qconf.  Will break on spaces or commas.
                            Propogated removal of SGE/SGEEE through qconf and
                            flatfile spooling.
                            Fixed build on Solaris x86.
                            Fixed other minor qconf and flatfile spooling
                            issues.
                 Changed:   qconf, qmon, flatfile spooling
                 Review:    JG

AS-2004-02-17-0: Cleanup:   aimk cleanup, #define cleanup, IRIX 6.5 compile
                 Review:    EB

SD-2004-02-17-0: Cleanup:   - Removed all jobclass references from qmon,
                              scheduler, and scheduler configuration
                            - Added display of users which map to the
                              default user node to qmon
                 Changed:   qmon
                 Issue:     636, 643

JG-2004-02-17-0: Bugfix:    Mirror interface didn't propagate event client 
                            errors.
                            Make qevent analyze return code from mirror 
                            interface.
                 Review:    CR

AA-2004-02-17-0: Bugfix:    Shell attribute was missing in Qconfig
                            Segv when attribute could not be applied
                 Changed:   qmon
                 Review:    EB

AH-2004-02-17-0: Bugfix:    Fixed dispatching of parallel jobs with
                            reservation disabled.
                 Review:    EB

DT-2004-02-17-0: Bugfix:    Fixed segv in qconf -msconf
                 Changed:   qconf
                 Review:    AH

JG-2004-02-16-2: Testsuite: Checked and/or fixed following testsuite tests:
                            functional/binary_submission
                            functional/job_environment
                            system_tests/clients/qalter

JG_2004-02-16-1: Bugfix:    Serialize (re)open actions of Berkeley DB by 
                            multiple threads.  
                 Enhancem.: Do spooling of hostgroups (comprising spooling of 
                            multiple queue instances) within a transaction.
                 Review:    AD, EB

DT-2004-02-16-0: Bugfix:    Fixed various qconf bugs.  \ line continuation is
                            temporarily broken.
                 Changed:   qconf

AD-2004-02-16-0: Bugfix:    'qconf -ks' now does output message about scheduler
                            shutdown.
                 Changed:   qmaster, evm
                 Review:    SG
                 Issue:     665

SG-2004-02-16-1: Bugfix:    - second part of removing SGE 
                            - fixed processing of scheduler configuration
                              in scheduler
                            - fixed event_master delivery time.
                 Changed:   all
                 Review:    CR

MD-2004-02-16-0: Bugfix:    Fixed some Messages, spooldir default
                 Testsuite: Adapted to new messages
                 Enhancem:  Added 3 default scheduler setups
                 Changed:   inst_sgeee, testsuite
                 Review:    SG

EB-2004-02-16-1: Bugfix:    wrong queue selection in qmon and qstat
                 Changed:   qstat, qmon
                 Review:    AA

CR-2004-02-16-1: Bugfix:    Disabled reconfigure in qmake/IRIX64/glob/Makefile

CR-2004-02-16-0: Testsuite: Fixed still existing problem: 
                            don't send job start command
                            to a remote shell when a former job start is
                            not yet executed. 

AA-2004-02-16-0: Bugfix:    dependencies in Makefiles from ancient paths
                            removed

JG-2004-02-16-0: Testsuite: Checked and fixed test functional/usage.
                            Source tcl_files/private.tcl to enable private
                            installation settings.
                            Make testsuite run with architecture lx2[46]_amd64.

EB-2004-02-16-0: Bugfix:    eliminated ambiguous message ids
                            removed obsolete messages
                 Changed:   all
                            
AD-2004-02-16-0: Cleanup:   Did remove superfluous debug output. Did adjust
                            comments.
                 Changed:   evm

SG-2004-02-15-0: Bugfix:    the event thread works with a fixed interval to
                            deliver events (every second)
                 Changed:   qmaster
                 Review:    pending
                 Issue:     668

JG-2004-02-14-2: Bugfix:    Fixed broken build on lx24-amd64.

SG-2004-02-14-1: Bugfix:    the event master ignored the flush settings. Every
                            flush was handled as flush = 0 seconds.
                 Changed:   qmaster   
                 Review:    pending

JG-2004-02-14-1: Bugfix:    Make spoolinit (creation of the spooling database) 
                            fail, if the database already exists.
                 Review:    pending

JG-2004-02-14-0: Testsuite: Checked and/or fixed following testsuite tests:
                            bugs/issuezilla/226 bugs/issuezilla/314 
                            bugs/issuezilla/402 bugs/issuezilla/403 
                            bugs/issuezilla/423 bugs/issuezilla/440 
                            bugs/issuezilla/478 bugs/issuezilla/509 
                            bugs/issuezilla/511 bugs/issuezilla/524 
                            bugs/issuezilla/527 bugs/issuezilla/540 
                            bugs/issuezilla/445 api/drmaa

SG-2004-02-14-0: Bugfix:    fixed the build for linux

DT-2004-02-13-0: Enhancem:  qconf now uses flatfile spooling instead of
                            classic spooling.  Might be broken for EH and PE
                            because of the new RUE type.  Not yet fully
                            cleaned and commented.
                 Bugfix:    Fixed a variety of classic spooling, qconf, and
                            other bugs.
                 Changed:   Flatfile spooling, classic spooling, qconf, sgeobj
                 Review:    JG

CR-2004-02-13-1: Testsuite: throughput test: don't send job start command to
                            a remote shell when a former job start is not
                            yet executed.

CR-2004-02-13-0: Testsuite: fixed bug when setting up user portlist in user
                            configuration

SG-2004-02-13-0: Cleanup:   first part of removing sge from sgeee
                 Changed:   all
                 Review:    AA

AD-2004-02-13-0: Cleanup:   Did add some missing comments.
                 Changed:   evm

JG-2004-02-13-1: Bugfix:    fixed broken test system_tests/clients/qrsh.

JG-2004-02-13-0: Enhancem.: Extended job log information.
                            Improved README for Berkeley DB build.
                 Bugfix:    Fixed broken build for lx24-amd64.           

EB-2004-02-13-0: Bugfix:    Fixed broken build

AH-2004-02-12-1: Bugfix:    Complex requestable field was not spooled.

AH-2004-02-12-0: Enhancem:  Initial revision of resource reservation. Man
                            pages and devel spec to follow. Source comments
                            to be completed.
                            Currently broken
                            - qstat -j schedd info messages
                            - -w e|v|w submit(1) option
                            Soft requests to be verified. Host/queue
                            category optimization to be revived. Testsuite
                            support to be added.
                 Enhancem:  Added CULL functions lAddSubList()/lAddDouble()/
                            lAddUlong()
                 Bugfix:    Fixed schedd crash with large array jobs.
                            Fixed problem with whitespaces in normalized time 
                            specifications.
                 Review:    FF/EB
                            
AD-2004-02-12-0: Bugfix:    Finish 'AD-2004-02-08-0'. Event Master (evm) is
                            now a self-contained modul and does use its own
                            thread to send events to event clients.
                 Issue:     656
                 Changed:   evm, qmaster

CR-2004-02-11-4: Testsuite: - removed "press RETURN" in cleanup_system 
                              procedure of install_core_system test

CR-2004-02-11-3: Cleanup:   - removed unused static function 
                              qmaster_log_flush_func()

CR-2004-02-11-2: Bugfix:    - qmaster communication is now multithreaded again
                            - qmaster can now bind port < 1024 as root
                              (setup of communication is done earlier in
                              startup phase of qmaster)
                 Changed:   qmaster
                 Review:    AD

SG-2004-02-11-0: Bugfix:    scheduler died, when the qmaster removed automicaly
                            created users.
                 Changed:   qmaster
                 Review:    AA

AA-2004-02-11-1: Enhancem:  qmon
                            - explain functionality
                            - cq filtering
                            - funcs from qstat relocated to be shared with qmon
                 Review:    SG
                 Changed:   qstat, qmon

AA-2004-02-11-0: Bugfix:    Compiler warnings removed
                 Review:    CR
                 Changed:   all

CR-2004-02-11-1: Testsuite: Reworked throghput performance test

CR-2004-02-11-0: Cleanup:   Fixed message macro name in qsub

JG-2004-02-11-1: Cleanup:   Cleanup and enhancement of error messages in
                            case of spooling errors.
                 Review:    pending

DT-2004-02-11-0: Bugfix:    Fixed aimk -help output.
                            Made the -secure transition more user friendly.
                 Changed:   aimk

CR-2004-02-11-0: Testsuite: Testsuite will not use -secure switch for aimk.
                            This switch is not supported by aimk anymore.

JG-2004-02-11-0: Testsuite: performance/throughput was broken for SGE 5.3.
                            Fixed bugs/issuezilla/126, bugs/issuezilla/140, 
                            bugs/issuezilla/141, bugs/issuezilla/171, 
                            bugs/issuezilla/193

SD-2004-02-10-1: Enhancem:  Added automatic user fields to qmon cluster
                            configuration
                 Changed:   qmon
                 Issue:     636

MD-2004-02-10-0: Bugfix:    -fixed some typos
                            -fixed local execd spool dir support
                            -added local execd spool dir support (auto mode)
                            -adapted testsuite
                            -help text
                 Changed:   inst_sgeee testsuite

SG-2004-02-10-0: Bugfix:    fixed memory leak in scheduler
                 Changed:   scheduler
                 Review:    CR

AD-2004-02-10-0: Enhancem:  Did add wrapper functions for POSIX read-write
                            locks.
                 Changed:   lck

JG-2004-02-10-0: Testsuite: Fixed install re_init.
                            Allow tests that are only valid for a certain 
                            Grid Engine version.
                            Cleanup functional/access_lists.
                            Fixed setup and cleanup of performance/throughput.
                            Fixed set_queue for cluster queues.

SD-2004-02-10-0: Bugfix:    - Various qmon updates for issue #643
                 Changed:   qmon
                 Issue:     643

SD-2004-02-09-0: Enhancem.: - Added POSIX priority support to the SGEEE
                              priority formula.
                            - Added -pri qstat option.
                            - Added weight_priority to scheduler configuration
                            - Various qmon updates for issue #636
                 Changed:   qmaster, schedd, qstat, qmon
                 Issue:     636

CR-2004-02-09-2: Testuiste: Fixed problems with admin mail address in install
                            core system test

SG-2004-02-09-2: Enhancem.: added the schema for qstat

SG-2004-02-09-1: Bugfix:    -qstat -r -xml died.
                 Changed:   qstat

AD-2004-02-09-0: Bugfix:    - Did move 'sge_gdi_tsm()' out of evm.
                            - evm no longer does link libgdi
                            - evm no longer does link libngc and libngclists
                 Issue:     656
                 Changed:   qmaster, evm

AS-2004-02-09-1: Enhancem.: porting changes for HP (begin native 64bit port),
                            IRIX (support only IRIX 6.5) and Linux (AMD64
                            and IA64).
                            No functional tests done yet. Only #define
                            cleanup and changes

JG-2004-02-09-0: Testsuite: Enable testsuite installation on aix51.

CR-2004-02-09-1: Bugfix:    Fixed compile problem for AMD64

AS-2004-02-09-1  Bugfix:    pass -Wno-strict-prototypes to gcc on Linux
                            to compile sec_lib.c without error
                            (introduced -Wstrict-prototypes for all Linuxes
                            with AS-2004-02-06-1)

CR-2004-02-09-0: Testsuite: Fixed install_core_system test on hosts where
                            no local spool directory is defined.

AA-2004-02-09-0: Bugfix:    wrong define in basis_types.h leads to execd
                            crash
                 Changed:   all
                 Review:    SG

SG-2004-02-09-0: Bugfix:    - qstat -urg crashed
                            - added "-urg" to the qstat -help output
                            - qstat -ext -xml did not display ticket information
                 Changed:   qstat
                 Review:    AA

AD-2004-02-08-0: Bugfix:    Make over of the event master (evm) external
                            interface. This is needed in preparation for
                            a self-contained event master module.
                 Issue:     656
                 Changed:   qmaster, evm

AS-2004-02-06-1  Enhancem.: define cleanup, IA64 and AMD64 port begin"

AS-2004-02-06-0  Enhancem.: aimk cleanup
                            Introduce define -DTARGET_32BIT or -DTARGET_64BIT
                            use only one section for Linux (except SLINUX)

SG-2004-02-06-1: Enhancem.: updated the complex man page.
                 Changed:   submit.1, complex.5

CR-2004-02-06-1: Bugfix:    Fixed broken build for linux
                 Changed:   sec_lib.c

CR-2004-02-06-0: Bugfix:    Gridengine system with csp feature not working
                            -  modified csp feature for new communication
                 Issue:     657      
                 Changed:   all binaries, install scripts, japi
                 Review:    AA

AD-2004-02-06-1: Bugfix:    'sge_remote_event_delivery_handler' is now called
                            after message.
                 Changed:   qmaster
                 Review:    CR

AD-2004-02-06-0: Bugfix:    Use lock 'LOCK_GLOBAL'.
                 Changed:   spool

AD-2004-02-05-5: Cleanup:   Did remove all locks except 'LOCK_GLOBAL'.
                 Changed:   lck

AD-2004-02-05-4: Bugfix:    Use lock 'LOCK_GLOBAL'.
                 Changed:   qmaster

AD-2004-02-05-3: Bugfix:    Use lock 'LOCK_GLOBAL'.
                 Changed:   qmaster

AD-2004-02-05-2: Bugfix:    Use lock 'LOCK_GLOBAL'.
                 Changed:   qmaster

AD-2004-02-05-1: Bugfix:    All extern functions now lock 'LOCK_GLOBAL'.
                 Changed:   evm

EB-2004-02-05-0: Bugfix:    Changed man page
                 Changed:   sge_types.1

MD-2004-02-05-0: Testsuite: - adapted testsuite to new installation script
                 Bugfix:    - some text
                            - local execd spooldir support
                 Changed:   testsuite, inst_sgeee

SD-2004-02-05-0: Enhancem.: Replaced use of qsub option -p <priority> with
                            -js <job_share> for specifying GEEE job shares
                            to influence the GEEE share tree and functional
                            policies.
                 Changed:   qmaster, schedd, qsub, qalter, qhost, qmon, qsh,
                            qstat, submit(1), user(5)
                 Issue:     636

AD-2004-02-05-0: Bugfix:    If 'sge_mutex_lock/unlock()' do fail, the error
                            code is now part of the log message.
                 Changed:   lck

SG-2004-02-05-0: Enhancem.: updated man pages to reflect my latest changes
                 Changed:   qdel.1, qmod.1, qstat.1, sge_types.1, submit.1

JG-2004-02-05-0: Testsuite: Fixed functional/tight_integration.

JG-2004-02-04-4: Testsuite: Fixed system_tests/clients/qmod/general, del_queue, 
                            cleanup of queue functions.

SG-2004-03-04-1: Bugfix:    the update list event has to be delivered allways.
                            In case, that all elements got removed due to 
                            filtering, the event was not sent. This is changed.
                 Changed:   qmaster
                 Review:    DT

SG-2004-02-04-0: Bugfix:    - qdel "*" deleted only some jobs but not all.
                            - the max deletion time in qmaster is set to 3
                              seconds.
                 Changed:   qdel, qmaster
                 Review:    DT

AS-2004-02-04-0: Enhancem.: "aimk -32" creates Solaris 32 bit binaries on 64
                            bit kernel

JG-2004-02-04-3: Testsuite: Fixed system_tests/clients/qrsh and functions
                            enabling and disabling queues.

AA-2004-02-04-0: Bugfix:    fixed AIX51 spinbox compile problem 

JG-2004-02-04-2: Bugfix:    Fixed build of rshd on Solaris 7 32 bit.
                 Review:    AS

DT-2004-02-04-0: Bugfix:    Fixed JAPI session initialization bug which caused
                            qsub to segfault if exiting due to failed job
                            submission.
                 Changed:   JAPI
                 Review:    SG

JG-2004-02-04-1: Testsuite: fixed testsuite for SGE 5.3

JG-2004-02-04-0: Enhancem.: Added a utility to dump the list of objects in the
                            Berkeley DB database, dump objects and delete 
                            objects.
                 Review:    pending

SG-2004-02-03-1: Bugfix:    qacct only worked on queues and queue instances,
                            which are currently in the system. Removed ones
                            were not accessable. This is changed.
                 Changed:   qacct
                 Review:    EB

EB-2004-02-03-0: Bugfix:    - It was possible to delete host groups which were
                              referenced in cluster queue objects.
                            - Due to fix AD-2004-02-03-0 tight integration for
                              parallel jobs works correcly now.
                 Changed:   qmaster
                 Review:    SG

JG-2004-02-03-0: Testsuite: Fixed test functional/access_lists.
                            Enhancements and bugfixes in the handling of cluster
                            queues.

AD-2004-02-03-0: Bugfix:    Did add event handler for 'TYPE_JOB_RESEND_EVENT'
                 Changed:   qmaster
                 Review:    EB

MD-2004-02-03-0: Bugfix:    - Text
                            - fixed install_qmaster, install_execd
                 Changed:   - inst_sgeee

SG-2004-02-03-0: Bugfix:    - added the user id to the qdel error messages.
                            - some code cleanup
                 Changed:   qmaster
                 Review:    JG

CR-2004-02-03-1: Bugfix:    Fixed build for tru64 
                            (no prototype for "sge_get_execd_port()")

CR-2004-02-03-0: Testsuite: HTML compile output links of compile output HTML file
                            are now relative to HTML-directory.

MD-2004-02-02-2: Bugfix:    - Text 
                 Changed:   - inst_sgeee 

MD-2004-02-02-1: Bugfix:    - renamed sge_config to inst_sgeee
                            - moved sge_config_modules to util/inst_sgeee_modules
                            - adaptions of distinst 
                 Changed:   - sge_config, distinst

SG-2004-01-02-1: Bugfix:    reverted the changes from SG-2004-02-01-0. Reopend
                            the issue 476 again.

AD-2004-02-02-0: Cleanup:   qmaster threads now do call 'sge_qmaster_thread_
                            init()' at the beginning.
                 

MD-2004-02-02-0: Bugfix:    - DB installation 
                            - Test for local fs, new archs 
                            - Text
                 Changed:   - sge_config

CR-2004-02-02-0: Bugfix:    Fixed problem "can't get communication handle" when
                            application calls check_isalive() before a 
                            communication
                            handle is created. Now all communication handle are
                            created in prepare_enroll()
                 Review:    pending

JG-2004-02-02-0: Enhancem.: The event client layer handles shutdown of qmaster
                            (event QMASTER_GOES_DOWN). In this case, the event
                            client will try to reregister itself at the (new) 
                            qmaster.
                 Changed:   each eventclient (sge_schedd, qevent)
                 Review:    SG

AD-2004-02-02-0: Cleanup:   Did add function to initialize a qmaster thread.
                 Changed:   qmaster

CR-2004-02-02-0: Bugfix:    - fixed csp install: check for CRYPTO_ strings
                              in qmaster binary, not for sec_init to test if
                              binary was compiled with -secure option

MD-2004-01-31-1: Bugfix:    - Shutdown of Qmaster with rcscripts under Linux
                            - Test for local fs under Linux
                            - Text 
                 Changed:   - sge_config

CR-2004-02-01-0: Enhancm.:  Added missing functions:
                               cl_commlib_get_last_message_time() (former 
                               last_heart_from() ) and check_isalive()
                            Event client: recreate connection object after
                               qmaster shutdown in ec_register()
                            increased default timeout for connection lifetime
                 Changed:   all binaries

DT-2004-02-01-0: Bugfix:    Increased MAX_STRING_SIZE from 2048 to 8192 to 
                            allow for longer PATHs.
                 Issue:	    538
                 Changed:   sge_basis.h 

SG-2004-02-01-0: Bugfix:    in case a job start failed, the queue is set
                            into error state when it is a job script but not
                            for binary jobs. This has be fixed. The queue is
                            set into error state, when ever a job start fails.
                 Review:    pending
                 Issue:     476
                 Changed:   execd

JG-2004-02-01-1: Bugfix:    qconf -aprj was broken.
                 Changed:   qconf, sge_qmaster with classic spooling
                 Review:    SG

JG-2004-02-01-0: Testsuite: Fixed setting of scheduler configuration.
                            Shutdown qmaster separately, after execds and 
                            scheduler have been shutdown.
                            Do not try to shutdown sge_commd's in 6.0 systems.

CR-2004-01-31-1: Bugfix:    removed debug output to stdout
                 Changed:   qconf

CR-2004-01-31-0: Enhancem.: shadowd now supports new communication library
                 Changed:   shadowd
                 Review:    pending

SG-2004-01-31-1: Bugfix:    fixed qconf -de. A exec host can be removed, even
                            so the host can not be resolved.
                 Changed:   qconf
                 Issue:     566
                 Review:    CR

JG-2004-01-31-1: Testsuite: Fixed a number of installation problems caused by
                            changed objects (queue, schedd_conf) and changed
                            architecture names.

JG-2004-01-31-0: Enhancem.: qmake can either use a parallel environment for the
                            execution of make rules, or create an individual
                            qrsh job for each make rule (dynamic allocation).
                 Issue:     338
                 Changed:   qmake, qmake.1
                 Review:    SG

MD-2004-01-31-1: Bugfix:    - Removed conflict
                 Changed:   - sge_config
 
MD-2004-01-31-0: Bugfix:    - Change DB install procedure -> only standalone 
                              installation, removed from autoinstallation
                            - changed berkeley rc script, supports multible
                              spooling homes now
                            - added shutdown functionality to sgebdb
                            - introduced bdbhomes file
                            - additional module sge_config_berkeley.sh
                            - autoinstall default configfile removed ->
                              the -auto option requires a path to config file
                            - pkgadd rights
                            - typos and cleanups 
                 Changed:   - sge_config

SD-2004-01-30-2: Bugfix:    Fixed compile problem
                 Changed:   qmon

SD-2004-01-30-1: Enhancem.: Removed user_sort from sched_conf(5)
                 Changed:   sched_conf(5)
                 Issue:     636

SD-2004-01-30-0: Bugfix:    - Removed sort_by_share option from the
                              queue_sort_method
                            - Removed resource_capability_factor from host
                              configuration
                            - Removed oticket and fshare from queue
                              configuration
                 Changed:   qmaster, schedd
                 Issue:     643

SG-2004-01-30-0: Bugfix:  - fixed qstat -j usage output for pe jobs
                          - fixed qacct -j output. It parsed the acc. file
                            wrong.
                 Changed:   qstat, qacct

AS-2004-01-30-1: Change:    Change architecture names according to Issue #644
                 Issue:     #644

EB-2004-01-30-0: Enhancem.: Changed some man-pages concerning CQs

SG-2004-01-30-1: Bugfix:    The vmem usage did not decrease anymore.
                 Issue:     635
                 bugtraq:   5019601
                 Changed:   execd
                 Review:    AH

SG-2004-01-30-0: Bugfix:    - fixed qstat -j usage output for pe jobs
                            - fixed qacct -j output. It parsed the acc. file
                              wrong.
                 Changed:   qstat, qacct

DT-2004-01-30-2: Bugfix:    Minor compile bugs
                 Changed:   qsub

CR-2004-01-30-0: Bugfix:    host aliases file support (part III)
                               - host aliasing was not active when qmaster
                                 rereads objects at startup.
                               - reresolve qualified hostname for each qmaster 
                                 thread at startup.
                               - inst_sge now uses the SGE alias name for
                                 creating startup configuration.
                 Changes:   qmaster

DT-2004-01-30-1: Bugunfix:  Rolling back ill conceived change.
                 Changes:   qmaster

DT-2004-01-30-0: Bugfix:    Forgot a header
                 Changed:   JAPI

MD-2004-01-30-0: Enhancem.: - Added standalone DB installation funktionality
                 Bugfix:    - Smoother remove of execd's and queues
                            - deactivated /etc/services entries are not ignored
                              anymore
                 Changed:   -sge_config

CR-2004-01-29-1: Enhancem.: Added support for /etc/services tcp entries:
                            "sge_qmaster" and "sge_execd"

DT-2004-01-29-0: Enhancem.: Added -sync y|n option to qsub to enable waiting
                            for the job end.
                            Extended JAPI to allow:
                              o listening for job start events
                              o starting the event client separately from
                                japi_init()
                              o killing jobs left running in the session from
                                japi_exit()
                              o faster shutdown of the event client
                              o finer grained locking
                              o setting the program name to register with GDI
                            Added DRMAA to prognames.
                            Ported qsub completely over to JAPI.
                            Cleaned up test_drmaa a little.
                 Bugfix:    Fixed minor memory management and compilation issues
                            in qmaster and comm lib.
                            Session state was not being included on spooled
                            events.
                            Fixed various minor issues with comments.
                            Fixed qstat compile problem.
                 Changed:   DRMAA, JAPI, qsub, qmaster, qtcsh, sge_prog.*,
                            qstat, sge_gqueue.c, comm lib, docs
                 Review:    SG, AD pending, AH

AD-2004-01-29-0: Bugfix:    Qmaster must not invoke 'sge_run_as_user()'.
                 Changed:   qmaster

JG-2004-01-29-1: Bugfix:    When queue instances were spooled as a result of a 
                            hostgroup modification, a wrong qinstance name was 
                            used for spooling. This resulted in missing queue 
                            instances after a qmaster shutdown and restart.
                 Enhancem.: Reduced number of attributes that are spooled for 
                            cluster queues and queue instances.
                 Review:    SG

MD-2004-01-29-1: Bugfix:    command (eg. qstat) crashes, 
                            if -u -q option get an empty argument
                 Issue:     #600
                 Bugtraq:   #5018733
                 Changed:   qstat, qalter, qhost, qmod, qsub
                 Review:    EB

JG-2004-01-29-0: Bugfix:    If a loadsensor did output to stderr, the loadsensor
                            blocked when the pipe buffer between loadsensor and
                            execd was full.
                 Changed:   all (libuti)
                 Issue:     632
                 Review:    SG

MD-2004-01-29-0: Bugfix:    - fixed sgeee option in sge_config, distinst 
                            - changed comment in sge_job_master.c 
                 Changed:   sge_config, distinst 

SG-2004-01-29-0: Enhancem.: Added qstat -explain E support.
                 Review:    JG
                 Changed:   qmaster, qstat

CR-2004-01-29-0: Enhancem.: - host aliases file support (part II)

SD-2004-01-28-1: Enhancem.: - Set default dynamic priority range 
                              (ptf_min_priority, ptf_max_priority) for
                              Linux to nice values 0-20
                 Changed:   sge_execd

SD-2004-01-28-0: Enhancem.: - Changes to allow user-based functional policy
                              and user-based share tree policy to implement
                              Grid Engine 5.3 user_sort capability
                            - Added support for automatically creating
                              GEEE user objects
                            - Added support for "default" share tree node
                              for users without projects
                 Issue:     636             
                 Changed:   sge_qmaster, inst_sge, sge_config, qmon,
                            sge_conf(5), sge_pe(5)

AD-2004-01-28-3: Bugfix:    'startup heartbeat' went into wrong directory.
                 Changed:   qmaster

AD-2004-01-28-2: Bugfix:    Did add 'startup heartbeat'.
                 Changed:   qmaster

JG-2004-01-28-1: Enhancem.: Added queue state and consumable information to
                            the reporting file.
                 Review:    SG

CR-2004-01-28-1: Enhancm.:  - host aliases file support (part I)
                            - TODO: activate host aliases file support

EB-2004-01-28-0: Enhancem.: Changed some man-pages concerning CQs

MD-2004-01-28-2: Bugfix:    qalter lacks option -dl              
                 Issue:     #599
                 Bugtraq:   #5018726
                 Changed:   sge_qmaster, qstat, qalter
                 Review:    EB

AD-2004-01-28-1: Bugfix:    - all files are now created under the admin user
                              UID/GID
                            - the temporary message file in '/tmp' is no
                              longer used.
                            - qmaster lock file is removed on startup.
                 Changed:   qmaster

MD-2004-01-28-1: Bugfix:    - changed option -s to -sm (install shadow master) 
                 Changed:   sge_config_common.sh, sge_config

MD-2004-01-28-0: Bugfix:    - spooling without rpc-server damaged
                              berkeleydb configuration -> no spooling
                            - default domain input didn't work  
                 Changed:   sge_config_common.sh, sge_config_qmaster.sh,
                            sge.conf, execd_template, master_template
                            rpc_startup_template 

AD-2004-01-28-0: Bugfix:    'inc_qmaster_heartbeat()' should only be called
                            from within the heartbeat event handler.
                 Changed:   qmaster

DT-2004-01-28-0: Bugfix:    Fixed install script wrt new SGE_EXECD_PORT
                            variable
                 Changed:   inst_sge

CR-2004-01-28-0: Bugfix:    - correct commlib shutdown for qmon
                            - removed unnecessary cl_commlib_shutdown_handle() 
                              call in sge_terminate()
                            - japi: when event client thread deregisters from
                              event client interface all open communication
                              handle are closed.
                            - commlib: made some mutexes static
                            - fixed problem when cl_com_setup_commlib() and 
                              cl_com_cleanup_commlib() are called more than 
                              once.
                            - reworked memory free problem(s) when 
                              cl_com_create_handle() fails.
                 Changed:   all binaries

JG-2004-01-28-0: Bugfix:    Fixed the build (some files were dos files).

MD-2004-01-27-0: Bugfix:    - setting productmode sgeee to default
                            - bugfix logfile creation
                            - path generation
                 Changed:   sge_config, sge_config_common.sh 

SG-2004-01-27-0: Enhancem.: - added a XML print facility for CULL lists.
                            - extended qstat to print XML
                            - comments, qstat man page update, and qstat
                              schema files are still missing.
                 Issue:     634             
                 Changed:   qstat
                 Review:    JG

CR-2004-01-27-2: Enhancem.: - modified default communication timeouts
                            - added comments

AD-2004-01-27-0: Bugfix:    'inst_sge' does now check for local Berkeley DB
                            spool directory on Linux.
                 Changed:   dist

CR-2004-01-27-1: Bugfix.:   - Tight integration (qrsh -inherit)
                              (supports now new communication lib)
                            - Execution daemons now have a socket port 
                              (SGE_EXECD_PORT)
                            - Integrate SGE_EXECD_PORT in (old) install
                              script and testsuite
                 Review:    JG 

CR-2004-01-27-0: Enhancem.: Produce compile error when there is no define in
                            aimk for sge_gethostbyname() and 
                            sge_gethostbyaddr().
                 Review:    AA

JG-2004-01-27-1: Bugfix:    Fixed aimk LFLAGS for HP11.
                            Do not recommend use of --enable-posixmutexes for 
                            the build of Berkeley DB.
                            Do not use f(un)lockfile on DARWIN6 in flatfile 
                            spooling.
                 Review:    SG
                            
JG-2004-01-27-0: Bugfix:    Fixed aimk LFLAGS for HP1164.
                            Fixed a number of build problems for tru64.
                 Review:    EB

SG-2004-01-26-0: Enhancem.: Introcuded a "-t" option in qdel, qmod, qalter to
                            work on array taskes.
                 Changed.   qalter, qdel, qmod
                 Review:    DT

AD-2004-01-26-6: Bugfix:    Make sure, 'cl_com_cleanup_commlib()' is invoked
                            only once during sge_qmaster shutdown.
                 Changed:   qmaster, gdi
                 Review:    CR

AD-2004-01-26-5: Bugfix:    Did remove redundant 'sge_switch2admin_user()' and
                            'sge_switch2start_user()' calls.
                 Changed:   spool/classic
                 Review:    JG

AD-2004-01-26-4: Bugfix:    Did remove redundant 'sge_switch2admin_user()' and
                            'sge_switch2start_user()' calls.
                 Changed:   gdi
                 Review:    AA

JG-2004-01-26-1: Enhancem.: Make Berkeley DB spooling the default.
                 Bugfix:    Fixed spooling problem with the creation of queue
                            instances.
                 Bugfix:    Trash load values after reading exec hosts from the
                            spooling database.
                 Review:    AD

EB-2004-01-26-0: Enhancem.: Changed some man-pages concerning CQs

AD-2004-01-26-3: Bugfix:    'sge_do_log()' does no longer change the effective
                            UID before and after logging.
                 Changed:   uti

CR-2004-01-26-0: Bugfix:    Fixed build for ALINUX
                 Review:    AD

AD-2004-01-26-2: Bugfix:    Did remove redundant 'sge_switch2admin_user()' and
                            'sge_switch2start_user()' calls.
                 Changed:   qmaster

AD-2004-01-26-1: Bugfix:    Do communication setup after qmaster setup.
                 Changed:   qmaster

JG-2004-01-26-0: Bugfix:    Fixed a problem with berkeley db spooling of queue 
                            instances.
                            Use mutexes in qmaster reporting instead of locks.
                 Review:    AD

AD-2004-01-26-0: Bugfix:    Decrease delivery interval for remote events.
                 Changed:   qmaster

EB-2004-01-25-1: Enhancem.: Added ADOC comment

EB-2004-01-25-0: Enhancem.: Changed some man-pages concerning CQs

CR-2004-01-25-1: Bugfix:    - fixed possible deadlock of communication lib
                            in startup/cleanup phase
                            - cl_com_cleanup_commlib() did not correctly 
                            shutdown connected clients

CR-2004-01-25-0: Bugfix:    - Fixed "failed gdi request" error message when
                            connection timed out. (e.g. editing configuration
                            file for longer than 1 minute)
                            - Event client(s) will reconnect when connection 
                            timed out.  

AD-2004-01-24-0: Bugfix:    Did remove unused parameter from 'sge_do_log()'
                            signature.
                 Changed:   uti

MD-2004-01-24-0: Enhancem.: - Add auto uninstall function for execd
                            - Some documentation
                 Changed:   sge_config, sge.conf, sge_config_execd_uninst.sh

MD-2004-01-23-0: Enhancem.: - Added new installation script (sge_config)
                             
                 Changed:   all installation files, create_settings.sh,
                            distinst, rcp_startup_template
                 Review:    pending (AS)

EB-2004-01-23-0: Bugfix:    qmaster core in cqueue_list_locate_qinstance()

AD-2004-01-23-0: Enhancem.: Add error message in case a mutex lock/unlock
                            does fail.
                 Changed:   lck

AD-2004-01-22-0: Bugfix:    'qconf -km' did not work for the 'LinuxThreads'
                            library (NPTL did work).
                 Changed:   qmaster

CR-2004-01-22-0: Bugfix:    - execd did not signal job
                            - switched of communication log (as default)
                              communication log can be activated with
                              SGE_NGC_DEBUG variable
                 Changed:   execd

SG-2004-01-22-3: Bugfix:    fixed the counting for running jobs in the qevent
                            client.
                 Changed:   qevent
                 Review:    CR

SG-2004-01-22-2: Enhancem.: updated man page for qmod
                 Changed:   man1/qmod.1

SG-2004-01-22-1: Bugfix:    Removed the renaming of users via qconf. It never
                            worked and should not have been part of qconf.
                 Changed:   qconf
                 Issue:     646
                 bugtraq:   5020131

SG-2004-01-22-0: Enhancem.: 2. part of the qmod adaption
                 Changed:   qmod, qmaster

EB-2004-01-22-0: Bugfix:    CQ related bugfixes
                            - changed defaults auf CQ template
                            - changed verification of pe_list

EB-2004-01-21-2: Enhancem.: Cleanup / Comments

DT-2004-01-21-0: Bugfix:    drmaa_run_bulk_jobs() wasn't submiting the job as an
                            array job.  Also cleaned up DT-2004-01-19-0.
                 Changed:   drmaa.c, interactive_sched.c
                 Review:    AH

AD-2004-01-21-1: Bugfix:    Handling of 'SGE_DEBUG_TARGET' env var was broken
                 Changed:   rmon

AD-2004-01-21-0: Enhancem:  - 'sge_qmaster' does now handle 'SIGTERM'.
                            - overwork of signal handling.
                 Changed:   qmaster

AA-2004-01-21-0: Enhancem.  qmon cluster queue changes, NOT YET COMPLETED
                            to get the rest of qmon functionality operable
                            again (indexes for lists changed with the intro
                            of cluster queues)
                 Changed:   all, sge_attr.c, sge_object.c

JG-2004-01-21-0: Bugfix:    Categories (job requests) were truncated in the 
                            accounting and the reporting file.
                            Fixed build for solaris86.
                 Changed:   sge_qmaster
                 Review:    SG

EB-2004-01-21-1: Bugfix:    Handled TODO-Sections concernings CQs
                 Changed:   sge_schedd

EB-2004-01-21-1: Bugfix:    Handled TODO-Sections concernings CQs
                 Changed:   sge_schedd

EB-2004-01-21-0: Bugfix:    Queue selection did not work in combination
                            with cluster queue printing (qstat -g c -q <QI>)
                 Changed:   qstat

RC-2004-01-20-0: Enhancem.: use sysconf(_SC_NPROCESSORS_ONLN) to get nprocs on 
                            Linux.
                 Changed:   libs/uti/sge_nprocs.c

CR-2004-01-20-1: Enhancem.: communication lib: status information response
                            message reports application status. 
                 Changed:   ngc lib

JM-2004-01-20-3: Bugfix:    The aimk configurations for AIX4[123] and AIX51
                            are changed to use CC=xlc_r and CXX=xlC_r.
                            SHAREDLD (for AIX51) is also set to 'xlc_r'.
                 Changed:   aimk
                 Reviewed:  RH, AS

JM-2004-01-20-2: Bugfix:    The setrlimitj() call under SUPER-UX must be 
                            surrounded by sge_switch2start_user() and 
                            sge_switch2admin_user() to be effective.
                 Changed:   daemons/shepherd/setrlimits.c
                 Reviewed:  SD

CR-2004-01-20-0: Cleanup:   - enabled threads for communication in qmaster
                            - hostname resolving (still no alias file support)
                            - communication log can now be switched on/off
                              with environment variable "SGE_NGC_DEBUG"
                            - sge_gethostbyname() and sge_gethostbyaddr() now
                              always return a copy of the hostent struct

JM-2004-01-20-1: Enhancem:  Revise japi.c to use rand_r() instead of
                            (s)random() which are not reentrant. 'id'
                            is changed from long to int to suit
                            rand_r().
                 Changed:   libs/japi/japi.c
                 Reviewed:  AH

EB-2004-01-20-1: Enhancem.: new switch "qconf -sick"
                 Changed:   qconf

AD-2004-01-20-0: Enhancem:  Did add 'sge_log_tee' script.
                 Changed:   util

JM-2004-01-20-0:            Adding entries JM-2004-01-19-[0-5] to Changelog

SG-2004-01-20-0: Bugfix:    fixed qmod and removed lWriteListTo from the code
                 Changed:   qmaster, qmod

EB-2004-01-20-0: Enhancem.: core implementation for qconf -sick
                            - cleanup
                            - TODO items

JM-2004-01-19-5: Bugfix:    The trailing ',' is removed from the listed
                            files. Compilers generally warn about it,
                            but the IBM compiler flags it as an error.
                 Changed:   libs/sgeobj/sge_schedd_confL.h,
                            daemons/qmaster/sge_reporting_qmaster.h
                 Reviewed:  RC (for libs/sgeobj/sge_schedd_confL.h)

JM-2004-01-19-4: Bugfix:    The 'name' variable is moved outside of the
                            '#ifdef SGE_LOADMEM' block since it is
                            used for SGE_LOADMEM and SGE_LOADCPU. Also,
                            it is explicitly initialized to NULL.
                 Changed:   gridengine/source/libs/utilbin/loadcheck.c

JM-2004-01-19-3: Enhancem:  Support added for getting load average info
                            for AIX51 (missed the .h file).
                 Changed:   gridengine/source/libs/uti/sge_getloadavg.h

JM-2004-01-19-2: Enhancem:  Support added for getting load average info
                            for AIX51.
                 Changed:   gridengine/source/libs/uti/sge_getloadavg.c

JM-2004-01-19-1: Bug Fix:   For SUPER-UX, the total CPUs calculation
                            is no longer based on RSGs (resource group)
                            but on 1) syssx(), or 2) RBs (resource block).
                            The RB method is added in case syssx() is not
                            available (e.g., older SUPER-UX version).
                 Changed:   libs/uti/sge_nprocs.c

JM-2004-01-19-0: Bug Fix:   For SUPER-UX, the total memory calculation
                            is now based on RBs (resource block) instead
                            of RSGs (resource group).
                 Changed:   libs/uti/sge_loadmem.c

DT-2004-01-19-0: Bugfix:    Fixed scheduler crash when an array job with -now y
                            could not be completely scheduled.  Now if an array
                            job with -now y cannot be completely scheduled, it
                            is completely removed.
                 Changed:   schedd, sched lib
                 Review:    SG

SG-2004-01-19-1: Bugfix:    qhost -F -h Name did not display global consumables
                 Changed:   qhost
                 Issue:     607
                 bugtraq:   5020134

SG-2004-01-19-0: Enhancem.: qmod supports jobnames with new commands. The
                            old ones are still there and work on queues and
                            job ids. The new ones end with j and work on job
                            ids or job names. Or the end with q and work on
                            queue names. 
                            Man pages are not changed yet.
                 Changed:   qmod, qmaster
                 Review:    pending

AD-2004-01-19-1: Bugfix:    Spooling trigger handler was not registered.
                 Changed:   qmaster

EB-2004-01-19-2: Bugfix:    several bugfixes
                            - fixed "test_drmaa ST_DRMAA_JOB_PS <jid>"
                            - communication between master and execd was broken
                              qdel, qmod ... work properly again 
                            - removed obsolete files
                            - fixed CQ-TODO-Sections

AD-2004-01-19-0: Bugfix:    Debug level (dl) scripts now set "SGE_ND" env var,
                            if needed.
                 Changed:   util

CR-2004-01-19-2: Cleanup:   commlib now uses sge_gethostbyaddr() and
                            sge_gethostbyname() from util library

CR-2004-01-19-1: Bugfix:    fixed memory leak in sge_gethostbyaddr() and
                            sge_gethostbyname()
                 Changed:   lib util
                 Review:    DT

EB-2004-01-19-1: Bugfix:    non-existing complex attributes were not
                            rejected during cqueue modification
                 Changes:   sge_qmaster, qconf

CR-2004-01-19-0: Bugfix:    - changed debug level of communication system from
                              TOP_LAYER to COMMD_LAYER
                            - removed not necessary calls to not thread save
                              function inet_ntoa() and changed thread safety
                              comments
                 Changed:   qmaster, util lib, gdi lib (all binaries)

EB-2004-01-19-0: Bugfix:    qstat -g xxx did not show error message for
                            characters which are not allowed
                 Changed:   qstat

AD-2004-01-18-0: Bugfix:    Accounting file has not been written, because
                            reporting trigger event handler was not registered.
                 Changed:   qmaster

RC-2004-01-17-1: Cleanup:   Removed dead code on MacOSX (already #if 0 out)
                 Changed:   sge_getloadavg.c

RC-2004-01-17-0: Enhancem.: Turned on optimization flag, defined _REENTRANT on 
                            SUPER-UX (for John)
                 Changed:   aimk
                 Review:    RC

SG-2004-01-17-3: Bugfix     qsub -l BOOL_NAME=VALUE needed the value. 
                 Changed:   qsub
                 Issue:     618
                 Review:    pending

SG-2004-01-17-2: Bugfix:    type mismatch in sge_security (pointer instead
                            of unsigned long) 

DT-2004-01-17-0: Bugfix:    Added function to add two lists together while
                            treating them as sets, i.e. element uniqueness is
                            maintained.  Also changed exec_job to add the
                            SGE_TASK_* env vars even if they already exist.
                 Issue:     609
                 Changed:   sge_exec.c, sge_var.*
                 Bugfix:    Fixed a couple memory issues in execd
                 Changed:   dispatcher.c

JG-2004-01-17-0: Bugfix:    Script submission was broken in qrsh.
                            -C option was ignored for script submission in qrsh.
                            Manpage submit.1: -C option is allowed for qrsh.
                 Issue:     463
                 Changed:   qsh, submit.1
                 Review:    EB

SG-2004-01-17-1: Bugfix:    scheduler died, when it got events and wanted
                            to print warnings
                 Changed:   scheduler

SG-2004-01-17-0: Bugfix:    Forgot the change the delimiter, when a job name
                            is changed via qalter with a job name.
                 Changed:   qmaster, qalter                            

AD-2004-01-17-1: Bugfix:    Initialization cleanup
                 Changed:   qmaster

AD-2004-01-17-0: Bugfix:    - 'sge_get_confval_array()' is now MT safe.
                            - 'sge_get_confval()' is now MT safe.
                            - 'sge_readpid()' is now MT safe.
                 Changed:   uti
                 
SG-2004-01-16-1: Enhancem.: A manager can delete specific jobs from other users
                            or all jobs.
                 Changed:   qmaster, qdel, man pages                            

AD-2004-01-16-1: Bugfix:    Did fix build on glinux
                 Changed:   qmaster

AD-2004-01-16-0: Bugfix:    Did fix initialization issues
                 Changed:   qmaster

CR-2004-01-16-1: Bugfix:    - JAPI: ensure japi_init()/drmaa_init() does not 
                              return before initial event arrived
                            - new formal prog names: "JAPI" and "JAPI_EC" as
                              default program names for uninitialized japi 
                              clients ("unknown" endpoint id's).
                            - removed unallowed free() call in test_drmaa binary

DT-2004-01-16-0: Bugfix:    Fixed uninitialized read in new commlib on Solaris 9
                 Changed:   cl_host_list.c

SG-2004-01-16-0: Bugfix:    the slots attribute could not be overwritten on host
                            or global level. This has been changed.
                 Changed:   scheduler
                 Review:    AH

CR-2004-01-16-0: Testsuite: prefer solaris64 architecture for building
                            dependencies in compile_source procedure

AD-2004-01-15-2: Bugfix:    Did fix build on glinux
                 Changed:   qmaster, lck

AD-2004-01-15-1: Bugfix:    - Did apply patch from John Marshall for SUPER-UX
                 Changed:   utilbin

AD-2004-01-15-0: Enhancem:  - MT version of sge_qmaster.
                            - added locks for MT saftey
                 Review:    TBD
                 Changed:   qmaster, evm, gdi, lck, sgeobj, common

SG-2004-01-15-2: Enhancem:  - changed delimeter for the reporting file (new ":")
                            - changed the allowed characters in a job name
                              to the common object name specification
                            - qsub -l time requests are transformed into
                              a value based on seconds. This means, that we
                              have no ":"in the accounting and reporting 
                              files anymore.
                 Review:    JG
                 Changed:   qmaster

SG-2004-01-15-1: Bugfix:    fixed qdel -uall and qdel -u NAME
                 Review:    JG
                 Changed:   qdel, man pages

SG-2004-01-15-0: Bugfix:    fixed the build

CR-2004-01-15-3: Bugfix:    - code clean up (function names)

CR-2004-01-15-2: Bugfix:    - fixed event client where subscription 
                              ( abort() error because a used list was not subscribed)
                            - set synchron receive timeout of communication lib to
                              2 * event timeout

CR-2004-01-15-1: Enhancem.: - new function: cl_com_set_synchron_receive_timeout()
                            - some code clean up (function names)

JG-2004-01-15-1: Bugfix:    Schedd aborted when scheduling a parallel job.
                 Review:    SG
                 Testsuite: Updated access_lists and tight_integration test.

CR-2004-01-15-0: Bugfix:    removed dummy objects in commlib makefile

JG_2004-01-15-0: Enhancem.: Separated flatfile spooling base functions from 
                            framework implementation.
                            Use flatfile spooling for qconf -mp/-Mp as 
                            preparation for a complete switch to flatfile 
                            spooling in qconf.
                 Review:    SG

DT-2004-01-15-0: Bugfix:    Fixed build on HP11
                 Changed:   aimk

RC-2004-01-14-0: Bugfix:    - Fixed the Super-UX build

CR-2004-01-14-3: Bugfix:    - removed double include files
                            - setting loglevel of new communication lib (NGC)
                              to CL_LOG_WARNING
                            - modified commlib_v1.0 Makefile for link dependencies
                            - changed some communication log messages

CR-2004-01-14-2: Bugfix:    shutting down execd can hangup execd in endless loop

CR-2004-01-14-1: Bugfix:    rcsge startup_template still want to shutdown commd

CR-2004-01-14-0: Testsuite: update install_core_system test for new communication
                            lib.

SG-2004-01-14-1: Enhancem:  enabled qacct to work with cluster queues, queue
                            instances, and queue domains.
                 Changed:   qmaster, qacct, man pages
                 Review:    pending

SG-2004-01-14-0: Bugfix:    fixed some error messages in qstat
                 Changed:   qstat 

DT-2004-01-14-0: Bugfix:    Fixed issues finding the script file to parse script
                            options when DRMAA_WD is set.  Also fixed mistake in
                            sge_copy_hostent.  Again.  Also found cleaner fix
                            for bug #587.
                 Changed:   DRMAA, sge_hostname.c, read_defaults.c

JG-2004-01-14-0: Enhancem.: Made the testprogram from JG-2004-01-13-0 available 
                            for all spooling methods.
                 Bugfix:    Fixed build dependencies.

JG-2004-01-13-0: Enhancem:  Reconnect to a BerkeleyDB RPC server after a 
                            disconnect. Initialize BerkeleyDB connection in 
                            newly created threads.
                            Added a test program doing massive parallel spooling
                            from multiple threads.
                 Review:    AD

CR-2004-01-13-0: Enhancem.: - Added new communication library
                            - Changed system to use new communication lib
                            - Modified install scripts
                            - WARNINGS: 
                               o sec_lib not yet supported
                               o not all features are tested
                               o compile only tested for SOLARIS64 and LINUX
                 Changed:   all binaries, install script, aimk, ...

CR-2004-01-12-0:            CR_COMMD_TAG created

DT-2004-01-12-1: Bugfix:    Added DLLIB for 3rdParty files
                 Changed:   aimk

DT-2004-01-12-0: Bugfix:    Fixed uninitialized error code in sge_gethostbyaddr
                 Changed:   sge_hostname.c

SG-2004-01-11-0: Bugfix:    Fixed the build

DT-2004-01-09-2: Enhancem.: More minor updates to test_drmaa.  Updated comments
                            in drmaa.c.  Updated testsuite to use new tests in
                            test_drmaa.  Updated TODO list in drmaa.html.
                 Bugfix:    Fixed memory leak and apparent bug in sge_getme().
                 Changed:   testsuite/apis/drmaa, drmma, test_drmaa, sge_prog.c

DT-2004-01-09-1: Enhancem.: Finished making sge_gethostbyname() MT-safe.  Also
                            made sge_gethostbyaddr() MT-safe.  Updated libdrmaa
                            to match latest spec changes.  Updated test_drmaa to
                            match libdrmaa.
                 Bugfix:    Fixed qmon and commd compile issues on AIX.
                 Changed:   DRMAA, sge_hostname.c, aimk, qmon, commd, sge_time.c

SG-2004-01-09-1: Bugfix:    The scheduler did not renew its event subscriptions
                            after the qmaster went down and up again.
                 Changed:   scheduler                            

SG-2004-01-09-0: Enhancem.: qconf -cq is working again with the cqueues
                 Changed:   qmaster
                 Review:    EB 

DT-2004-01-09-0: Enhancem.: OpenSSL is now loaded dynamically on Solaris and
                            Linux via dlopen.  For more information please see
                            the comments in sec_lib.c starting around line 170.
                 Bugfix:    Certificates are now usable when SGE is installed as
                            or running as a user other than root.
                 Changed:   sec lib, aimk, inst_sge, miriad Makefiles, qmaster
                 Review:    AA

JG-2004-01-09-0: Testsuite: Fixed some installation problems.

AD-2004-01-08-1: Bugfix:    'prog_state_t' and 'cull_state_t' has only been
                            allocated for the first thread calling one of the
                            prog and cull state get/set functions.
                 Changed:   uti, cull
                 Review:    CR

SG-2004-01-08-2: Bugfix:    The scheduler did not get new queue instances,
                            when the system was started without any queue.
                 Changed:   scheduler                            

SG-2004-01-08-1: Bugfix:    qsub -N error message reports the rules for
                            job names
                 Changed:   qsub                            

SG-2004-01-08-0: Enhancem.: second part of SG-2003-01-07-1
                 Changed:   qstat, qselect
                 Review:    EB 

JG-2004-01-08-0: Enhancem.: Use Berkeley DB RPC server in case spooling to a 
                            local filesystem is not possible (e.g. if the 
                            sge_shadowd shall be used), adapted installation
                            procedure and testsuite.
                 Bugfix:    Fix spooling of sharetree.
                 Review:    MD, AD

AD-2004-01-08-0: Bugfix:    'log_state_t' has only been allocated for the
                            first thread calling one of the log state
                            get/set functions.
                 Changed:   uti
                 Review:    CR

AD-2004-01-07-3: Enhancem:  'SGE_LOCK' and 'SGE_UNLOCK' now use 'DLOCKPRINTF'.
                 Changed:   lck

AD-2004-01-07-2: Enhancem:  Did add test program for recursive locks. Did
                            update existing lock test programs.
                 Changed:   lck

AD-2004-01-07-1: Enhancem:  Did add '-D_GNU_SOURCE' for Linux. Did replace
                            'CLK_TCK' with 'sysconf(_SC_CLK_TCK)'.
                 Changed:   aimk, util
                 Review:    AH

SG-2003-01-07-1: Enhancem:  added qstat -qs and qselect -qs feature.
                 Changed:   qstat, man-pages
                 Review:    pending

DT-2004-01-07-1: Bugfix:    Fixed install for -secure
                 Changed:   util/arch_variables, inst_sge
                 Review:    AA

DT-2004-01-07-0: Bugfix:    Fixed dependency problem for -secure with Sun make
                 Changed:   utilbin/Makefile

AD-2004-01-07-0: Enhancem:  Did remove preprocessor-conditional for
                            'GET_SPECIFIC' macros.
                 Changed:   common
                 Review:    AH

SG-2004-01-07-0: Bugfix:    Fixed: SG-2003-12-19-0 The scheduler did not get 
                            new jobs or cqueues.
                 Changed:   qmaster, scheduler

AD-2004-01-01-0: Enhancem:  Did add build support for DARWIN 7.*
                 Changed:   aimk
                 Review:    TBD

JG-2003-12-29-0: Enhancem.: qrsh_starter will no longer overwrite the DISPLAY
                            variable if it is already set to enable ssh display 
                            forwarding if ssh is used as transport mechanism for
                            qrsh.
                 Changed:   qrsh_starter
                 Review:    TBD

AD-2003-12-24-1: Bugfix:    Did apply changes of 'AD-2003-12-24-0' to
                            'sge_lock.c'
                 Changed:   uti

AD-2003-12-24-0: Bugfix:    Did fix 'AD-2003-12-22-1' and 'AD-2003-12-23-0'
                 Changed:   cull uti

JG-2003-12-23-0: Enhancem.: Added infrastructure for job logging and basic job
                            logging functionality.
                            Added reporting_params in the global config.
                            Cleanup of sge_conf parsing code.
                 Review:    CR

AD-2003-12-23-1: Enhancem:  Did fix the build
                 Changed:   utilbin

AD-2003-12-23-0: Enhancem:  Thread local storage is now initialized on demand.
                 Changed:   cull

AD-2003-12-22-1: Enhancem:  Thread local storage is now initialized on demand.
                 Changed:   uti

AD-2003-12-22-0: Bugfix:    Did add missing header file
                 Changed:   sgeobj

EB-2003-12-22-1: Bugfix:    fixed bug
                            * installation script should use "queue"
                              object specifier for -?attr options of qconf
                 Review:    MD

EB-2003-12-22-1: Bugfix:    fixed bug
                            * memory leak in sge_qmaster during modification
                              of CQs comlex_values 
                 Review:    CR

EB-2003-12-22-0: Bugfix:    fixed bug
                            * memory access error in libs/uti/sge_hostname.c
                 Review:    CR

EB-2003-12-20-0: Bugfix:    fixed bug
                            * honour initial state correctly
                            * object_spec for ?attr options for CQs is "queue"
                            * qconf -shgrp_tree
                            * qconf -shgrp_resolved
                            * more detailed error messages for CQ parsing

AD-2003-12-19-0: Enhancem.: Added new monitoring class 'LOCK'
                 Changed:   util, lck, rmon
                 Review:    AH

SG-2003-12-19-1: Bugfix:    The fix ensures, that a job task is not used
                            with the -hold_jid flag together and that in
                            qalter only job_tasks are acepted, when they
                            are allowed.
                 Review:    AS                            
                 Issue:     551
                 bugtraq:   4969825
                 Changed:   qmaster, qalter, submit.1

SG-2003-12-19-0: Enhancem.: Enabled the event master to work with the cluster
                            queues. Added a filter for cqueues and iqueues
                            in the scheduler.
                 Changed:   scheduler, qmaster                          
                 Review:    JG

JG-2003-12-18-1: Enhancem.: Made Berkeley DB spooling thread safe.
                            Cleanup.
                 Review:    AD

JG-2003-12-18-0: Bugfix:    Fixed spooling of cluster queues in Berkeley DB.
                            Fixed some make dependencies.
                 Review:    EB

AD-2003-12-18-0: Bugfix:    Fixed the build

JG-2003-12-17-1: Testsuite: Fixed testsuite problem with empty queue list.

AD-2003-12-17-0: Enhancem.: Added new timed event module
                 Changed:   qmaster
                 Reviewed:  AH

JG-2003-12-17-0: Bugfix:    Fixed make pe template.

MD-2003-12-17-0: Enhancem.: Added option (-log) to infotext
                 Changed:   infotext.c
                 Reviewed:  CR

JG-2003-12-16-0: Testsuite: Made testsuite installation work with cluster queues.

EB-2003-12-16-0: Bugfix:    fixed bugs
                 * fixed invalid event handling 

                 Changed:   sge_schedd, sge_qmaster

SG-2003-12-15-0: Enhancem.: Added the use of job_names or patterns instead
                            of job_ids
                 Changed:   qmaster, qsub, qalter, qstat, qacct, qrsh, qlogin
                            qmod, gresub, qhold, man-pages
                 Issue:     326           

EB-2003-12-15-1: Bugfix:    fixed bugs
                 * "qconf -aq test" without modification caused error message
                 * no output concerning complex entries during master startup
                 * added new cqueue related funtions for qmon

JG-2003-12-15-0: Bugfix:    Fixed build for solaris86.

EB-2003-12-15-0: Bugfix:    removed unused messages   

EB-2003-12-13-0: Enhancem.: Cluster Queue (merged from CQ_BRANCH)
                 Changed:   all
                 Review:    AH

                 All changes applied to the CQ_BRANCH have been merged to
                 MAINTRUNC. This also means that (nearly) all work packeges 
                 for the second milestone of CQs have been realized. 

                 Following part are still missing. They will be done till
                 mid/end of january:
         
                 *   "qconf -cq" does not work anymore
                 *   "qconf -explain E" does not show result for queues
                     error state
                 *   "\" can't be used as continuation character until now
                 *   qacct has not been changed accordingly
                 *   help output for all commands has not been changed
                 *   GUI
                 *   Testsuite
                 *   man-pages and how-to's are still missing
                     ...

JG-2003-12-10-2: Testsuite: Cleanup

SG-2003-12-10-3: Enhancem.: Added a cycle check for job dependencies, when an
                            existing job-net is modified.
                 Changed:   qmaster


SG-2003-12-10-2: Bugfix:    qmaster crashed, when -hold_jid specified a none
                            existing job id (SG-2003-12-09-1).
                 Changed:   qmaster                            

SG-2003-12-10-1: Bugfix:    qsh and qlogin allowed -hold_jid even so it was
                            not part of the -help output. Disabled -hold_jid
                            and -h option for qsh and qlogin. Updated the
                            man pages to reflect the changes.
                 Changed:   submit.1, qsh, qlogin     
                 bugtraq:   5020141

SG-2003-12-10-0: Enhancem.: changed the man pages to reflect SG-2003-12-09-1
                 Changed:   submit.1

JG-2003-12-10-1: Testsuite: Fixed some problems with JG-2003-12-10-0.


JG-2003-12-10-0: Testsuite: Removed SGE version dependencies in the testsuite 
                            installation process, prepared cluster queue 
                            changes. Cleanup.
                 Review:    CR

SG-2003-12-09-1: Enhancem.: Reqular expression are allowed for the switch
                            -hold_jid in qsub, qalter, and qmon. Qstat -j
                            displayes an extra row, showing the requested
                            job dependency. The row for current pending
                            job dependencies will only show job numbers.
                 Changed:   qmaster, qstat, qsub, qmon
                 Review:    AA, JG
                 Issue:     181
                 Issue:     471

SG-2003-12-09-0: Bugfix:    Scheduler crashed. The bug was introduced by:
                            SG-2003-11-20-0
                 Changed:   scheduler

JG-2003-12-08-0: Bugfix:    Fixed a bug in BerkeleyDB spooling for ja_tasks.
                 Review:    EB

SG-2003-12-08-0: Bugfix:    Storing a job template in qmon set -hold_jid to
                            the wrong value (always 0)
                 Review:    AA
                 bugtraq:   5020139
                 Changed:   qmon

SG-2003-12-05-0: Bugfix:    Finished the implementation of SG-2003-12-03-2. It was
                            only partly finished and not activated till now.
                 Changed:   qmaster, scheduler                            

SG-2003-12-04-2: Enhancem.: changed some function paramters to be const.

SG-2003-12-04-1: Bugfix:    The enhancement AH-2003-11-11-0 redirected all scheduler
                            config changes to the qmaster messages file. This is
                            changed. Qconf will display the error messages again.
                 Changed:   scheduler, qmaster                            

SG-2003-12-04-0: Enhancem.: Removed the deadline ticket computation.
                 Changed:   scheduler, qmaster, qmon

SG-2003-12-03-3: Bugfix:    The enhancement AH-2003-11-11-0 kept the old priority
                            when reporting pjob tickets is turned off in a running
                            system. The priority and mtix are set to 0, when the
                            reporting is turned off.
                 Changed:   scheduler                         

SG-2003-12-03-2: Enhancem.: The event master JAT-Type filtering was incomplete.
                            The JB-Type JAT-Type sub-lists are now filtered as
                            well. 
                            Enabled JAT-Type filtering in the scheduler
                 Changed:   qmaster, scheduler                            

SG-2003-12-03-1: Enhancem.: Updated the event client to use the event client
